/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 57 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/settle.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static bool this_sadr_from_hack_active;

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope->hash.count && !scope->next)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  /* Replacing the current symbol scope with the appropriate method scope
     for the given type. */
  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = scope->next,
      .hash = scope->hash,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  /* For argument parsing, we need to revert back to the standard symbol scope. */
  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (&FM.scope == new_config->current_scope)
    new_config->current_scope = FM.main;

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/* Macro for top-level pre-defined variables. */
#define f_predefined_variable(conf_, name_, type_) \
    cf_define_symbol(conf_, cf_get_symbol(conf_, name_), SYM_VARIABLE | type_, offset, f_new_var(conf_->current_scope))

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}


/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_CONSTANT:	return f_new_inst(FI_CONSTANT, *(lval->sym->val));
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    case F_LVAL_ATTR_BIT:
      {
	struct f_inst *c = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (1U << lval->fab.bit)});
	return f_new_inst(FI_EQ, c, f_new_inst(FI_BITAND, f_new_inst(FI_EA_GET, lval->rte, lval->fab.class), c));
      }
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_CONSTANT:	cf_error("Constant %s is read-only", lval->sym->name);
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:
      if (lval->sa.readonly)
	cf_error( "This static attribute is read-only.");
      return f_new_inst(FI_RTA_SET, expr, lval->sa);

    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    case F_LVAL_ATTR_BIT:	return f_new_inst(FI_CONDITION, expr,
	f_new_inst(FI_EA_SET,
	  f_new_inst(FI_BITOR,
	    f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (1U << lval->fab.bit)}),
	    f_new_inst(FI_EA_GET, lval->rte, lval->fab.class)
	  ),
	  lval->fab.class),
	f_new_inst(FI_EA_SET,
	  f_new_inst(FI_BITAND,
	    f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = ~(1U << lval->fab.bit)}),
	    f_new_inst(FI_EA_GET, lval->rte, lval->fab.class)
	  ),
	  lval->fab.class)
	);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}

static void
channel_reload_out_done_main(void *_prr)
{
  struct proto_reload_request *prr = _prr;
  ASSERT_THE_BIRD_LOCKED;

  rfree(prr->trie->lp);
}

static inline void
proto_call_cmd_reload(struct proto_spec ps, int dir, const struct f_trie *trie)
{
  struct proto_reload_request *prr = cfg_alloc(sizeof *prr);
  *prr = (struct proto_reload_request) {
    .trie = trie,
    .dir = dir,
    .counter = 1,
  };
  if (trie)
  {
    /* CLI linpool is moved to trie, because trie is need for longer time
     * than the linpool would exist in CLI. The linpool is freed in channel_reload_out_done_main.
     */
    ASSERT_DIE(this_cli->parser_pool == prr->trie->lp);
    rmove(this_cli->parser_pool, &root_pool);
    this_cli->parser_pool = lp_new(this_cli->pool);
    prr->ev = (event) {
      .data = prr,
      .hook = channel_reload_out_done_main,
    };
  }

  proto_apply_cmd(ps, proto_cmd_reload, 1, (uintptr_t) prr);
  /* This function used reference to this trie, so it is freed here as well as in protocols*/
  if (trie)
    if (atomic_fetch_sub_explicit(&prr->counter, 1, memory_order_acq_rel) == 1)
      ev_send_loop(&main_birdloop, &prr->ev);
}

#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

static struct ao_config *this_ao_key;
static struct ao_config **next_ao_key;

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authentication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_TCP_CFG ((struct rpki_tr_tcp_config *) RPKI_CFG->tr_config.spec)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;
static uint this_srt_aspa_max;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/bmp/config.Y"
/* Headers from proto/bmp/config.Y */

#include "proto/bmp/bmp.h"

/* Defines from proto/bmp/config.Y */

#define BMP_CFG ((struct bmp_config *) this_proto)

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;
static struct cli_config *this_cli_config;
static struct thread_group_config *this_thread_group;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 57 "conf/gen_parser.m4"

#line 1089 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    IMP = 268,
    PO = 269,
    PC = 270,
    NUM = 271,
    ENUM_TOKEN = 272,
    IP4 = 273,
    IP6 = 274,
    VPN_RD = 275,
    CF_SYM_KNOWN = 276,
    CF_SYM_UNDEFINED = 277,
    CF_SYM_METHOD_BARE = 278,
    CF_SYM_METHOD_ARGS = 279,
    TEXT = 280,
    BYTETEXT = 281,
    PREFIX_DUMMY = 282,
    NMA = 283,
    DEFINE = 284,
    ON = 285,
    OFF = 286,
    YES = 287,
    NO = 288,
    S = 289,
    MS = 290,
    US = 291,
    PORT = 292,
    VPN = 293,
    MPLS = 294,
    FROM = 295,
    MAX = 296,
    AS = 297,
    FLOW4 = 298,
    FLOW6 = 299,
    DST = 300,
    SRC = 301,
    PROTO = 302,
    NEXT = 303,
    HEADER = 304,
    DPORT = 305,
    SPORT = 306,
    ICMP = 307,
    TYPE = 308,
    CODE = 309,
    TCP = 310,
    FLAGS = 311,
    LENGTH = 312,
    DSCP = 313,
    DONT_FRAGMENT = 314,
    IS_FRAGMENT = 315,
    FIRST_FRAGMENT = 316,
    LAST_FRAGMENT = 317,
    FRAGMENT = 318,
    LABEL = 319,
    OFFSET = 320,
    QUIT = 321,
    EXIT = 322,
    HELP = 323,
    FUNCTION = 324,
    PRINT = 325,
    PRINTN = 326,
    UNSET = 327,
    RETURN = 328,
    ACCEPT = 329,
    REJECT = 330,
    ERROR = 331,
    INT = 332,
    BOOL = 333,
    IP = 334,
    PREFIX = 335,
    RD = 336,
    PAIR = 337,
    QUAD = 338,
    EC = 339,
    LC = 340,
    ENUM = 341,
    SET = 342,
    STRING = 343,
    BYTESTRING = 344,
    BGPMASK = 345,
    BGPPATH = 346,
    CLIST = 347,
    ECLIST = 348,
    LCLIST = 349,
    IF = 350,
    THEN = 351,
    ELSE = 352,
    CASE = 353,
    FOR = 354,
    IN = 355,
    DO = 356,
    TRUE = 357,
    FALSE = 358,
    RT = 359,
    RO = 360,
    UNKNOWN = 361,
    GENERIC = 362,
    GW = 363,
    NET = 364,
    SCOPE = 365,
    DEST = 366,
    IFNAME = 367,
    IFINDEX = 368,
    WEIGHT = 369,
    GW_MPLS = 370,
    ROA_CHECK = 371,
    ASPA_CHECK = 372,
    DEFINED = 373,
    ADD = 374,
    DELETE = 375,
    RESET = 376,
    PREPEND = 377,
    EMPTY = 378,
    FILTER = 379,
    WHERE = 380,
    EVAL = 381,
    ATTRIBUTE = 382,
    FROM_HEX = 383,
    BT_ASSERT = 384,
    BT_TEST_SUITE = 385,
    BT_CHECK_ASSIGN = 386,
    BT_TEST_SAME = 387,
    FORMAT = 388,
    STACKS = 389,
    ROUTER = 390,
    ID = 391,
    HOSTNAME = 392,
    PROTOCOL = 393,
    TEMPLATE = 394,
    PREFERENCE = 395,
    DISABLED = 396,
    DEBUG = 397,
    ALL = 398,
    DIRECT = 399,
    PIPE = 400,
    INTERFACE = 401,
    IMPORT = 402,
    EXPORT = 403,
    NONE = 404,
    VRF = 405,
    DEFAULT = 406,
    TABLE = 407,
    TABLES = 408,
    STATES = 409,
    ROUTES = 410,
    FILTERS = 411,
    IPV4 = 412,
    IPV6 = 413,
    VPN4 = 414,
    VPN6 = 415,
    ROA4 = 416,
    ROA6 = 417,
    SADR = 418,
    ASPA = 419,
    RECEIVE = 420,
    LIMIT = 421,
    ACTION = 422,
    WARN = 423,
    BLOCK = 424,
    RESTART = 425,
    DISABLE = 426,
    KEEP = 427,
    FILTERED = 428,
    RPKI = 429,
    PASSWORD = 430,
    KEY = 431,
    PASSIVE = 432,
    TO = 433,
    EVENTS = 434,
    PACKETS = 435,
    PROTOCOLS = 436,
    CHANNELS = 437,
    INTERFACES = 438,
    ALGORITHM = 439,
    KEYED = 440,
    HMAC = 441,
    MD5 = 442,
    SHA1 = 443,
    SHA256 = 444,
    SHA384 = 445,
    SHA512 = 446,
    BLAKE2S128 = 447,
    BLAKE2S256 = 448,
    BLAKE2B256 = 449,
    BLAKE2B512 = 450,
    PRIMARY = 451,
    STATS = 452,
    COUNT = 453,
    COMMANDS = 454,
    PREEXPORT = 455,
    NOEXPORT = 456,
    EXPORTED = 457,
    GENERATE = 458,
    BGP = 459,
    PASSWORDS = 460,
    DESCRIPTION = 461,
    RELOAD = 462,
    OUT = 463,
    MRTDUMP = 464,
    MESSAGES = 465,
    RESTRICT = 466,
    MEMORY = 467,
    CLASS = 468,
    PARTIAL = 469,
    TIMEFORMAT = 470,
    ISO = 471,
    SHORT = 472,
    LONG = 473,
    ROUTE = 474,
    BASE = 475,
    LOG = 476,
    GRACEFUL = 477,
    WAIT = 478,
    CHECK = 479,
    LINK = 480,
    CORK = 481,
    SORTED = 482,
    TRIE = 483,
    MIN = 484,
    ROA = 485,
    DIGEST = 486,
    REFRESH = 487,
    SETTLE = 488,
    TIME = 489,
    GC = 490,
    THRESHOLD = 491,
    PERIOD = 492,
    MPLS_LABEL = 493,
    MPLS_POLICY = 494,
    MPLS_CLASS = 495,
    ASPA_PROVIDERS = 496,
    IPV4_MC = 497,
    IPV4_MPLS = 498,
    IPV6_MC = 499,
    IPV6_MPLS = 500,
    IPV6_SADR = 501,
    VPN4_MC = 502,
    VPN4_MPLS = 503,
    VPN6_MC = 504,
    VPN6_MPLS = 505,
    PRI = 506,
    SEC = 507,
    NET_TYPE = 508,
    RTS = 509,
    RTD = 510,
    AF = 511,
    SHOW = 512,
    STATUS = 513,
    SUMMARY = 514,
    SYMBOLS = 515,
    DUMP = 516,
    RESOURCES = 517,
    SOCKETS = 518,
    AO = 519,
    KEYS = 520,
    NEIGHBORS = 521,
    ATTRIBUTES = 522,
    ENABLE = 523,
    DOMAIN = 524,
    RANGE = 525,
    STATIC = 526,
    DYNAMIC = 527,
    START = 528,
    POLICY = 529,
    AGGREGATE = 530,
    RANGES = 531,
    AGGREGATOR = 532,
    PEER = 533,
    MERGE = 534,
    BY = 535,
    BFD = 536,
    IDLE = 537,
    RX = 538,
    TX = 539,
    INTERVAL = 540,
    MULTIPLIER = 541,
    ADDRESS = 542,
    EXPRESS = 543,
    MULTIHOP = 544,
    NEIGHBOR = 545,
    DEV = 546,
    LOCAL = 547,
    AUTHENTICATION = 548,
    SIMPLE = 549,
    METICULOUS = 550,
    STRICT = 551,
    BIND = 552,
    ZERO = 553,
    UDP6 = 554,
    CHECKSUM = 555,
    SESSIONS = 556,
    BABEL = 557,
    METRIC = 558,
    RXCOST = 559,
    HELLO = 560,
    UPDATE = 561,
    WIRED = 562,
    WIRELESS = 563,
    BUFFER = 564,
    PRIORITY = 565,
    HOP = 566,
    ENTRIES = 567,
    RANDOMIZE = 568,
    MAC = 569,
    PERMISSIVE = 570,
    EXTENDED = 571,
    TUNNEL = 572,
    RTT = 573,
    DECAY = 574,
    SEND = 575,
    TIMESTAMPS = 576,
    COST = 577,
    DELAY = 578,
    PREFER = 579,
    NATIVE = 580,
    HOLD = 581,
    CONNECT = 582,
    RETRY = 583,
    KEEPALIVE = 584,
    STARTUP = 585,
    VIA = 586,
    SELF = 587,
    PATH = 588,
    FORGET = 589,
    AFTER = 590,
    BGP_LOCAL_PREF = 591,
    BGP_MED = 592,
    SOURCE = 593,
    RR = 594,
    RS = 595,
    CLIENT = 596,
    CLUSTER = 597,
    AS4 = 598,
    ADVERTISE = 599,
    CAPABILITIES = 600,
    OLDER = 601,
    MISSING = 602,
    LLADDR = 603,
    DROP = 604,
    IGNORE = 605,
    ENHANCED = 606,
    INTERPRET = 607,
    COMMUNITIES = 608,
    IGP = 609,
    GATEWAY = 610,
    RECURSIVE = 611,
    MED = 612,
    TTL = 613,
    SECURITY = 614,
    DETERMINISTIC = 615,
    SECONDARY = 616,
    ALLOW = 617,
    PATHS = 618,
    AWARE = 619,
    SETKEY = 620,
    CONFEDERATION = 621,
    MEMBER = 622,
    MULTICAST = 623,
    LIVED = 624,
    STALE = 625,
    IBGP = 626,
    EBGP = 627,
    MANDATORY = 628,
    INTERNAL = 629,
    EXTERNAL = 630,
    SETS = 631,
    NAME = 632,
    DIGITS = 633,
    AIGP = 634,
    ORIGINATE = 635,
    ENFORCE = 636,
    FIRST = 637,
    FREE = 638,
    VALIDATE = 639,
    ROLE = 640,
    ROLES = 641,
    PROVIDER = 642,
    CUSTOMER = 643,
    RS_SERVER = 644,
    RS_CLIENT = 645,
    REQUIRE = 646,
    BGP_OTC = 647,
    GLOBAL = 648,
    RECV = 649,
    SIZE = 650,
    WARNING = 651,
    SINGLE = 652,
    DOUBLE = 653,
    SECRET = 654,
    DEPRECATED = 655,
    PREFERRED = 656,
    CMAC = 657,
    AES128 = 658,
    BGP_ORIGIN = 659,
    CEASE = 660,
    HIT = 661,
    ADMINISTRATIVE = 662,
    SHUTDOWN = 663,
    CONFIGURATION = 664,
    CHANGE = 665,
    DECONFIGURED = 666,
    CONNECTION = 667,
    REJECTED = 668,
    COLLISION = 669,
    OF = 670,
    ASPA_CHECK_UPSTREAM = 671,
    ASPA_CHECK_DOWNSTREAM = 672,
    L3VPN = 673,
    TARGET = 674,
    DISTINGUISHER = 675,
    OSPF = 676,
    V2 = 677,
    V3 = 678,
    AREA = 679,
    RFC1583COMPAT = 680,
    STUB = 681,
    TICK = 682,
    COST2 = 683,
    RETRANSMIT = 684,
    TRANSMIT = 685,
    DEAD = 686,
    BROADCAST = 687,
    BCAST = 688,
    NONBROADCAST = 689,
    NBMA = 690,
    POINTOPOINT = 691,
    PTP = 692,
    POINTOMULTIPOINT = 693,
    PTMP = 694,
    CRYPTOGRAPHIC = 695,
    ELIGIBLE = 696,
    POLL = 697,
    NETWORKS = 698,
    HIDDEN = 699,
    VIRTUAL = 700,
    ONLY = 701,
    LARGE = 702,
    NORMAL = 703,
    STUBNET = 704,
    TAG = 705,
    LSADB = 706,
    ECMP = 707,
    NSSA = 708,
    TRANSLATOR = 709,
    STABILITY = 710,
    LSID = 711,
    INSTANCE = 712,
    REAL = 713,
    NETMASK = 714,
    LSA = 715,
    SUPPRESSION = 716,
    RFC5838 = 717,
    PE = 718,
    TOPOLOGY = 719,
    STATE = 720,
    GENERATION = 721,
    RADV = 722,
    RA = 723,
    SOLICITED = 724,
    UNICAST = 725,
    MANAGED = 726,
    OTHER = 727,
    CONFIG = 728,
    LINGER = 729,
    MTU = 730,
    REACHABLE = 731,
    RETRANS = 732,
    TIMER = 733,
    CURRENT = 734,
    VALID = 735,
    MULT = 736,
    LIFETIME = 737,
    SKIP = 738,
    ONLINK = 739,
    AUTONOMOUS = 740,
    RDNSS = 741,
    DNSSL = 742,
    NS = 743,
    TRIGGER = 744,
    SENSITIVE = 745,
    LOW = 746,
    MEDIUM = 747,
    HIGH = 748,
    PROPAGATE = 749,
    CUSTOM = 750,
    OPTION = 751,
    VALUE = 752,
    RA_PREFERENCE = 753,
    RIP = 754,
    NG = 755,
    INFINITY = 756,
    TIMEOUT = 757,
    GARBAGE = 758,
    MODE = 759,
    VERSION = 760,
    SPLIT = 761,
    HORIZON = 762,
    POISON = 763,
    REVERSE = 764,
    PLAINTEXT = 765,
    DEMAND = 766,
    CIRCUIT = 767,
    REMOTE = 768,
    BIRD = 769,
    PRIVATE = 770,
    PUBLIC = 771,
    SSH = 772,
    TRANSPORT = 773,
    USER = 774,
    EXPIRE = 775,
    PROHIBIT = 776,
    BLACKHOLE = 777,
    UNREACHABLE = 778,
    TRANSIT = 779,
    PROVIDERS = 780,
    MRT = 781,
    FILENAME = 782,
    ALWAYS = 783,
    BMP = 784,
    STATION = 785,
    SYSTEM = 786,
    MONITORING = 787,
    RIB = 788,
    PRE_POLICY = 789,
    POST_POLICY = 790,
    KERNEL = 791,
    NETLINK = 792,
    KRT_LOCK_MTU = 793,
    KRT_LOCK_WINDOW = 794,
    KRT_LOCK_RTT = 795,
    KRT_LOCK_RTTVAR = 796,
    KRT_LOCK_SSTHRESH = 797,
    KRT_LOCK_CWND = 798,
    KRT_LOCK_ADVMSS = 799,
    KRT_LOCK_REORDERING = 800,
    KRT_LOCK_HOPLIMIT = 801,
    KRT_LOCK_INITCWND = 802,
    KRT_LOCK_RTO_MIN = 803,
    KRT_LOCK_INITRWND = 804,
    KRT_LOCK_QUICKACK = 805,
    KRT_LOCK_CONGCTL = 806,
    KRT_LOCK_FASTOPEN_NO_COOKIE = 807,
    KRT_FEATURE_ECN = 808,
    KRT_FEATURE_ALLFRAG = 809,
    SYSLOG = 810,
    TRACE = 811,
    INFO = 812,
    AUTH = 813,
    FATAL = 814,
    BUG = 815,
    STDERR = 816,
    SOFT = 817,
    UDP = 818,
    CLI = 819,
    CONFIRM = 820,
    UNDO = 821,
    LATENCY = 822,
    WATCHDOG = 823,
    PING = 824,
    WAKEUP = 825,
    SCHEDULING = 826,
    TIMERS = 827,
    ALLOCATOR = 828,
    FIXED = 829,
    THREAD = 830,
    THREADS = 831,
    GROUP = 832,
    CONFIGURE = 833,
    DOWN = 834,
    PERSIST = 835,
    SCAN = 836,
    LEARN = 837,
    DEVICE = 838
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 59 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  vpn_rd rd;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct ea_class *ea_class;
  struct f_static_attr fsa;
  struct f_attr_bit fab;
  struct f_lval flv;
  struct f_line *fl;
  struct f_arg *fa;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  const struct f_trie *const_trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct mpls_show_ranges_cmd *msrc;
  struct bfd_show_sessions_cmd *bssc;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat tf;
  struct timeformat *tfp;
  struct settle_config settle;
  struct adata *ad;
  const struct adata *bs;
  struct aggr_item_node *ai;

#line 1766 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1783 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  87
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6264

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  607
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  536
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1695
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3230

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   838

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    40,     2,     2,     2,    39,    34,     2,
     598,   599,    37,    35,   600,    36,    41,    38,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   603,   597,
      29,    28,    30,   606,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   604,     2,   605,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   601,    33,   602,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,    57,    57,    57,    57,    57,    57,    57,    57,    57,
      57,    57,   156,   157,   160,   162,   165,   170,   173,   180,
     181,   182,   188,   189,   190,   193,   193,   198,   199,   200,
     201,   202,   203,   210,   211,   212,   219,   220,   227,   233,
     243,   249,   268,   296,   302,   308,   316,   324,   330,   336,
     336,   337,   337,   338,   338,   341,   342,   343,   344,   345,
     346,   347,   354,   355,   363,   364,   372,   373,   381,   382,
     390,   391,   392,   393,   394,   404,   412,   413,   424,   432,
     439,   440,   447,   448,   452,   453,   454,   455,   462,   470,
     471,   475,   476,   477,   485,   486,   487,    37,    38,    39,
      40,    41,    42,    43,    44,    48,    49,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    65,    66,    67,
      70,    71,    75,    79,    83,    84,    88,    92,   101,   102,
     106,   110,   114,   121,   122,   126,   127,   128,   129,   133,
     136,   139,   145,   149,   150,   151,   155,   159,   165,   166,
     167,   170,   172,   175,   177,   181,   188,   189,   191,   197,
     203,   203,     9,     9,    10,    10,    11,    11,   403,   412,
     414,   414,   429,   431,   434,   435,   450,   452,   463,   465,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   518,   517,
     527,   528,   537,   538,   546,   547,   554,   555,   558,   561,
     565,   565,   580,   580,   590,   596,   599,   604,   599,   632,
     633,   636,   636,   638,   646,   647,   664,   665,   678,   679,
     680,   681,   682,   690,   691,   700,   704,   707,   708,   709,
     710,   711,   712,   713,   714,   715,   716,   721,   722,   723,
     724,   728,   729,   730,   734,   735,   736,   737,   738,   739,
     740,   741,   746,   747,   748,   749,   750,   754,   755,   756,
     757,   758,   762,   763,   767,   768,   772,   773,   777,   778,
     779,   780,   788,   789,   792,   793,   800,   810,   811,   815,
     819,   820,   821,   822,   826,   827,   828,   829,   830,   834,
     835,   836,   837,   838,   839,   840,   841,   842,   843,   848,
     849,   853,   854,   855,   856,   862,   863,   864,   867,   883,
     894,   895,   896,   897,   898,   899,   900,   901,   904,   904,
     906,   909,   909,   914,   919,   929,   930,   931,   932,   933,
     934,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,   945,   946,   947,   949,   950,   952,   954,   956,   957,
     958,   959,   961,   962,   963,   964,   966,   967,   968,   970,
     972,   973,   977,   981,   982,   983,   987,   991,   998,   999,
    1003,  1003,  1003,  1004,  1007,  1010,  1016,  1018,  1010,  1023,
    1026,  1042,  1049,  1052,  1055,  1058,  1059,  1062,  1062,  1068,
    1069,  1073,  1078,  1094,   206,   209,   210,   214,   215,   216,
     217,   227,   229,   231,   233,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   252,   253,   259,   261,   263,
     268,   270,   274,   275,   276,   281,   282,   283,   287,   288,
     289,   290,   297,   299,   302,   304,   310,   313,   314,   318,
     324,   328,   338,   348,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   367,   373,   378,   379,   385,   386,
     387,   388,   389,   390,   398,   403,   404,   407,   409,   412,
     414,   418,   425,   428,   435,   436,   437,   438,   442,   443,
     444,   445,   446,   450,   451,   455,   458,   459,   460,   461,
     462,   467,   470,   474,   475,   476,   477,   481,   482,   483,
     484,   485,   486,   487,   488,   494,   502,   503,   507,   508,
     512,   517,   518,   522,   524,   532,   536,   537,   542,   544,
     552,   553,   554,   555,   556,   560,   568,   574,   575,   576,
     580,   581,   585,   586,   587,   588,   589,   590,   596,   597,
     598,   602,   603,   607,   608,   614,   618,   619,   622,   624,
     628,   629,   632,   632,   634,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   657,   658,   659,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   674,   680,
     686,   686,   689,   689,   692,   692,   695,   695,   699,   700,
     703,   703,   706,   706,   710,   710,   731,   738,   744,   750,
     757,   764,   771,   778,   784,   789,   794,   798,   802,   806,
     816,   823,   832,   836,   843,   847,   848,   849,   850,   854,
     858,   862,   876,   877,   878,   879,   882,   883,   884,   885,
     890,   891,   892,   893,   894,   895,   896,   897,   898,   899,
     900,   901,   902,   903,   904,   905,   906,   907,   908,   909,
     910,   914,   924,   924,   934,   938,   939,   940,   941,   942,
     943,   947,   947,   949,   949,   951,   951,   953,   953,   955,
     955,   957,   957,   959,   959,   961,   961,   963,   963,   965,
     965,   967,   967,   970,   970,   974,   980,   983,   983,   985,
     985,   987,   987,   989,   989,   991,   991,   993,   993,   997,
     997,  1010,  1011,  1015,  1015,  1018,  1018,  1022,  1022,  1032,
    1033,  1034,  1038,  1039,  1040,    31,    33,    35,    38,    41,
      43,    46,    48,    51,    54,    56,    60,    64,    69,    70,
      73,    75,    78,    80,    84,    97,    99,   119,   120,   121,
     122,   126,   127,   128,   129,   130,   131,   134,   136,   139,
     141,   144,   144,   149,   155,   178,   186,   196,   196,    28,
      30,    40,    41,    42,    43,    43,    73,    73,    85,    85,
      86,    90,    91,   105,   127,    36,    38,    59,    60,    65,
      66,    67,    68,    69,    70,    73,    75,    79,    86,    87,
      88,    89,    93,    97,   101,   117,   139,   140,   141,   142,
     143,   144,   147,   149,   153,   156,   161,   162,   163,   167,
     168,   172,   173,   176,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   210,   212,   216,   219,   239,   245,   245,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      34,    36,    44,    45,    46,    47,    50,    52,    56,    60,
      81,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   176,
     178,   181,   183,   188,   192,   192,   195,   195,   198,   198,
     201,   201,    56,    58,    98,   100,   101,   104,   106,   107,
     108,   109,   114,   115,   119,   120,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   136,   137,   138,   142,   143,
     144,   145,   146,   150,   151,   152,   153,   154,   155,   159,
     160,   166,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   249,   249,   250,   251,   252,
     253,   254,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   272,   283,   289,   294,   299,   304,
     320,   325,   333,   334,   337,   339,   342,   354,   356,   358,
     362,   362,   366,   384,   413,   414,   415,   419,   420,   421,
     424,   424,   424,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   471,   483,   485,   488,   490,   494,   504,
     506,   519,   519,   525,   525,   530,   530,   536,   547,    49,
      52,    65,    67,    74,    75,    76,    77,    78,    79,    80,
      81,    84,    86,    90,    94,    95,   211,   214,   215,   216,
     219,   235,   236,   240,   241,   245,   254,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   274,   289,   292,   294,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   307,   308,   308,   309,
     310,   311,   315,   316,   320,   328,   330,   334,   335,   336,
     340,   341,   344,   346,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   362,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   422,   424,   427,   429,   437,
     439,   440,   443,   445,   449,   450,   453,   463,   485,   487,
     491,   491,   494,   496,   499,   501,   505,   509,   509,   512,
     512,   515,   515,   520,   520,   523,   523,   528,   528,   531,
     531,   535,   535,   552,   555,   556,   557,   558,   559,   560,
     561,   562,    23,    26,    25,    42,    43,    44,    45,    51,
      52,    53,    55,    68,    69,    70,    71,    72,    72,    73,
      73,    74,    75,    76,    79,    81,    85,    89,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   128,
     132,   133,   134,   135,   136,   137,   137,   138,   138,   139,
     140,   141,   142,   146,   147,   148,   151,   189,   191,   194,
     196,   200,   203,   215,   216,   217,   218,   222,   229,   237,
     239,   242,   244,   248,   252,   262,   267,   268,   269,   273,
     285,   287,   291,   292,   296,   309,   314,   315,   316,   320,
     332,   334,   338,   339,   344,   345,   349,   350,    46,    49,
      50,    53,    67,    68,    69,    70,    71,    72,    75,    77,
      81,    85,   110,   140,   141,   142,   143,   144,   145,   146,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     173,   174,   175,   176,   179,   181,   184,   186,   190,   195,
     195,   198,   198,    43,    45,    55,    57,    59,    63,    64,
      65,    66,    67,    68,    69,    70,    76,    82,    88,    89,
      93,   100,   101,   104,   106,   124,   125,   129,   135,   137,
     140,   142,   146,   147,   148,   152,   158,   168,   170,   174,
     175,   176,   180,    56,    58,    65,    66,    67,    68,    69,
      70,    78,    82,    87,    92,    95,    98,   103,   107,   115,
     116,   119,   121,   124,   124,   137,   138,   142,   147,   148,
     149,   150,   151,   152,   153,   153,   158,   167,   180,   180,
     183,   192,   194,   197,   199,   199,   203,   203,    26,    28,
      35,    36,    37,    38,    39,    40,    41,    42,    45,    47,
      51,    54,    54,    63,    64,    65,    66,    67,    68,    24,
      26,    35,    37,    42,    50,    51,    52,    55,    56,    63,
      70,    73,    76,    26,    29,    30,    31,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    46,    47,    48,
      49,    50,    53,    54,    57,    34,    36,    38,    45,    46,
      49,    51,    55,    63,    71,    72,    73,    76,    86,    87,
      91,    92,    96,    97,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   113,   116,   117,   127,   129,   135,   135,
     137,   145,   147,   148,   151,   163,   163,   189,   190,   191,
     192,   193,   194,   205,   208,   209,   210,   211,   215,   216,
     217,   220,   220,   223,   224,   225,   226,   227,   228,   229,
     237,   237,   240,   240,   247,   247,   250,   250,   253,   253,
     256,   256,   259,   259,   264,   264,   267,   267,   270,   270,
     274,   275,   279,   280,   281,    43,    45,    50,    51,    54,
      55,    59,    60,    65,    66,    70,    71,    72,    73,    77,
      84,    85,    96,    98,   101,   102,   105,   106,   107,   114,
     121,   124,   126,   129,   131,   135
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "IMP", "PO", "PC",
  "NUM", "ENUM_TOKEN", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN",
  "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE", "CF_SYM_METHOD_ARGS", "TEXT",
  "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'|'",
  "'&'", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON",
  "OFF", "YES", "NO", "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM",
  "MAX", "AS", "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER",
  "DPORT", "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH",
  "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT",
  "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "QUIT", "EXIT", "HELP",
  "FUNCTION", "PRINT", "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT",
  "ERROR", "INT", "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC",
  "ENUM", "SET", "STRING", "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST",
  "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "IN", "DO",
  "TRUE", "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "SCOPE",
  "DEST", "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "ROA_CHECK",
  "ASPA_CHECK", "DEFINED", "ADD", "DELETE", "RESET", "PREPEND", "EMPTY",
  "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "STACKS",
  "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE", "PREFERENCE",
  "DISABLED", "DEBUG", "ALL", "DIRECT", "PIPE", "INTERFACE", "IMPORT",
  "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE", "TABLES", "STATES",
  "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4", "ROA6",
  "SADR", "ASPA", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE",
  "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES",
  "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256", "SHA384",
  "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256", "BLAKE2B512",
  "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT", "NOEXPORT",
  "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION", "RELOAD",
  "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "CLASS", "PARTIAL",
  "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL",
  "WAIT", "CHECK", "LINK", "CORK", "SORTED", "TRIE", "MIN", "ROA",
  "DIGEST", "REFRESH", "SETTLE", "TIME", "GC", "THRESHOLD", "PERIOD",
  "MPLS_LABEL", "MPLS_POLICY", "MPLS_CLASS", "ASPA_PROVIDERS", "IPV4_MC",
  "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS",
  "VPN6_MC", "VPN6_MPLS", "PRI", "SEC", "NET_TYPE", "RTS", "RTD", "AF",
  "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS",
  "AO", "KEYS", "NEIGHBORS", "ATTRIBUTES", "ENABLE", "DOMAIN", "RANGE",
  "STATIC", "DYNAMIC", "START", "POLICY", "AGGREGATE", "RANGES",
  "AGGREGATOR", "PEER", "MERGE", "BY", "BFD", "IDLE", "RX", "TX",
  "INTERVAL", "MULTIPLIER", "ADDRESS", "EXPRESS", "MULTIHOP", "NEIGHBOR",
  "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT",
  "BIND", "ZERO", "UDP6", "CHECKSUM", "SESSIONS", "BABEL", "METRIC",
  "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER", "PRIORITY",
  "HOP", "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE", "EXTENDED", "TUNNEL",
  "RTT", "DECAY", "SEND", "TIMESTAMPS", "COST", "DELAY", "PREFER",
  "NATIVE", "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA",
  "SELF", "PATH", "FORGET", "AFTER", "BGP_LOCAL_PREF", "BGP_MED", "SOURCE",
  "RR", "RS", "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "ENHANCED", "INTERPRET",
  "COMMUNITIES", "IGP", "GATEWAY", "RECURSIVE", "MED", "TTL", "SECURITY",
  "DETERMINISTIC", "SECONDARY", "ALLOW", "PATHS", "AWARE", "SETKEY",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "MANDATORY", "INTERNAL", "EXTERNAL", "SETS", "NAME", "DIGITS", "AIGP",
  "ORIGINATE", "ENFORCE", "FIRST", "FREE", "VALIDATE", "ROLE", "ROLES",
  "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT", "REQUIRE", "BGP_OTC",
  "GLOBAL", "RECV", "SIZE", "WARNING", "SINGLE", "DOUBLE", "SECRET",
  "DEPRECATED", "PREFERRED", "CMAC", "AES128", "BGP_ORIGIN", "CEASE",
  "HIT", "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION", "CHANGE",
  "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF",
  "ASPA_CHECK_UPSTREAM", "ASPA_CHECK_DOWNSTREAM", "L3VPN", "TARGET",
  "DISTINGUISHER", "OSPF", "V2", "V3", "AREA", "RFC1583COMPAT", "STUB",
  "TICK", "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST",
  "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "GENERATION",
  "RADV", "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER", "CONFIG",
  "LINGER", "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID",
  "MULT", "LIFETIME", "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL",
  "NS", "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "CUSTOM", "OPTION", "VALUE", "RA_PREFERENCE", "RIP", "NG", "INFINITY",
  "TIMEOUT", "GARBAGE", "MODE", "VERSION", "SPLIT", "HORIZON", "POISON",
  "REVERSE", "PLAINTEXT", "DEMAND", "CIRCUIT", "REMOTE", "BIRD", "PRIVATE",
  "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE", "PROHIBIT", "BLACKHOLE",
  "UNREACHABLE", "TRANSIT", "PROVIDERS", "MRT", "FILENAME", "ALWAYS",
  "BMP", "STATION", "SYSTEM", "MONITORING", "RIB", "PRE_POLICY",
  "POST_POLICY", "KERNEL", "NETLINK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW",
  "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_INITCWND", "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND",
  "KRT_LOCK_QUICKACK", "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE",
  "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG", "TRACE", "INFO",
  "AUTH", "FATAL", "BUG", "STDERR", "SOFT", "UDP", "CLI", "CONFIRM",
  "UNDO", "LATENCY", "WATCHDOG", "PING", "WAKEUP", "SCHEDULING", "TIMERS",
  "ALLOCATOR", "FIXED", "THREAD", "THREADS", "GROUP", "CONFIGURE", "DOWN",
  "PERSIST", "SCAN", "LEARN", "DEVICE", "';'", "'('", "')'", "','", "'{'",
  "'}'", "':'", "'['", "']'", "'?'", "$accept", "enum_type", "config",
  "conf_entries", "conf", "definition", "expr", "expr_us", "symbol",
  "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_slash",
  "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_",
  "net_roa6_", "net_mpls_", "net_aspa_", "net_ip_", "net_vpn_", "net_roa_",
  "net_", "net_ip4", "net_ip6", "net_ip", "net_any", "net_or_ipa",
  "label_stack_start", "label_stack", "time", "settle", "text", "opttext",
  "text_or_ipa", "bytestring", "bytestring_text", "bytestring_expr",
  "flow_num_op", "flow_logic_op", "flow_num_type_", "flow_num_type",
  "flow_flag_type", "flow_frag_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "@2", "function_argsn", "function_args", "function_vars",
  "function_type", "filter_body", "filter", "$@3", "where_filter", "$@4",
  "function_body", "function_def", "$@5", "$@6", "cmds", "cmd_var",
  "cmd_prep", "cmds_int", "fipa", "set_atom0", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "ec_items", "set_items", "switch_items", "fprefix",
  "fprefix_set", "switch_body", "bgp_path_expr", "bgp_path",
  "bgp_path_tail", "constant", "constructor", "var_list_r", "var_list",
  "function_call", "static_attr", "term_dot_method", "$@7",
  "method_name_cont", "$@8", "term", "term_bs", "break_command", "var",
  "for_var", "cmd", "$@9", "$@10", "$@11", "$@12", "$@13", "$@14",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type_base", "net_type", "table", "table_start",
  "table_sorted", "table_opt", "table_opts", "table_opt_list",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item_", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_base", "timeformat_which",
  "timeformat_spec", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_AO_KEYS", "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES",
  "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES",
  "cmd_DUMP_TABLES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "partial_opt", "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART",
  "cmd_RELOAD_FILTERS", "cmd_RELOAD_FILTERS_IN", "cmd_RELOAD_FILTERS_OUT",
  "cmd_DEBUG", "debug_args", "cmd_MRTDUMP", "cmd_RESTRICT",
  "cmd_TIMEFORMAT", "proto_patt", "proto_patt2", "mpls_domain",
  "mpls_domain_start", "mpls_domain_opt", "mpls_domain_opts",
  "mpls_domain_opt_list", "mpls_domain_end", "mpls_range",
  "mpls_range_start", "mpls_range_opt", "mpls_range_opts",
  "mpls_range_opt_list", "mpls_range_end", "mpls_channel",
  "mpls_channel_start", "mpls_label_policy", "mpls_channel_opt",
  "mpls_channel_opts", "mpls_channel_opt_list", "mpls_channel_end", "$@15",
  "show_mpls_ranges_args", "cmd_SHOW_MPLS_RANGES",
  "aggregator_proto_start", "aggregator_proto_item", "$@16", "$@17",
  "aggregator_proto_opts", "aggregator_proto", "aggr_list", "aggr_item",
  "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts", "bfd_proto",
  "bfd_accept_item", "bfd_accept", "bfd_iface_start", "bfd_iface_finish",
  "bfd_auth_type", "bfd_iface_opt_list", "bfd_iface", "bfd_multihop",
  "bfd_neigh_iface", "bfd_neigh_local", "bfd_neigh_multihop",
  "bfd_neighbor", "bfd_item", "bfd_items", "bfd_opts_start",
  "bfd_opts_end", "cmd_SHOW_BFD_SESSIONS", "bfd_show_sessions_args",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start",
  "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list",
  "bgp_cease_flag", "bgp_auth_type", "bgp_role_name", "bgp_proto", "$@18",
  "$@19", "bgp_afi", "tcp_ao_key_start", "tcp_ao_key_opt",
  "tcp_ao_algorithm", "tcp_ao_key_opts", "tcp_ao_key_end", "tcp_ao_key",
  "tcp_ao_keys", "tcp_ao_key_list", "$@20", "tcp_ao_end",
  "bgp_channel_start", "bgp_nh", "bgp_llnh", "bgp_lladdr",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "cmd_RELOAD_BGP",
  "cmd_RELOAD_BGP_IN", "cmd_RELOAD_BGP_OUT", "l3vpn_channel_start",
  "l3vpn_channel", "l3vpn_proto_start", "l3vpn_proto_item",
  "l3vpn_proto_opts", "l3vpn_proto", "l3vpn_targets", "ospf_variant",
  "ospf_proto_start", "ospf_proto", "ospf_af_mc", "ospf_channel_start",
  "ospf_channel", "ospf_proto_item", "ospf_area_start", "ospf_area",
  "ospf_area_opts", "ospf_area_item", "$@21", "$@22", "ospf_stubnet",
  "ospf_stubnet_start", "ospf_stubnet_opts", "ospf_stubnet_item",
  "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@23", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "pipe_proto_start", "$@24", "pipe_proto",
  "radv_proto_start", "radv_proto_item", "$@25", "$@26", "radv_proto_opts",
  "radv_proto", "radv_iface_start", "radv_iface_item", "$@27", "$@28",
  "radv_preference", "radv_iface_finish", "radv_iface_opts",
  "radv_iface_opt_list", "radv_iface", "radv_prefix_start",
  "radv_prefix_item", "radv_prefix_finish", "radv_prefix_opts",
  "radv_prefix_opt_list", "radv_prefix", "radv_rdnss_node",
  "radv_rdnss_start", "radv_rdnss_item", "radv_rdnss_finish",
  "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node", "radv_dnssl_start",
  "radv_dnssl_item", "radv_dnssl_finish", "radv_dnssl_opts", "radv_dnssl",
  "radv_mult", "radv_sensitive", "rip_variant", "rip_proto_start",
  "rip_proto_item", "rip_proto_opts", "rip_proto", "rip_iface_start",
  "rip_iface_finish", "rip_iface_item", "rip_auth", "rip_iface_opts",
  "rip_iface_opt_list", "rip_iface", "cmd_SHOW_RIP_INTERFACES",
  "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start", "rpki_proto",
  "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_tcp_opts_list",
  "rpki_transport_tcp_opts", "rpki_transport_tcp_item",
  "rpki_transport_tcp_check", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@29",
  "stat_route", "$@30", "stat_aspa_provider", "stat_aspa_providers",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list", "$@31",
  "cmd_SHOW_STATIC", "mrt_proto_start", "mrt_proto_item", "mrt_proto_opts",
  "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args", "bmp_proto_start",
  "bmp_station_address", "bmp_proto", "kern_proto", "kern_sys_item",
  "attr_bit", "log_begin", "log_config", "syslog_name", "log_limit",
  "log_file", "log_udp_host", "log_udp_port", "log_mask", "log_mask_list",
  "log_cat", "mrtdump_base", "cli", "cli_opts", "cli_opts_begin",
  "cli_opts_block", "$@32", "thread_group_opts", "debug_unix",
  "latency_debug_mask", "latency_debug_list", "latency_debug_flag",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cmd_SHOW_THREADS",
  "cmd_SHOW_THREADS_ALL", "cfg_name", "cfg_timeout", "kern_proto_start",
  "kern_learn", "kern_mp_limit", "kern_channel", "kern_item",
  "kif_proto_start", "kif_proto", "kif_item", "kif_iface_start",
  "kif_iface_item", "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    61,    60,
      62,   126,   283,   124,    38,    43,    45,    42,    47,    37,
      33,    46,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   689,   690,   691,
     692,   693,   694,   695,   696,   697,   698,   699,   700,   701,
     702,   703,   704,   705,   706,   707,   708,   709,   710,   711,
     712,   713,   714,   715,   716,   717,   718,   719,   720,   721,
     722,   723,   724,   725,   726,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   746,   747,   748,   749,   750,   751,
     752,   753,   754,   755,   756,   757,   758,   759,   760,   761,
     762,   763,   764,   765,   766,   767,   768,   769,   770,   771,
     772,   773,   774,   775,   776,   777,   778,   779,   780,   781,
     782,   783,   784,   785,   786,   787,   788,   789,   790,   791,
     792,   793,   794,   795,   796,   797,   798,   799,   800,   801,
     802,   803,   804,   805,   806,   807,   808,   809,   810,   811,
     812,   813,   814,   815,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   827,   828,   829,   830,   831,
     832,   833,   834,   835,   836,   837,   838,    59,    40,    41,
      44,   123,   125,    58,    91,    93,    63
};
# endif

#define YYPACT_NINF -2599

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2599)))

#define YYTABLE_NINF -1015

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-1015)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     217,  4535,   255,  1566,   167,   272,   508,  4373,   886,   979,
     979,   654,   979,   528,   317,   266,  2734,  2556,   979,   432,
     335,   609, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,   817,
     441, -2599, -2599,   817,   739,  4373,  5357,   151,   184,   677,
     990, -2599, -2599,   791, -2599,   671, -2599, -2599, -2599, -2599,
   -2599,   487,  1079, -2599,   725,   990,   321,   333,   912, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,   786, -2599,   718,  4727, -2599, -2599, -2599,  1054,
    5609, -2599,   383,  1054, -2599,  1054, -2599,  1054, -2599,  1054,
    5189,  1054, -2599,  1054,  4967,   408,  2172,  1054, -2599,  1054,
   -2599,  1054, -2599,  1054,  5509,  1054, -2599,  1054,  4901,  5049,
   -2599, -2599, -2599, -2599,  1054,  1054,  1017, -2599, -2599, -2599,
    2072, -2599, -2599,   927,   997,  1213,   421, -2599, -2599,   936,
     412,  4373,  1129,   574,   624, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599,   536,   559,   642,   647,   667,
     681,   701,   711,   716,  1313,   742,   748, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,  3641,   119,  1281,  1342,  1328, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
    5986, -2599, -2599, -2599,  1347, -2599, -2599,   162,  1391,   162,
   -2599,  1397,  1397,   981,  1077,   213, -2599,   226,  1134,  1429,
    1455,  1180,  1037,   410,  1471, -2599,  1484, -2599,  1473,  1198,
     177,   448,   750,   556,  1344,   990,   990,   990,   990,   990,
     990,   990,  1250,   990,   990,  1397, -2599, -2599,  1510,  1535,
    1510,  1545,  1551,  1042, -2599, -2599, -2599,  1533,   817, -2599,
     226, -2599,  6111, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
    1547, -2599,  1239,  1544,  1546,   323, -2599, -2599,   976,   162,
     162,   162,   226,  1354,   113, -2599,   213,   983, -2599, -2599,
   -2599, -2599,   317,   158,  1340, -2599,   226,   226,   817, -2599,
     817, -2599,   988, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,   964, -2599,  1082, -2599, -2599, -2599, -2599, -2599,
   -2599,  1571,  1556,  1003,  1464,   990,   659,   162, -2599,   939,
    1368,   990,   213,  1379,  1038, -2599, -2599,  1043,  1076,  1078,
    1085, -2599, -2599,  1094,  1096,  1101,  1106, -2599,   824, -2599,
   -2599,   343,  1113,  1609,  1311,   251,   252,   320,   338,   471,
     990,   659,  1338,  1541,  1494,  1122,  1125,  1064,  1345,  1406,
     227,  1369,    61,   733,   446,   632,  1436,  1444,  1480,  1548,
     501,  1572,  1512,  1558,  1560,  1318,  1508,  1717,   659,  1516,
    1568,  1577,  1515,  1506,   480,   659,   150,  1505,  1598,  1660,
   -2599,  1317,  1353,  1355, -2599,  1387,  1357,  1390,  1392,  1519,
   -2599,  1814,  1612,   201,   659,  1851,   226,   659,  1854,   659,
   -2599,  1631, -2599,  1076, -2599,  1423,  1421, -2599, -2599,  1552,
     226,  1772,  1867,  2009,  1866,  1829,  1886, -2599,  1472,  1475,
    1451,  1469,  1485,  1490,  1925,  1847,  1924, -2599,  1495,  1497,
    1503,   496,  1500,  1502,  1507,  1782,  1805,  1806,   186,  1565,
   -2599,  1529,  1929,  1753,   226,  1948,  1834,   659,  1890,   277,
   -2599, -2599, -2599, -2599,  1534, -2599,  1536,  1538,  1539, -2599,
    1895, -2599, -2599,  1549,   416, -2599,  2072,  2072,  4373,   207,
    2072,  2072,  2120, -2599,  2128, -2599, -2599,   927,   997, -2599,
    2129, -2599,  4373,  2113,   637,  2121,  2108, -2599, -2599, -2599,
    2009,  2009,  4373,  4373,  4373,  4373,  4373,  4373,  4373, -2599,
    2009,  2009, -2599, -2599,  2140, -2599,  1559,   166, -2599, -2599,
   -2599, -2599,  3407, -2599, -2599, -2599,   194, -2599, -2599,  2151,
   -2599, -2599, -2599, -2599,   413, -2599,   438,  2144,  2111,  2149,
   -2599,  4373,  4373,  4373,  4373,  4373,  4373,  4373,  4373,  4373,
    4373,  4373,  4373,  4373,  4373,  4373,  4373, -2599,  5810, -2599,
   -2599,  1414, -2599, -2599, -2599, -2599,  2164,  2165,   979,   979,
    1942,   979,   979,  2167, -2599, -2599,   505,  2169, -2599, -2599,
    4373,  2146,  1632,  1664, -2599, -2599, -2599, -2599, -2599,  1152,
    2171, -2599,  2174, -2599,  5949, -2599,  1171, -2599,  2175, -2599,
    1473,  1473,  1473,  1473,  1473,  1473, -2599,   434,   732,  2176,
    1473,  1473, -2599,  2178,   990,  2179,  2181,  2182,  2183,  2187,
    2192,  2198,   990,  2201,  2203,  2208,   768,  2212, -2599,  1042,
   -2599, -2599,   226,  2217,  4373, -2599,  1624,   226, -2599,  1884,
    3778, -2599,  1578,  1623,  1625, -2599, -2599, -2599, -2599,  4373,
    1627, -2599, -2599, -2599, -2599, -2599,   162, -2599, -2599,   226,
     533, -2599,  1630, -2599,  1633,  1842, -2599,   409,   990,   226,
     -37,   226, -2599,   730,  1242, -2599, -2599, -2599, -2599, -2599,
   -2599,  1054, -2599, -2599, -2599, -2599,  2215, -2599,   201, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
     226, -2599, -2599,   659,   817, -2599, -2599, -2599, -2599, -2599,
      -7, -2599, -2599, -2599, -2599, -2599,  1856,  2056,  1994,  1995,
   -2599,  1646,   226,   226, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,   659,   206,  1649,  1650,    80,   322,   659,  1874,
    2074,  2015,  2017, -2599,  1661,  2020,  2043,   659,  2047,   540,
    2035,  1689,  1691,  1690,  1891, -2599,  1700, -2599, -2599, -2599,
    1430,  2260,   402,  1236,  2260,    79, -2599, -2599, -2599,  1705,
     659,  2057,   659,   226,  2058,  2061,   226,  2062,   659,  1460,
     659,  2154,   659,   659,  1713,   659,   659,   659,   659,   659,
    1923,  2256,   659,   659,  1731,   659,  1734,  2261,   659,   659,
    1954,  2093,  2158,  2119,   659,  2114,   659, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,   659,   364,   659, -2599,
   -2599,   659, -2599,  2166,   226, -2599, -2599, -2599, -2599, -2599,
   -2599,   226, -2599,  1925,  2326, -2599, -2599, -2599,   403,  2163,
   -2599, -2599,  1925,   403, -2599, -2599, -2599,   403,   659,  2009,
   -2599, -2599, -2599, -2599, -2599, -2599,  1213, -2599, -2599, -2599,
     659,  2009, -2599, -2599, -2599, -2599,  1504, -2599,  1460, -2599,
   -2599, -2599, -2599, -2599,   294,  2010, -2599,  1756, -2599, -2599,
    2177,  1460, -2599,   990,   990,  2244, -2599,   659,   659, -2599,
     226,  2036, -2599,   226, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599,   226, -2599,  2346, -2599, -2599, -2599,  1930,
   -2599, -2599,  2072,   479, -2599, -2599, -2599, -2599, -2599,  1764,
    1769,  6111, -2599,  2233,  2334, -2599, -2599, -2599,  1123,  1774,
    2046,   299,   488,  1016,  1621,  2087,  2240,  1777,  1778, -2599,
    4373, -2599,  4373,  1779,    36,  1783,  2390, -2599, -2599,  2355,
     243,   332, -2599,  1213, -2599,  2323,  2363,  2329,  2787,  2787,
    2787,  6000,  6000,  2787,  2787,  2787,  2787,  2787,  1562,  1562,
    1380,  1380,  2108,  2108,  2168, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599,    20, -2599, -2599, -2599,  1942,  1942,  4373,
    2382,  2387,  2389, -2599, -2599, -2599,   340, -2599, -2599,  2441,
   -2599, -2599, -2599, -2599, -2599,   801,  2393, -2599, -2599, -2599,
    1771,  1925,  2326,  2372, -2599,  2238,  2239,   738, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599,  2384, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,  1374,  1397,  1397,  1397,
    1397,  1397,  1397,   754,  1473,  1397,  1473,  1397, -2599,  1397,
    1397, -2599,  2403, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
    2404, -2599, -2599, -2599, -2599,  2326,  1316,   990, -2599, -2599,
    2405, -2599, -2599,  1118,  1813,  2400,  1817,  1751, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599,  1239, -2599,   990,  2394, -2599,  1820,  2507, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,   463, -2599,
   -2599, -2599,   990, -2599, -2599, -2599, -2599, -2599,  4373, -2599,
    2379,   226,   990, -2599, -2599,   346,  1833,  1835, -2599, -2599,
   -2599, -2599, -2599,  1832,  1746, -2599, -2599, -2599,  2398, -2599,
    1837, -2599,  1839, -2599,   913, -2599,  2155, -2599,  1843, -2599,
    1840,  4391,  1276,  5662,  2060,  2197,   226,   226, -2599,  1848,
    1849,  1850,   659,   233, -2599, -2599,  2271,  2209,   226,  1858,
    1860,  1862,  2078,  2219,   226,   226, -2599, -2599,   659,   659,
    1870,  2223,   226,  1883,   226, -2599, -2599,  2459, -2599,   226,
   -2599, -2599, -2599, -2599,   817, -2599,   226,   226, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,  1887, -2599,   226,   226,
   -2599, -2599,  1892,   226,  1893,  1894,   226,   226,  1897,   226,
    1898,  1901,  1911,   201,  1913,  1914, -2599,  1915,  1916,  1917,
    1926,  1927,   659,   142,  1931,  1933, -2599,  1934, -2599,   659,
    1935,  1949,  2246,   659,   659,   659,  1950,  2242,  1957,  1132,
   -2599, -2599,  5536, -2599,  5455, -2599,   226, -2599, -2599, -2599,
   -2599,   226, -2599, -2599,  1432,  1959,  1637, -2599, -2599, -2599,
    4373, -2599,  2303, -2599,   659,  1637, -2599, -2599, -2599,  1960,
    4124,  5579,  1033,  2433,  1961,  1962, -2599,  2260,  2436,  2476,
    2504,   226,   659,  2496,   659,   294, -2599, -2599,  4878,   226,
    1963,     0,  1964,  1965,  1197, -2599,  2343, -2599,   226, -2599,
    1837,  1966, -2599,  2072, -2599, -2599,  2072,  4373, -2599,  2490,
    2491, -2599, -2599, -2599,  4373,  4373, -2599,  4373,  4373,  4373,
    4373, -2599, -2599, -2599, -2599,  1655,   203,  3436,  4373,  3892,
    4373, -2599,  1968,  4373, -2599, -2599, -2599,  2547,  2526,  2549,
   -2599, -2599, -2599, -2599, -2599,  1414, -2599,  2563,  2577,  6111,
   -2599, -2599, -2599,   505, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599,   927,   838,  1740, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599,  2560,  2560, -2599, -2599,  1347,
   -2599, -2599, -2599, -2599, -2599,   990, -2599, -2599,  1488, -2599,
     990,  2580,  2583,  2591,  2592,  2593,  2594, -2599, -2599,  2582,
     201, -2599, -2599, -2599,   201,   201,  1397,  2596,  1397,  2597,
    2598,  2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599,  3778,  3778, -2599, -2599,  4755,  1239,  2006,  2005,  2007,
    1837, -2599, -2599,   533, -2599, -2599,  2541,  2590, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
     520, -2599, -2599, -2599,   175,   309,   162,  2362,  2375,  2391,
     659,   659,  2395,  1523,  2052, -2599,  2049, -2599,  2618, -2599,
   -2599,   162,  1836, -2599, -2599,  2051,   933, -2599, -2599, -2599,
    2606,  2485,  2358, -2599, -2599, -2599,  2063, -2599, -2599,  2064,
   -2599,  1460,  2344,  2345, -2599, -2599,  2066, -2599,  2511, -2599,
   -2599, -2599,  2067,  2408,   226,  2065,  2069, -2599, -2599, -2599,
    2071,   802, -2599,  2077,   395,   226,  2080, -2599, -2599, -2599,
    2422,   226,  2082,  2085,   -20, -2599,  2086,  2088, -2599,   659,
    2090, -2599,  2091,  2070, -2599,  2092,  2095,   513, -2599,   516,
   -2599, -2599, -2599,   337, -2599, -2599, -2599,  2097, -2599, -2599,
    2098,  2099, -2599,  2100, -2599, -2599, -2599,  2102, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599,  2103, -2599,  2104, -2599, -2599,
   -2599,  2105, -2599, -2599,  2488,  2106,  2107,  2110, -2599,   659,
   -2599,  1092,  2654, -2599, -2599,  2116, -2599,  2453,  2366,  2332,
    2075,  1888,  2336,  2540,  2531,  2411,  2489,  2658,   226,  2360,
    2558,   204,   659,   659,   399,   659,   165, -2599, -2599,  2130,
    2705,  2294,  2299,  1348, -2599, -2599, -2599, -2599,  1076, -2599,
    2135, -2599, -2599, -2599,   655,   659, -2599,   511, -2599,  2495,
    1430, -2599,   640, -2599,  2137, -2599,  2265, -2599,  2141, -2599,
    6111,  1827, -2599, -2599, -2599, -2599,  1145, -2599, -2599, -2599,
    1145,  2572,  2232, -2599, -2599, -2599,  2147, -2599,   659,   226,
   -2599, -2599, -2599,  2148,   226,  2229,  2231,  2566,  2454,  2566,
    2699,   409,    28,  2566, -2599, -2599, -2599,  2159, -2599,   226,
   -2599, -2599, -2599, -2599,  2504, -2599, -2599,  2157, -2599, -2599,
    2717, -2599, -2599, -2599, -2599,  4616,  2326,  1404,   226,   990,
    2627, -2599, -2599, -2599,  2173,  2180, -2599,   226,  1460, -2599,
   -2599, -2599,   659,   659,   226, -2599, -2599, -2599, -2599, -2599,
   -2599,  6111,  2725, -2599,  1284,  1412,  1719,  1797,  2581,  2771,
    2832,  2909,  4373, -2599,  4373,  1186,    55,  6111,  2185,  1204,
      35,  2188,  2747,  2390, -2599,  2750, -2599,  2170, -2599, -2599,
   -2599, -2599,  2752,   927,   997,  1347, -2599, -2599, -2599,   927,
     997, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,  2766, -2599,  2769, -2599,
   -2599, -2599,  1239,  2675, -2599,  4373,  4373,  2189,  4373, -2599,
   -2599, -2599,  4373,  4373, -2599,  2191,  2193, -2599,  1239,  2196,
   -2599, -2599,  4755,  2213,  4373, -2599, -2599,   284,  2214, -2599,
   -2599,  2760, -2599, -2599, -2599,   346, -2599,  2216,  2534,  2230,
      -2,   659,  2600,  2601,   226,  2228, -2599,  2602,  2676,   226,
   -2599, -2599,  2603,   226,   226,   817, -2599,  1606,  1488, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,   219, -2599, -2599,  2009,
   -2599, -2599,   693, -2599, -2599,  2248,  2245, -2599,   170, -2599,
     659,  2532, -2599, -2599, -2599,  2702, -2599,   226,  2255,   226,
   -2599, -2599,  2677,  2427,  2434, -2599,   132,  2448,  1396,   806,
   -2599, -2599,  2262,  2275,  2278, -2599,   226,  2279, -2599, -2599,
   -2599, -2599,  2276,  2283, -2599, -2599,  2284, -2599, -2599, -2599,
    1737, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,   659, -2599, -2599, -2599,  2285,   437,
     703, -2599, -2599,  2475,   825,   237,   659,   659,  2636,   235,
    2009,   659,  2823,  2505,  2562, -2599,   852,  2009, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599,  2512,  2828, -2599, -2599,   182,
     182,   182,  2870, -2599, -2599, -2599, -2599,   226,   226,   659,
   -2599,  2290,   226, -2599,  2291,   201, -2599, -2599,  2292,   226,
   -2599, -2599,   226,  2296, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,  2297, -2599, -2599, -2599,   146,    24, -2599,   659,
    2834, -2599, -2599, -2599,  2723, -2599, -2599, -2599,   226,   226,
   -2599,   226,  1460,   226,  2835, -2599,  2854, -2599, -2599, -2599,
     226, -2599, -2599,  2717,  2476,  2890, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,  2561, -2599, -2599, -2599, -2599,  2311,
    2312, -2599,  -196,  2875, -2599, -2599, -2599, -2599,  2850, -2599,
   -2599,  1770,  2845, -2599, -2599, -2599, -2599, -2599, -2599,   152,
    2876,  2876,  1074,  2318, -2599,   152,  2876,  2876,  1145,  2327,
    4373,  4373, -2599, -2599, -2599, -2599,  3052,  3153, -2599,  2888,
    4373, -2599,  4037, -2599,  2892,  4373,  2925,  4094,  4233,  2331,
   -2599,  4373, -2599, -2599, -2599,   841, -2599,   585,   662,  2913,
    3592,  5219,   114,  5195, -2599, -2599,  4755,    70, -2599, -2599,
   -2599,   724,  4373, -2599, -2599,  2337, -2599, -2599,  2351, -2599,
     226,   226,  2354,   226,   226,  2356, -2599,   226,  2706,   226,
     226, -2599, -2599, -2599, -2599,   226,   226, -2599,  2359,  3920,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599,  2245,   817, -2599,
   -2599,   817,   990,  2652, -2599,  2662,  2361,   659,  2364, -2599,
    2367,  2544,  2690, -2599, -2599, -2599, -2599, -2599, -2599,   802,
   -2599, -2599, -2599, -2599,  2370, -2599, -2599, -2599, -2599, -2599,
   -2599,   659,  2368, -2599,  1569,  2673,   226,   226,   935, -2599,
   -2599, -2599, -2599,  2853,  2371,  2374,  2376, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,  2604,   358,  1460,  2576,
     358, -2599, -2599, -2599, -2599, -2599,   226,  2800,  2737, -2599,
   -2599,  2661,  2605,   659, -2599, -2599, -2599, -2599, -2599,   659,
    2666,  1922,  2388, -2599, -2599, -2599, -2599, -2599, -2599,  1837,
    2392, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,  2397, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,   226,  2399,   226, -2599, -2599, -2599,
   -2599, -2599,   659, -2599,  2401,  2407, -2599, -2599, -2599,   659,
   -2599, -2599,  1460, -2599,  2402, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,  2984,   226,
    1868, -2599,  2396, -2599,    89,   226,  1990,   120, -2599, -2599,
   -2599, -2599,  1868,    89,   120,  2914, -2599,  3187,  3231, -2599,
   -2599,  2410,  2412,  1297,    66,  2413,  1306,  2406,  2414,    71,
    2415,    72, -2599,  2416, -2599, -2599, -2599, -2599,  2417, -2599,
    4834, -2599, -2599,  1239,  2882,  4373,  3083, -2599,  4373, -2599,
   -2599,  3678,  2168, -2599, -2599,  2409,  2420, -2599,  2428,  2429,
   -2599,   226, -2599,  2754, -2599, -2599, -2599, -2599, -2599,  4373,
   -2599,  2419, -2599, -2599, -2599, -2599,  2045, -2599, -2599, -2599,
    1460,  2729,   659, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,  1287, -2599,  1735,  2738,  2739,  2740, -2599, -2599,
   -2599,  1729, -2599,  2829, -2599, -2599, -2599, -2599,  4373, -2599,
   -2599, -2599, -2599,  1176, -2599, -2599, -2599,  2792, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,   659,   226,  2895,  2795,
   -2599, -2599,   659, -2599,   531,  2265, -2599, -2599,    62,   109,
     394,  1010,   807, -2599, -2599, -2599, -2599, -2599,  2533, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,   226,
   -2599, -2599,   226,  1788,   226, -2599,  2876,  2876,  3006, -2599,
   -2599, -2599, -2599, -2599,  2876,  2876,  3031, -2599, -2599, -2599,
   -2599, -2599,  3011,  4373, -2599, -2599, -2599,  3013,  4373, -2599,
    4373,  3044, -2599,  4373, -2599, -2599,  2455,  2944,    98, -2599,
   -2599,  6111, -2599,  2456,  3814, -2599,  2458, -2599, -2599, -2599,
   -2599, -2599,   226,  3265,  3920, -2599, -2599, -2599,   659, -2599,
   -2599,  4762, -2599,   226,  1075,  2907,  2908,  2853,  2462,  2468,
   -2599, -2599,  2464,  2470,   226,   226,   226, -2599, -2599,  1732,
    3279,  3043,   163,   226,  3043,  2011,   517,  2467,   226, -2599,
   -2599,   670,   226, -2599,  2388, -2599, -2599,  5641, -2599, -2599,
   -2599,   397, -2599,   659,   226,   659, -2599,  2473,   226,   124,
     226,   226,  2735,   189, -2599, -2599,  2477,  2607,  2608,   659,
     659,   659, -2599,  2478,  1279, -2599,   267,   136,  3773,  4592,
   -2599,    77, -2599,   854, -2599,  2396,   226, -2599,   226,   226,
     226,  1990,  1990, -2599,  2497,  2499,  2500,  2494,  2501,  2503,
    2506, -2599,  4834,  4834, -2599, -2599,  3069, -2599, -2599, -2599,
   -2599,   651,  4373,  2508,  2509, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,   226,  2784,   956,   226,  2857,  2789,   737,   123,
     226,  2814,  2818,  3056,   527,  2785, -2599, -2599,  2521,  2525,
    1443,  1611, -2599, -2599, -2599, -2599,  2707, -2599,  2527,   226,
     226,  2528, -2599, -2599, -2599, -2599,  1735, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,  2529,  3043,  3043,  2530,  2535,  2536,
    3043,  3043, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
    2055,   226,  2893,  2655,  2537,   659,  2808,   878,   260,  2687,
     226,   226,   226,  2763,   659,   226,  2801,   275,    -1,   226,
    3009,  2694, -2599, -2599,  2545, -2599,   226,  2550, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,   226,   226,
   -2599, -2599,   226,   226, -2599, -2599, -2599, -2599,  2660,    87,
      19,   -12,  2663,   216,  2667,   659,  2664,  2902,  2678,  2830,
    2847,  2848,  2657, -2599,  2570,   285,  1460, -2599,  2573,  3146,
     285, -2599,  2575, -2599, -2599, -2599,   226,   659,    86,   659,
    2851,   918,  1460,   347,   226,  2927,  2803,  2929,  3050,  2945,
    2946,   329,   368,  2681,  2680,  2688, -2599, -2599,  2615,   990,
     648, -2599,  2617,  2674,  2698,   990, -2599,  2630, -2599,  3191,
    3192, -2599, -2599, -2599, -2599, -2599, -2599,  4373, -2599,  4373,
   -2599, -2599, -2599,   339,   473,  4834,  6111,  2634,  4373, -2599,
     225, -2599, -2599, -2599, -2599,   659,   226,   226,   226,   226,
     226, -2599, -2599,  2904, -2599,   226,   226,  2910,   226,   226,
     226,   226,   659, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599,  2638,  2641, -2599,
   -2599,  1176,  2648,  2650,  1176,  1176,  1176,  2653,  2659, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,   659,
    2759, -2599, -2599,   396,   226,   226, -2599, -2599, -2599, -2599,
     659, -2599, -2599, -2599,   571, -2599, -2599,   226,   226, -2599,
     659,   659, -2599,   226,   659, -2599, -2599, -2599, -2599, -2599,
    2746,  2746,  2953,  3005, -2599,  1164,   226,  1164,  3007,   226,
     226,   226,  2957,  2774, -2599,   659,   226,   226,  3091,   659,
     146,   659,    24,   304, -2599,   226, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599,   659,   659, -2599,
     226,   226,   226, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599,   226,   772,   226,   226,   226,   226, -2599, -2599,   659,
   -2599,   659,   659,   659, -2599, -2599, -2599, -2599, -2599,  3082,
    3089, -2599, -2599, -2599,   226,   226,  2682,  2679, -2599, -2599,
   -2599,  3166, -2599,  3348,  1460,  1460,   283, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,   659, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599,  1176,  1176, -2599, -2599, -2599,
    1176,  1176, -2599,   659,   135, -2599, -2599, -2599, -2599, -2599,
   -2599,  2824, -2599, -2599, -2599, -2599, -2599, -2599, -2599,   659,
   -2599, -2599,   226,   226, -2599, -2599, -2599, -2599,  2746, -2599,
     226,  2746, -2599, -2599,   226,   659, -2599, -2599, -2599,   226,
   -2599, -2599, -2599, -2599,   226,   659, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599,  2825, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599,   990,   990, -2599, -2599, -2599,  4373,  4834,
    2685, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,  2831, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,  2776, -2599, -2599, -2599, -2599,  2704,
   -2599, -2599, -2599,  2708,  3773,  4373, -2599, -2599,  2719, -2599
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
      14,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1660,     0,    13,   162,   164,   166,   590,   592,   594,   596,
     600,   602,   604,   662,   671,   673,   675,   677,   679,   681,
     683,   685,   687,   689,   691,   693,   697,   699,   701,   703,
     705,   707,   709,   713,   715,   717,   767,   838,   894,   896,
     898,   900,  1101,  1103,  1105,  1257,  1259,  1261,  1263,  1265,
    1267,  1269,  1271,  1429,  1431,  1516,  1531,  1640,  1642,  1644,
    1646,  1648,  1650,  1652,  1654,  1656,  1658,     1,    12,     0,
     426,   422,   423,     0,     0,     0,     0,     0,     0,     0,
       0,   447,   448,     0,   415,   416,   418,   419,   420,   421,
     424,     0,     0,  1576,     0,     0,     0,     0,     0,    16,
      15,    17,   169,   172,   174,   176,   178,   215,   404,   411,
     413,   425,     0,   427,   430,     0,   495,   501,   446,   449,
     453,   725,   731,   449,   769,   449,   785,   449,   850,   449,
     453,   449,  1109,   449,   453,     0,   453,   449,  1291,   449,
    1378,   449,  1433,   449,   453,   449,  1518,   449,   453,   453,
    1575,  1603,  1606,  1623,   449,   449,   453,   163,   165,   167,
     298,   299,   310,   226,   227,   305,   402,   302,   303,     0,
       0,     0,     0,     0,     0,   322,   300,   301,   320,   321,
     323,   324,   325,   326,   327,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1557,  1558,  1559,
    1560,  1561,  1562,  1563,  1564,  1565,  1566,  1567,  1568,  1569,
    1570,  1571,  1572,  1573,     0,     0,    49,     0,    50,    59,
      51,    52,    53,    54,    60,    61,    55,    56,    57,   306,
     160,   161,    58,   304,   314,   354,   355,   371,   403,   357,
       0,   370,   356,  1574,   719,   721,   720,     0,     0,     0,
     719,    83,    83,     0,     0,     0,   716,   507,     0,     0,
       0,     0,   723,     0,     0,   606,     0,   664,   599,     0,
       0,   599,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    83,  1533,  1661,  1660,     0,
    1660,     0,     0,  1662,  1653,    26,    25,     0,     0,   216,
       0,   170,   173,   180,   181,   182,   184,   183,   185,   186,
     187,   188,   198,   189,   190,   191,   192,   193,   194,   195,
       0,   196,     0,     0,     0,     0,    81,    80,     0,     0,
       0,     0,     0,     0,     0,   417,     0,     0,   504,   503,
     505,   506,     0,     0,     0,  1610,     0,     0,     0,  1614,
       0,   431,   444,   529,  1283,  1434,   903,  1474,   770,   786,
     851,  1112,  1127,  1292,  1379,  1519,  1540,  1666,  1683,  1130,
    1381,     0,   450,     0,     0,     0,    32,     0,   535,     0,
       0,     0,     0,     0,     0,   528,   464,     0,   479,     0,
       0,   729,   733,     0,     0,     0,     0,   746,     0,  1032,
    1033,     0,     0,     0,     0,  1022,  1023,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,     0,     0,
      32,     0,     0,   907,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    32,     0,
       0,     0,     0,     0,     0,    32,     0,     0,     0,     0,
     902,     0,     0,   759,  1053,  1096,     0,     0,     0,     0,
     426,     0,     0,     0,    32,     0,     0,    32,     0,    32,
    1126,  1133,  1137,   479,  1138,     0,     0,  1151,  1285,     0,
       0,     0,     0,     0,     0,     0,     0,  1282,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1473,     0,     0,
       0,  1498,  1513,     0,     0,     0,     0,     0,     0,     0,
    1539,     0,     0,     0,     0,     0,     0,    32,     0,    32,
    1665,  1675,  1673,  1674,     0,  1676,     0,     0,     0,  1689,
       0,  1682,  1686,     0,   298,   402,   298,   298,     0,     0,
     298,   298,     0,   287,     0,    39,    40,     0,     0,    43,
       0,    44,   315,     0,     0,     0,   352,    47,   155,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    48,
       0,     0,   247,   248,     0,   250,     0,     0,   228,   231,
     230,   234,     0,   307,    49,    50,   278,   229,   233,   265,
     262,   263,   264,   274,     0,   282,     0,     0,    41,     0,
     694,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   328,     0,   538,
     537,     0,   712,   710,   711,    82,     0,     0,     0,     0,
     696,     0,     0,     0,   549,   548,     0,     0,    19,    21,
       0,     0,   509,   512,   718,  1655,   763,   722,   724,   723,
       0,   601,     0,   593,     0,   591,     0,   598,     0,   840,
     599,   599,   599,   599,   599,   599,  1273,   599,   599,     0,
     599,   599,  1657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1649,  1662,
    1645,  1647,  1663,     0,     0,   727,     0,     0,   204,     0,
       0,   197,     0,     0,     0,   407,   409,   410,   524,     0,
       0,   412,   498,   496,   497,   499,     0,  1629,  1628,     0,
       0,  1624,     0,  1605,     0,  1579,  1585,     0,     0,  1580,
       0,     0,  1607,     0,     0,  1626,  1627,  1615,   429,   442,
     428,   449,  1128,  1129,  1380,   451,     0,   530,     0,   459,
      28,    30,    29,    31,    27,   454,   456,   515,   462,   461,
       0,   460,   457,    32,     0,   531,   477,   481,   532,   533,
       0,   726,   778,   795,   856,   933,     0,     0,     0,     0,
     951,     0,     0,     0,  1026,  1024,  1027,  1025,  1028,  1030,
    1029,  1031,    32,     0,     0,     0,     0,    32,    32,     0,
       0,     0,     0,  1050,     0,     0,     0,    32,     0,     0,
       0,     0,     0,     0,     0,   952,     0,    33,    34,    35,
       0,    36,     0,     0,    36,     0,   925,   926,   927,     0,
      32,     0,    32,     0,     0,     0,     0,     0,    32,     0,
      32,     0,    32,    32,     0,    32,    32,    32,    32,    32,
       0,     0,    32,    32,     0,    32,     0,     0,    32,    32,
       0,     0,     0,     0,    32,     0,    32,   934,   936,   757,
     761,  1094,  1098,   935,  1121,  1131,    32,    32,    32,  1152,
    1139,    32,  1149,  1146,     0,  1140,  1134,  1135,   481,  1132,
    1154,     0,   472,     0,   210,   212,   486,   487,     0,     0,
     485,   466,     0,     0,   468,   483,   465,     0,    32,     0,
    1286,  1287,  1304,  1388,  1436,  1475,     0,    69,    68,  1493,
      32,     0,  1476,  1477,  1478,  1500,     0,  1499,     0,  1503,
    1501,  1502,  1506,  1504,  1489,  1495,  1514,     0,  1528,  1544,
       0,     0,  1541,     0,     0,     0,  1545,    32,    32,  1555,
       0,     0,  1677,     0,  1670,  1669,  1679,  1553,  1668,  1667,
    1684,   515,  1687,     0,  1685,     0,   290,   296,   294,     0,
     226,   227,   298,     0,   295,   297,   289,    38,    41,   318,
       0,   316,   358,     0,     0,   359,   156,   157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   249,
       0,   335,     0,     0,     0,     0,   236,   279,   280,     0,
       0,     0,   308,     0,   309,     0,     0,     0,   349,   347,
     345,   342,   343,   344,   346,   348,   350,   351,   341,   340,
     336,   337,   338,   339,     0,   657,   655,   656,   640,   643,
     647,   650,   653,   654,   658,   641,   642,   644,   645,   646,
     648,   649,   651,   652,   659,   660,   661,   542,   543,   544,
     546,   547,   545,     0,   540,   702,   698,   696,   696,     0,
       0,     0,     0,  1102,   553,   554,     0,   551,   714,     0,
     508,   510,   511,   513,   514,     0,     0,   595,   603,   605,
       0,     0,   210,     0,   616,     0,   637,     0,   618,   617,
     622,   623,   636,   638,   639,   607,   615,     0,   663,   670,
     667,   666,   668,   669,   665,  1517,     0,    83,    83,    83,
      83,    83,    83,     0,   599,    83,   599,    83,  1258,    83,
      83,  1659,     0,   688,   686,   678,   690,   680,   672,   674,
       0,   682,   684,   700,  1532,   210,     0,     0,  1537,  1651,
       0,  1664,  1641,     0,   200,   206,     0,     0,   171,   208,
       4,     7,     6,     9,     2,     3,     5,     8,    10,    11,
     199,     0,   175,     0,     0,   515,     0,     0,   405,   500,
    1625,  1638,  1635,  1633,  1634,  1636,  1639,  1637,     0,  1631,
    1604,   502,     0,  1584,    85,    86,    87,    84,     0,  1587,
    1588,     0,     0,  1582,  1590,     0,     0,     0,  1609,  1611,
      22,    23,    24,     0,     0,  1284,   452,   458,   518,   521,
     536,   455,     0,   463,     0,   482,     0,   732,     0,   728,
     742,   453,   453,   453,     0,     0,     0,     0,   942,     0,
       0,     0,    32,    32,   991,   993,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1048,  1052,    32,    32,
       0,     0,     0,     0,     0,  1013,  1012,   835,  1015,     0,
     953,    67,    66,   907,     0,   907,     0,     0,   910,   911,
     939,   928,   929,   930,   931,   932,     0,   904,     0,     0,
     937,   989,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   988,     0,     0,     0,
       0,     0,    32,     0,     0,     0,   992,     0,   946,    32,
       0,     0,     0,    32,    32,    32,     0,     0,     0,     0,
     745,   481,     0,  1099,   453,  1141,     0,  1144,  1143,  1148,
    1142,     0,  1150,  1136,     0,     0,     0,   209,   484,   204,
       0,   494,   488,   470,    32,     0,   471,   469,   474,     0,
     453,   453,   453,  1491,     0,     0,  1483,    36,  1496,     0,
       0,     0,    32,     0,    32,  1490,  1511,  1481,   453,     0,
       0,     0,     0,     0,     0,  1680,  1671,  1554,     0,  1678,
     523,  1693,  1688,   298,   288,   292,   298,     0,   319,     0,
       0,   151,   153,   366,     0,     0,   353,     0,     0,     0,
       0,   372,   369,  1108,  1107,     0,     0,     0,     0,     0,
       0,   232,     0,     0,   266,   275,   283,     0,     0,     0,
     334,   330,   331,   333,   329,     0,   539,     0,     0,   695,
     704,  1104,  1106,     0,   550,    20,   768,   764,   765,   766,
     597,   634,   635,     0,   631,   632,   633,   627,   625,   626,
     608,   624,   609,   614,   621,     0,     0,   610,   611,   619,
     620,   839,   841,   845,   848,     0,   846,   847,     0,   849,
       0,     0,     0,     0,     0,     0,     0,  1272,  1281,     0,
       0,  1276,  1279,  1274,     0,     0,    83,     0,    83,     0,
       0,     0,   692,   676,  1536,  1535,  1534,  1538,  1643,    18,
     202,     0,     0,   217,   168,   219,     0,     0,     0,     0,
     525,   406,   408,     0,  1630,  1578,     0,     0,  1586,  1583,
    1581,  1599,  1594,  1598,  1597,  1595,  1596,  1600,  1601,  1602,
       0,  1592,  1577,   414,     0,     0,     0,     0,     0,     0,
      32,    32,     0,     0,     0,   445,     0,   519,    83,   515,
     534,     0,     0,   480,   475,     0,     0,   730,   740,   744,
       0,     0,     0,   780,   771,   772,     0,   802,   804,     0,
     804,     0,     0,     0,   797,   787,     0,   859,     0,   858,
     852,   853,     0,     0,     0,     0,     0,   964,   963,  1020,
       0,     0,   912,     0,    32,     0,     0,  1001,  1000,  1011,
       0,     0,     0,     0,     0,   990,     0,     0,   978,    32,
       0,   954,     0,     0,   833,     0,     0,     0,    37,     0,
     908,   909,  1018,     0,   905,   906,   956,     0,   961,   948,
       0,     0,   969,     0,   958,   965,   944,     0,   945,   980,
     994,   960,   959,  1010,   962,     0,   995,     0,   997,   998,
     947,     0,   957,   985,     0,     0,     0,     0,   983,    32,
    1019,     0,     0,   760,   751,     0,   762,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    32,    32,    32,    32,     0,  1097,  1063,     0,
       0,     0,     0,     0,  1123,  1110,  1113,  1115,   479,  1114,
       0,  1145,  1147,  1247,     0,    32,  1167,    32,  1165,     0,
       0,  1157,    32,  1153,     0,  1171,  1248,  1290,     0,   211,
     213,     0,   493,   473,   467,  1289,     0,  1307,  1297,  1299,
       0,     0,     0,  1306,  1293,  1294,     0,  1391,    32,     0,
    1390,  1382,  1383,     0,     0,     0,     0,  1451,     0,  1451,
       0,     0,     0,  1451,  1435,  1438,  1439,     0,  1442,     0,
    1494,  1479,  1480,  1482,     0,  1507,  1508,  1505,    75,    76,
    1485,  1487,  1488,  1484,  1486,     0,   210,     0,     0,     0,
       0,  1530,  1524,  1520,     0,     0,  1546,     0,     0,  1547,
    1548,  1549,    32,    32,     0,  1681,  1556,  1691,  1695,   291,
     293,   317,     0,   360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   311,     0,     0,     0,   236,     0,     0,
       0,     0,     0,     0,    45,     0,    46,     0,   541,   706,
     708,   552,     0,   628,   629,     0,   612,   613,   843,    72,
      73,    74,    70,    71,   842,   844,   901,   895,   897,   899,
    1262,  1260,  1277,  1280,  1275,  1278,     0,  1264,     0,  1268,
    1430,  1432,     0,   207,   204,   315,   315,     0,     0,   373,
     374,   375,     0,     0,   385,     0,     0,   380,     0,     0,
     223,   224,   220,     0,   315,   221,   222,     0,     0,  1100,
     177,     0,  1632,    88,  1589,     0,  1591,     0,     0,     0,
       0,    32,     0,     0,     0,     0,   433,     0,     0,     0,
     432,   434,     0,     0,     0,     0,   443,   516,     0,   520,
     522,   476,   478,   735,   736,   737,     0,   734,   774,     0,
     776,   779,   789,   515,   790,     0,   812,   791,   816,   792,
      32,     0,   796,   515,   854,     0,   857,     0,     0,     0,
     972,   974,     0,     0,     0,   916,     0,     0,     0,     0,
     914,   975,     0,     0,     0,  1002,     0,     0,   949,   970,
    1034,  1051,     0,     0,   976,   979,     0,   955,   966,   589,
       0,  1016,  1021,   941,   940,   938,   971,   967,   968,   950,
     943,   999,   996,  1017,    32,   981,   986,   984,     0,     0,
       0,   752,   758,     0,     0,    32,    32,    32,     0,     0,
       0,    32,     0,     0,     0,  1091,     0,     0,  1071,  1072,
    1073,  1069,  1090,  1089,  1074,     0,     0,  1095,  1116,     0,
       0,     0,     0,   481,  1122,   515,  1170,     0,     0,    32,
    1158,     0,     0,  1156,     0,     0,  1174,  1169,  1173,     0,
    1163,  1155,     0,  1181,  1288,   489,   490,   491,   492,    65,
      64,  1342,  1351,  1296,   515,  1295,     0,     0,  1302,    32,
       0,  1305,   515,  1387,  1384,  1386,  1389,  1453,     0,     0,
    1452,     0,     0,     0,     0,  1454,  1440,  1457,  1466,  1444,
       0,  1437,  1492,  1497,     0,     0,  1515,  1510,  1512,  1523,
    1522,  1521,  1526,  1525,     0,  1529,  1552,  1543,  1542,     0,
       0,  1672,     0,     0,   109,   120,   121,   107,     0,   110,
     111,     0,     0,   114,   115,   119,   116,   158,   117,     0,
     133,   133,     0,     0,   159,     0,   133,   133,     0,     0,
       0,     0,   363,   364,   362,   365,     0,     0,   245,     0,
       0,   243,     0,   239,     0,     0,   237,     0,     0,     0,
      42,   315,   630,  1266,  1270,     0,   218,     0,     0,     0,
       0,     0,     0,     0,   401,   401,   219,     0,   214,   225,
     395,     0,     0,   397,   205,     0,  1593,  1612,     0,  1608,
       0,     0,     0,     0,     0,     0,  1616,     0,     0,     0,
       0,   435,   436,   441,   517,     0,     0,   743,     0,     0,
     773,   204,   800,   798,   799,   801,   803,   812,     0,   833,
     805,     0,     0,   819,   793,     0,   891,    32,     0,  1004,
       0,     0,     0,   919,   920,   918,   922,   921,   923,     0,
     913,  1006,  1005,  1007,     0,  1003,  1044,  1049,   977,   562,
     563,    32,     0,   830,     0,     0,     0,     0,     0,   836,
     832,   555,   557,     0,   588,     0,     0,   982,   753,   754,
     755,   748,   750,   747,   749,   756,     0,    32,     0,     0,
      32,  1082,  1083,  1084,  1086,  1087,     0,     0,     0,  1093,
    1075,     0,     0,    32,  1060,  1061,  1062,  1070,  1092,    32,
       0,     0,     0,  1124,  1118,  1119,  1120,  1117,  1111,  1250,
    1254,  1160,  1161,  1159,  1235,  1162,  1235,  1195,  1175,  1164,
    1249,  1182,  1349,  1348,  1339,  1355,  1354,  1362,  1298,  1364,
    1365,  1372,  1300,  1303,     0,  1426,     0,  1450,  1449,  1445,
    1443,  1446,    32,  1441,  1458,     0,  1447,  1509,    77,    32,
    1550,  1551,     0,  1694,     0,   361,   108,   112,   113,   118,
     103,   101,    99,    98,   100,   102,    97,   104,   126,     0,
     143,   128,   124,   134,   144,     0,     0,   145,    63,    62,
     142,   152,   148,   149,   150,   146,   154,     0,     0,   312,
     313,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   281,     0,   201,   203,   393,   394,     0,   390,
       0,   284,   379,     0,     0,     0,     0,   381,     0,   377,
     392,     0,     0,   179,  1613,     0,     0,  1622,     0,     0,
    1620,     0,   438,     0,   437,   440,   739,   738,   741,     0,
     784,   775,   781,   777,   805,   788,     0,   815,   817,   818,
       0,   821,    32,   889,   860,   855,  1009,   973,   917,   924,
     915,  1008,     0,   829,   558,     0,     0,     0,   824,   828,
     806,     0,   807,     0,   831,   837,    92,    91,     0,   564,
      93,    95,    94,   565,   561,   834,   987,     0,  1055,  1056,
    1054,  1066,  1064,  1067,  1065,  1088,    32,     0,     0,     0,
    1080,  1085,    32,   272,     0,  1248,  1252,  1256,     0,     0,
       0,  1184,     0,  1353,  1337,  1336,  1360,  1370,     0,  1424,
    1392,  1385,  1448,  1460,  1465,  1467,  1527,  1690,  1692,     0,
     122,   106,   105,     0,     0,   105,   133,   133,     0,   135,
     136,   137,   138,   139,   133,   133,     0,   367,   368,   260,
     244,   242,     0,     0,   240,   258,   238,     0,     0,   256,
       0,   254,   253,     0,   251,   332,     0,   383,     0,   378,
     386,   401,   401,     0,     0,   389,     0,  1617,  1619,  1618,
    1621,    79,     0,     0,     0,   814,   813,   820,    32,   823,
     794,   861,   893,     0,     0,     0,     0,     0,     0,     0,
    1046,  1045,     0,     0,     0,     0,     0,   808,   809,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1076,
    1077,     0,     0,  1081,     0,  1125,  1251,     0,  1168,  1238,
    1236,  1239,  1166,    32,     0,    32,  1172,     0,     0,     0,
       0,     0,     0,     0,  1180,  1194,     0,     0,     0,    32,
      32,    32,  1352,     0,     0,  1341,  1356,  1366,     0,     0,
    1428,     0,  1455,     0,   127,   125,     0,   129,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,   391,     0,     0,   396,   235,   270,   267,   268,   269,
     276,     0,     0,     0,     0,   382,   376,   398,   439,   783,
     782,   822,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   892,   888,     0,     0,
       0,     0,   584,   585,   586,   587,     0,  1042,     0,     0,
       0,     0,  1040,  1041,  1047,   556,   558,   825,   826,   827,
     810,   811,    96,    78,     0,     0,     0,     0,     0,     0,
       0,     0,   588,  1079,  1057,  1058,  1059,  1068,  1078,   273,
       0,     0,     0,     0,     0,    32,     0,     0,     0,     0,
       0,     0,     0,     0,    32,     0,     0,     0,     0,     0,
       0,     0,  1255,  1234,     0,  1240,     0,     0,  1178,  1179,
    1177,  1176,  1188,  1191,  1192,  1193,  1185,  1186,     0,     0,
    1189,  1183,     0,     0,  1343,  1344,  1345,  1350,     0,     0,
       0,     0,     0,     0,     0,    32,     0,     0,     0,     0,
    1325,  1327,     0,  1340,     0,     0,     0,  1359,     0,     0,
       0,  1369,     0,    89,  1301,    90,     0,    32,     0,    32,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1427,  1419,     0,     0,
       0,  1459,     0,     0,     0,     0,  1472,     0,   123,     0,
       0,   130,   141,   140,   259,   241,   257,     0,   255,     0,
     252,   384,   286,     0,     0,     0,   387,     0,     0,   862,
       0,   865,   866,   867,   864,    32,     0,     0,     0,     0,
       0,   872,   880,   881,   863,     0,     0,     0,     0,     0,
       0,     0,    32,   890,  1035,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,  1043,  1038,     0,     0,  1039,
     559,   565,     0,     0,   565,   565,   565,     0,     0,   560,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1200,    32,
       0,  1242,  1233,     0,     0,     0,  1228,  1222,  1223,  1224,
      32,  1197,  1215,  1196,    32,  1217,  1199,     0,     0,  1201,
      32,    32,  1198,     0,    32,  1253,  1241,  1237,  1187,  1190,
    1376,  1376,     0,     0,  1324,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1312,    32,     0,     0,     0,    32,
       0,    32,     0,     0,  1338,     0,  1374,  1358,  1357,  1363,
    1361,  1367,  1368,  1373,  1371,  1398,  1396,    32,    32,  1417,
       0,     0,     0,  1412,  1397,  1420,  1423,  1422,  1421,  1418,
    1393,     0,    32,     0,     0,     0,     0,  1394,  1395,    32,
    1399,    32,    32,    32,  1425,  1464,  1462,  1463,  1461,     0,
       0,  1471,  1456,  1468,     0,     0,     0,     0,   271,   277,
     285,     0,   399,     0,     0,     0,     0,   874,   870,   871,
     527,   526,   873,   882,   868,   869,    32,   884,   883,   886,
     885,   887,  1036,  1037,   570,   565,   565,   572,   571,   573,
     565,   565,  1218,    32,     0,  1226,  1225,  1227,  1230,  1229,
    1216,     0,  1231,  1214,  1202,  1213,  1212,  1219,  1211,    32,
    1347,  1346,     0,     0,  1333,  1334,  1335,  1320,  1376,  1321,
       0,  1376,  1314,  1310,     0,    32,  1313,  1315,  1316,     0,
    1330,  1326,  1331,  1328,     0,    32,  1375,  1416,  1403,  1410,
    1411,  1413,  1405,     0,  1414,  1408,  1409,  1406,  1407,  1400,
    1401,  1402,  1404,     0,     0,   132,   131,   246,     0,     0,
       0,   875,   876,   878,   877,   879,   568,   569,   566,   567,
    1220,  1221,  1244,  1243,  1232,  1377,  1309,  1322,  1318,  1323,
    1319,  1308,  1311,  1317,     0,  1332,  1415,  1470,  1469,     0,
     388,   400,  1245,     0,     0,     0,  1246,  1329,     0,   261
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2599, -2599, -2599, -2599, -2599, -2599,    94,  -351,   -68,   674,
    -433,  -760, -2599,  -178,  -166,  -172,  2211,  2218,  2220, -2599,
   -2599, -2599, -2599,  -232, -2599, -2599,  -454, -2599, -1658,  -801,
    -418,  1371, -2599,  1528, -1225, -1925,  -111,  -260,  1543,   101,
     699, -2598,   764,  -894, -2599,  1496,  1498,  1499,  1501,  1167,
     765,   773,  1172, -1622,  -754,  1173, -2599, -2599, -2599, -2599,
    2762, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,   -65, -2599, -2599, -2599,
   -2599, -2599,  1973, -1071, -2599,  -642, -2599, -1648, -2599, -2599,
   -2599,  1137, -2599,  1433, -2599,  -233, -2284,  2314,   433, -1404,
   -2236,  3113, -1985, -2205,  2317,   435, -2599,  2791, -2599,  2319,
   -2599, -2599, -2599, -2599,  -489, -2599, -2599,  -648,  1160, -1518,
   -1048, -2599, -2599,   909, -2599,    17, -2263, -2599, -2599, -2599,
   -1777, -2599, -2599, -2599, -2599, -2599, -2599, -2095,  -179, -2599,
    -474, -2599, -2599,     5,  3208, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,   -54,  -110, -2599,  -127,   147, -2599,  -479,  -885,
    -113,  -543,  -482, -2599,   478, -2599, -2599, -2599,  3001, -2599,
   -2599, -2599,  1785,  -759,  -679, -2599, -2599, -2211, -2599, -2599,
   -2599, -2599, -2599,  -264, -2599,  1910,   342, -2599,  1903, -1291,
   -2599,   601, -2181, -2599, -2599, -1199,   723,   587, -2599, -2599,
   -2599, -2599, -2599,  -203, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599,  -936, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599,   882, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,    43,
    2703, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599,  -142, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
     757, -2599, -2599, -2599, -2599, -2599, -2599,  1773,   900, -2599,
    1128, -2599, -2599, -2599, -2599, -2599, -2599, -2599,  1138, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,  2081,   221,
   -2599, -2599,  1121, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
    1081, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599,   -85, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
    1046, -2599, -2599, -2599, -2599, -2599, -2599, -2599,   858, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,   377, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599,   557,   539, -2599, -2599,
   -2599, -2599,   367,   541, -2599, -2599, -2599, -2599,   366,   542,
   -2415, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,  -346,
    1283, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599,  2446, -2599, -2599, -2599, -2599, -2599,
   -2599,  1298, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,  1478,
   -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
    1896, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599,  1155,  2720, -2599, -2599, -2599, -2599, -2599, -2599, -2599,
   -2599, -2599, -2599, -2599, -2599, -2599
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,  1190,     2,     3,   120,   121,   774,  2461,   392,  2520,
    2356,  1295,   565,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,  2410,  2091,  2659,
     939,  1874,  1799,  1800,  2774,  2462,   348,   646,  1219,  2864,
    2509,  2510,  2399,  2563,  2158,  2159,  2160,  2161,  2162,  2400,
    2401,  2402,  2404,  2405,  2573,  2407,  2163,  2169,  1834,  1835,
    1006,  1421,  1422,   250,   251,   252,    22,    23,    24,    25,
     122,   718,   123,   124,   125,   126,  1908,   719,  1531,  1175,
    1177,  1533,  1178,  1368,  1369,   920,  1370,  1179,   127,   716,
    1894,  1909,  1910,  1911,  1912,   253,   608,   609,  2716,  1024,
     610,  1025,   611,   612,   613,  2720,  2534,   614,  2721,   615,
     616,  2598,   561,   254,   562,   255,   256,   999,  1000,   257,
     258,   259,  1054,  1454,  1857,  1847,   261,  1914,  1915,  2444,
    1916,  2206,  2603,  2203,  2722,  3091,  2452,  2445,   262,   128,
     730,   129,   130,   406,   132,   133,   134,   372,  1576,  1234,
     760,   135,   393,   407,   408,  1584,  1585,  1244,   787,  1245,
     409,   926,   921,  1752,  1373,   136,   137,   362,   279,  1238,
    1949,  1578,  1239,  1410,  1411,  1195,  1196,  2931,   138,   139,
     140,   777,   410,   642,  1083,  1084,   657,  1096,  1097,  2290,
    2291,  2632,  2292,  2293,  2294,  2647,  2757,  2514,  1288,    26,
      27,    28,    29,   678,    30,    31,    32,   674,  1480,  1481,
    1127,  1076,   267,    33,   676,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,  1090,    46,    47,
      48,    49,    50,    51,    52,   268,    53,    54,    55,   269,
     670,   141,   142,  1248,   790,   412,   791,  1249,  1250,  2238,
    1956,  1589,  1957,   472,   473,  2305,  1695,  1349,   890,  1350,
    1351,  1105,    56,   143,  1596,  2239,  2241,  1251,   144,  2471,
    2472,   145,  1606,  1252,   146,  2246,  1962,  1963,  2477,  2504,
    2250,  1964,  1967,  2253,  2481,  2619,  1969,  2295,  2010,  1644,
    2505,    57,  1136,   147,  1612,  1253,   148,  1973,  2622,  2748,
    2621,  2484,  1974,    58,    59,    60,    61,   149,   845,   842,
    1623,  1989,  1990,   849,  1306,   150,   833,  1645,   474,  2002,
    2631,  2758,  2492,  2764,  2003,  1634,   824,  1276,  1635,   475,
    2521,  2787,  2327,  1719,  1352,   892,  1353,   476,    62,    63,
      64,  1728,  1729,   151,  1730,  1354,   152,  2334,   389,   153,
     154,   907,   493,   494,   495,   496,   497,  1364,  1744,  2074,
    2071,  2077,  2078,  2540,  2667,  1745,  2541,  2676,  1746,  2814,
    2538,  2660,  2661,  2817,  3124,  3223,  3203,  2065,  2083,  2340,
    2535,  2657,  2537,  2066,    65,    66,    67,    68,    69,    70,
      71,    72,  1143,   155,   761,   156,   157,  1766,  2096,  2097,
    1380,   158,  2094,  2854,  3030,  3032,  3147,  2685,  2684,  2545,
    2095,  2092,  2683,  2543,  2542,  2353,  2093,  2357,  2546,  2858,
    3039,  2686,  2358,  2361,  2547,  2862,  3043,  2687,  2362,  3037,
    3140,   390,   159,  1773,  1381,   160,  2102,  2690,  2888,  3059,
    2689,  2550,  2103,    73,    74,   161,   162,  1382,  1787,  2111,
    1788,  2116,  2119,  2374,  2554,  2691,  2892,  2692,  2375,  2693,
    2897,  3082,   163,   164,   954,   955,  1790,   521,  1383,   522,
    1389,  1796,  1797,  2128,  1805,   957,  1396,    75,   165,  1814,
    1398,   166,    76,   706,   167,  1401,   168,   169,   544,   263,
     363,   170,  1213,  1223,   750,  1220,  1548,  1226,  1560,  1561,
     171,   172,   752,   753,  1564,  1233,  1935,   173,   741,  1208,
    1209,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,   313,   713,   174,   976,  1825,   545,   546,   175,   176,
     553,   981,  2384,  2142,  1828,   982
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     357,   563,   607,   606,   365,   644,  1453,   569,   131,   899,
     841,   844,   647,   571,   908,   755,   756,  1913,  1240,   570,
     924,   317,   520,  1363,   260,   319,   321,   543,  2127,   509,
    2511,   342,  1126,  1846,  1848,  1850,  1851,  1008,  1009,  1293,
     471,  1483,  2185,  1438,   492,   705,   508,  1017,  1018,  2359,
    1817,   519,   271,   272,   518,   275,   542,   604,   531,   541,
     938,   305,  2180,   605,  1168,   986,   552,   987,   988,   570,
    1246,   994,   995,  2583,  2333,  2333,  2333,   658,  2590,  2593,
     567,   568,   659,  1291,  1307,   732,   733,   734,   689,   413,
    2865,   414,  1818,   415,  1524,   416,  2117,   477,  2448,   478,
    2561,  2565,  2098,   510,  2713,   511,   568,   512,  2089,   513,
    2446,   523,   322,   524,   598,   599,   990,   991,   600,  1224,
     547,   548,   621,   622,   623,   624,   625,   567,   568,  1308,
    1291,  2561,  2565,   776,  1309,   598,   599,   183,   184,   600,
     601,  3017,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   837,   838,   637,   839,   737,   658,   131,
    2390,  2391,  2392,   659,   837,   838,   658,   839,   658,  2000,
     177,   659,  3015,   659,   621,   622,   623,   624,   625,   346,
    2393,  2394,  2395,   347,   695,   696,   697,   698,   699,   700,
     701,  1490,   703,   704,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   658,   639,   637,   576,  2251,
     659,   621,   622,   623,   624,   625,  2775,   725,  2382,   726,
     938,     1,   727,   598,   599,   990,   991,   600,   601,  1027,
    1028,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   658,   658,   637,  2220,  2196,   659,   659,   658,
     715,   597,   749,   658,   659,    87,  1125,   654,   659,   598,
     599,   990,   991,   600,   601,  2889,  2264,  2396,  2397,   738,
     770,   771,   772,   773,   722,   178,   770,   771,   772,   773,
     770,   771,   772,   773,   769,  2932,  2823,  1913,   779,  2235,
     781,   658,   739,   658,  1237,  1262,   659,  2055,   659,  3000,
     757,   658,   758,   804,   806,  2465,   659,   621,   622,   623,
     624,   625,  2212,  2633,  2715,  1266,   650,   653,   640,   814,
     770,   771,   772,   773,  3047,  2213,   607,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   658,   725,
     637,   726,   277,   659,   727,   680,  1390,  2533,   598,   599,
     990,   991,   600,   601,  2776,   598,   599,   990,   991,   600,
     307,  2048,  2717,  1930,  2511,   770,   771,   772,   773,   655,
    3164,   661,   808,   681,   658,   563,   728,   563,   563,   659,
     658,   563,   563,  2890,   658,   659,  1379,  1308,  1200,   659,
     810,  2525,  1309,  2719,  1913,  3094,  3095,  3048,  1385,  1927,
    2829,   770,   771,   772,   773,   963,  2383,   770,   771,   772,
     773,   658,   658,   671,   717,   658,   659,   659,  2859,   658,
     659,  1391,  2987,   985,   659,  2511,  1321,  1214,  1215,  1241,
    1216,  2824,   554,   974,  1217,  1551,  1540,   555,   770,   771,
     772,   773,   770,   771,   772,   773,   735,  1371,   574,   280,
    2933,   556,  1296,   557,  3193,   677,   682,  1297,  2298,   938,
     754,   754,   831,  1267,   837,   838,  1696,   839,   938,   677,
    2317,  3001,  1199,  1931,  2252,  3018,   195,  1137,  1138,  1139,
    1140,  1141,  1142,  3019,  1145,  1147,  2998,  1149,  1150,   598,
     599,   990,   991,   600,  2056,  1366,   621,   622,   623,   624,
     625,  1552,   683,  1415,  1375,  2236,  2723,  2724,   346,  3055,
    2415,   179,   347,  1387,  3016,  1388,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   658,  1400,   637,
     875,   276,   659,  2311,  2312,   870,   836,   198,   199,  2406,
     200,   201,   202,   203,   204,  2406,   278,  3056,   575,  1866,
    1867,  1932,  3021,  2265,   770,   771,   772,   773,  2118,   692,
     876,   346,  3096,  1296,  1225,   347,  1296,  2988,  1297,  1268,
    2780,  1297,   308,  2049,  3013,   989,   964,  2825,  2221,   798,
     902,  2938,  2001,  1152,   945,  2633,  2986,   658,  1392,  1001,
    1144,  1160,   659,  2473,   912,  1247,  3141,  1819,  1393,  1010,
    1011,  1012,  1013,  1014,  1015,  1016,   309,   684,  1292,  3165,
    1928,  1356,   314,  2718,   770,   771,   772,   773,  2318,  1026,
    1455,  3194,  1456,  1526,  1263,  2360,  2865,  1793,   969,  2715,
    2715,  2860,   805,   807,  2186,  2187,  1439,  1221,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,  2181,  1191,   658,   938,   835,   660,
    3053,   659,   604,  2597,  2658,  2584,  2663,  2449,   605,  2789,
    2591,  2594,  1094,  1003,   570,   658,  1310,  1099,  2717,  2891,
     659,   356,   672,   770,   771,   772,   773,  2728,  1913,  2566,
     799,  1087,  1088,  1482,  1091,  1092,   602,  3022,   742,  1269,
    2714,   809,   770,   771,   772,   773,   306,  1235,  2781,  2719,
    3067,  2662,   693,  2989,   740,  2441,  1243,   602,  1283,   811,
    2574,  2299,  2300,   318,   603,  1201,   745,   685,  1095,  2664,
     366,  1173,   746,  3208,   747,  2129,  3210,  3201,  2861,  1676,
     660,  1357,  2518,  2519,   782,   748,  1197,  2355,   660,   343,
     660,   837,   838,   677,   839,  1553,  1812,  1507,   569,  1487,
     315,   316,  2855,   641,   571,  1021,  1022,   812,  2856,  2939,
     570,  1164,  1992,  1004,  3068,  1508,  2422,  1929,  2424,  3035,
    2331,  2426,   344,  2429,  2431,   871,  2332,   660,   658,  1298,
    1299,  1394,  2052,   659,   846,  1029,  2301,   607,   607,   729,
    3057,   606,  1843,  1844,  1466,   602,  1171,  2927,  2928,  1202,
    3076,  1176,   992,   563,   656,   770,   771,   772,   773,   813,
    1509,  2237,  1467,   273,   660,   660,   345,  3069, -1014,   872,
     873,   660,   847,   754,  1621,   660,   367,   854,   315,   316,
     946,  1443,   855,  1222,   843,  1227,  2072,   355,  3077,  1667,
    2242,  2665,  1402,  1403,  2815,   604,  3125,  3126,   947,  2940,
    2816,   605,  2941,  2243,  2244,   948,  2302,   570,  3131,  2857,
    3058,   274,  1554,   660,   754,   660,   566,  1501,  1502,  1503,
    1504,  1505,  1506,   660,  1748,  1517,   320,  1519,  1146,  1520,
    1521,  1862,  1933,  1754,  1488,  1982,  1259,  1260,  1934,  1427,
    1298,  1299,  1510,  1298,  1299,  1165,   915,   264,   364,   848,
     310,   265,   686,   311,   312,  1555,  1556,  1557,  1558,  1559,
     660,   729,  1913,   368,  1829,   687,   688,  1830,   369,  2718,
     602,  1282,  1475,  1166,  2015,  2911,  2912,  1443,  1476,  2076,
    1463,  1516,  1464,  1518,  2698,  2699,   690,  1315,  2984,  2928,
    1318,   370,  2701,  2702,   315,   316,   660,   349,   371,  1167,
     346,  2511,   660,  2929,   347,   564,   660,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   411,   350,   351,  2303,  3051,  2928,
    2067,  2304,  1511,   660,   660,  2245,  2666,   660,  1362,  1300,
     270,   660,   270,   352,   265,  1365,   265,  1218,  2784,   498,
    2307,   346,  1372,  1031,   558,   347,   840,  1372,  1032,   572,
     559,  1372,   560,  1983,   621,   622,   623,   624,   625,   691,
     949,   950,   951,   952,   953,   566,  1883,  1435,  1033,  1436,
    1884,  1885,   266,  1034,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   796,  1527,   637,   667,   797,
    2930,   353,   668,  1543,  1407,  1544,   500,  1409,  1581,  3173,
     775,   602,   573,  1582,   502,   315,   316,  1412,   503,  1031,
    2785,  2786,  1538,  1774,  1416,  1468,  1469,  1775,  1428,    91,
      92,   504,   567,  1984,   648,  2408,  2068,  2500,   270,  1512,
     505,  1545,   265,   778,  2929,   815,  1459,   391,  2079,   660,
    2013,  1550,  1536,  2014,   832,  1203,  1204,  1205,  1206,  1207,
    1925,  2069,  1926,  1537,  1595,  2308,   621,   622,   623,   624,
     625,  2654,   864,  2501,   580,   266,  2655,   266,  3090,   874,
    1611,  1594,  1605,  1610,  2929,   577,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   581,   900,   637,
    1513,   903,  2309,   905,   568,   394,  2089,   395,  1968,   660,
    2310,   396,   397,   667,  1128,   578,   549,   668,  2338,  2705,
     399,   394,  2436,   395,  2707,  1417,  2708,   396,   397,  2710,
     651,  1514,  1129,   669,  1913,  1913,   399,  2324,  2279,  2280,
     400,  2985,   649,   104,   105,   106,   107,   108,   109,  1691,
     110,   972,  1727,   975,  2325,  2326,   400,  1953,  1954,   924,
    1985,  2677,  1986,  1515,  1987,   579,  1648,  1988,  2282,  2641,
     358,   567,   568,   266,   563,  1546,   401,   563,   660,   402,
     582,  3052,  2502,  2503,  1726,   583,  2668,  2197,  2198,  2063,
    2675,  2914,   401,  1130,  2915,   402,  1886,   660,  1888,  2437,
     315,   316,  1417,  2642,  2131,   584,  2211,  1765,  1772,  1786,
    1764,  1771,  1785,  2750,  2751,  1776,  2921,  2922,  1777,   585,
    2752,  2753,  2754,  2755,  2247,   500,  2923,  1581,  1813,  1230,
    1231,  1232,  1582,   502,  2256,   569,   825,   503,   652,   586,
    2678,   571,  1936,  2679,  2680,  2681,  2339,   570,  1131,   587,
     504,   359,   360,   361,   588,  1549,  2669,  1951,  1948,   505,
    1872,  2450,  1132,  1133,  1417,  2643,  1873,  1228,  2670,   589,
    2747,  1229,   570,  2838,  2144,   617,  1134,   925,  1778,   721,
     590,  1525,  2145,  2146,  2147,  2148,   591,  2149,  2150,  2151,
    1615,  1616,  2152,   819,  2153,  2154,  1917,   820,   618,  1725,
    2155,  2156,  1626,  1597,   662,   663,  2813,  2644,  1632,  1633,
     660,   354,  2839,  2645,  1779,  2029,  1640,  1491,  1642,  2030,
    2893,  2894,   619,  1646,  1868,  2138,  2895,  1750,   638,  1875,
    1650,  1651,  2646,   826,   643,  1492,  1780,  1913,  2887,   762,
     763,  1376,  1654,  1655,  1453,  1377,  2269,  1657,  2270,  2682,
    1660,  1661,  3220,  1663,  1692,  2354,  2240,   635,   636,  2778,
     827,   637,   645,  2365,   394,   925,   395,  1677,   828,  2130,
     396,   397,   664,  2113,  1831,  1598,  2623,  2120,  2434,   399,
    2435,  1836,  1837,  2840,  1838,  1839,  1840,  1841,   567,   568,
    1731,  1291,  2671,  2672,  2673,  1732,  2896,  1242,   665,   400,
    1853,   821,  2144,   707,   822,   709,  1892,  1893,  1918,   666,
    2145,  2146,  2147,  2148,   673,  2149,  2150,  2151,   837,   838,
    2152,   839,  2153,  2154,  2624,  1801,  1261,   675,  2155,  2156,
    2756,  1270,  1271,  1815,   677,   401,  1694,  2319,   402,  1718,
     694,  1280,  1826,  3086,  2328,  3087,  1869,  1870,  1292,  1871,
    2567,  2841,   679,  2575,  1647,  1583,  1649,  2842,  1955,  2567,
    2575,  2843,   837,   838,  1312,   839,  1314,  1301,   702,  1386,
    1493,  1494,  1320,  1495,  1322,   307,  1324,  1325,   708,  1327,
    1328,  1329,  1330,  1331,  1496,  1497,  1334,  1335,   710,  1337,
    2962,  2963,  1340,  1341,   711,  2967,  2968,   712,  1346,  1781,
    1348,   714,   604,   720,  1782,   723,  1783,   724,   605,    88,
    1355,  1358,  1359,   731,   570,  1360,   751,  1599,  1600,  1601,
     743,  1077,  1078,  1079,  2090,  1602,   736,  1603,  2090,   759,
     570,  1733,   765,  2232,   570,   764,  1734,   633,   634,   635,
     636,  2347,  1378,   637,   767,   404,  1080,  1081,    89,   766,
    1082,   550,  2674,   768,  1384,   780,  1429,   783,    90,   551,
    2625,   404,    91,    92,   -82,   -82,  1917,   -82,   784,   621,
     622,   623,   624,   625,   801,  1784,  1302,  1303,  1304,  1305,
     785,  1405,  1406,  2945,  2946,  2947,  2948,  2949,    93,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     802,   803,   637,   621,   622,   623,   624,   625,  3144,  3145,
    3146,  1913,   860,   861,  1498,   788,  1499,   786,  1500,  2370,
    1101,  1102,   789,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,  2626,   792,   637,   793,  2133,  2627,
    2628,  2629,   794,    94,  1735,    95,    96,   795,  1978,    97,
     800,    98,  1103,  1104,    99,  1529,   100,   101,   102,  1994,
     816,   103,  1423,  1424,   817,  1997,   823,   621,   622,   623,
     624,   625,   818,  1917,  1693,   829,   104,   105,   106,   107,
     108,   109,   830,   110,  1822,  1823,   850,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,  1863,  1864,
     637,  2844,  3114,  2845,  2846,  3117,  3118,  3119,  2847,  2848,
    1872,  2849,  1943,  1944,   914,   915,  1873,   834,  2850,  2851,
    2061,  2062,   570,   851,  3219,  2178,  2179,  2852,   111,  1471,
    1472,  1473,  1474,   916,   112,   853,  2390,  2391,  2392,   917,
     113,   114,  2045,  2183,  2184,   621,   622,   623,   624,   625,
     879,  2950,  2951,  2952,  2953,  2954,  2393,  2394,  2395,   856,
    1736,  3228,  2267,  2268,  2195,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,  2387,  2388,   637,   852,
    2207,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   857,   333,   334,   335,   336,   337,   338,   339,  2176,
     859,  2177,   862,  2105,   404,  2495,  2496,   863,  2107,  2455,
    2456,  1737,  2458,  2459,   858,  2522,   869,  2233,  1604,  2561,
    2562,  2853,   865,  2122,   866,   913,  2157,   868,  1738,  2630,
    1739,   880,   881,   867,  1740,   882,  2581,  2582,  1741,  1742,
     877,  1566,  2132,  2396,  2397,  2586,  2587,  1567,   878,   914,
     915,  2137,  1001,  1001,   887,  2200,  3196,  3197,  2141,  2201,
    2202,  3198,  3199,  2279,  2280,  2279,  2280,  2281,   916,  2637,
    2638,  1001,  2770,  2771,   917,  2498,  1620,  1622,   621,   622,
     623,   624,   625,   567,   568,   936,   937,  2902,  2903,  2557,
     888,   918,  1636,  1637,   893,  2282,   889,   919,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,  1457,
    1458,   637,  2283,   914,   915,  2335,  2336,   192,  1568,  2284,
     922,   193,   194,   341,  2409,  1569,  1570,  1571,   891,   883,
    1572,   894,   916,   895,  1573,   896,  2090,   897,   917,   901,
     898,   922,   570,   904,   914,   915,  1675,  1180,  2085,  2086,
    2087,  2088,   906,  1681,  2164,   918,   884,  1685,  1686,  1687,
     909,   919,   910,   916,   885,   914,   915,  1917,  2225,   917,
     925,   911,  2285,  2229,  1743,  2286,  2287,  2231,   754,   592,
     593,   594,   595,  2288,   916,   927,   923,  2617,  1753,   928,
     917,   929,   932,  2037,   621,   622,   623,   624,   625,   886,
    2470,  1181,  2569,  2570,  2571,  2572,  1802,   923,  1804,   930,
     933,  2258,   931,  2260,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   940,   934,   637,   554,   941,
    2274,   935,   942,   555,   943,   621,   622,   623,   624,   625,
     944,   956,   214,   958,   960,   961,   962,   556,   959,   557,
    2611,   965,   967,   970,  2512,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   966,  1182,   637,   968,
     971,   977,   195,   978,  2038,   996,  1183,   973,  2443,   979,
     980,  2479,   983,   115,   997,   998,   984,   116,  1002,   637,
    1184,  1185,  1186,  1187,   117,   118,  1019,  1005,  1030,  1020,
    1035,  2341,  2342,   119,  1036,  1037,  2345,  1085,  1086,  1089,
    1093,  1100,  1098,  2349,  1107,  1192,  2350,  1108,  1135,  1148,
    2475,  1151,  1153,  2478,  1154,  1155,  1156,  2417,  2418,  1450,
    1157,  1451,  1452,   198,   199,  1158,   200,   201,   202,   203,
     204,  1159,  2367,  2368,  1161,  2369,  1162,  2371,  1001,  2750,
    2751,  1163,   914,   915,  2376,  1169,  2752,  2753,  2754,  2755,
    1172,  1430,  1174,  1193,  1198,  1194,   499,  1210,   195,  2451,
    1211,   916,  1212,  2279,  2280,  2281,  1236,   917,  1254,  1255,
    2036,  1256,  1257,  1258,  1940,  1941,  1264,  1265,   621,   622,
     623,   624,   625,  2398,   918,  1842,  1272,  1273,  1277,  2398,
     919,  1917,  1274,  2282,  1275,  1278,  1279,  2602,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,  1281,
    2283,   637,  1284,  2767,  2768,  2769,  1285,  2284,  1286,   198,
     199,  1287,   200,   201,   202,   203,   204,  1290,  1993,  1294,
    1289,  1188,  1311,  1323,  1313,  1316,  1292,  1292,  1317,  1319,
    1326,  1333,  1332,  2006,   754,   754,  1339,   754,   754,  2170,
     394,   754,   395,  2464,   754,   500,   396,   397,  1336,  2466,
    2467,  1338,   501,   502,  1574,   399,  1342,   503,  1343,  2289,
    2285,  1344,  1345,  2286,  2287,  1361,  1347,  1367,  1575,  1374,
     504,  2288,  1535,  1397,   946,   400,  1399,  1404,  1408,   505,
     604,   604,  1413,  2028,  1417,   607,   605,   605,  1418,  1419,
    1420,  1442,   570,   570,  1425,  2599,  1433,  1434,  1447,  1437,
     754,  2499,  1448,  1440,  1449,  1460,  2050,  2051,  2053,  2054,
    1461,   401,  1462,  1484,   402,  1189,  1470,  2171,   621,   622,
     623,   624,   625,  1485,  1486,  1489,  1522,  1523,  1528,  2070,
     754,  2073,  1530,  1532,  1534,  1539,  2080,  1541,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,  1547,
    1562,   637,  1563,  1565,  1577,  2470,  1580,  1579,  1586,  3054,
    1587,  1588,  2104,  1613,  1614,  1617,  1618,  1619,  2512,   621,
     622,   623,   624,   625,  1624,  1627,  1625,  1628,  2548,  1629,
    2551,  1630,  2601,   506,  1643,  2604,  1631,  1638,  1639,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
    1641,  1684,   637,  1751,  1652,  1789,  2613,  1689,  1794,  1656,
    1658,  1659,  1795,  2560,  1662,  1664,  2139,  2140,  1665,  2568,
    2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  1666,  2512,
    1668,  1669,  1670,  1671,  1672,   621,   622,   623,   624,   625,
    1798,  1803,  1824,  1673,  1674,  2640,  1832,  1833,  1678,  1414,
    1679,  1680,  1682,  1917,  1917,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,  1683,  1688,   637,   621,
     622,   623,   624,   625,  1690,   754,  1747,  1755,  1791,  1792,
    1816,  1820,  1821,  1854,  1855,  1856,  1859,  1827,  1852,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
    1860,  1865,   637,  1876,  3104,  3105,  1877,  3107,  3108,   621,
     622,   623,   624,   625,  1878,  1879,  1880,  1881,  1882,  1887,
    1889,  1890,  1891,  1919,  1920,  2222,  1924,  1921,  1937,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
    1938,  2650,   637,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
    1939,  1942,  1945,  1947,  2254,  1426,  1946,  2616,  1952,  1958,
    1959,  1960,  1965,  2694,  1970,  1977,  2398,  1971,  2398,  1975,
    1961,  3191,  3192,  1972,  1976,  1979,  1980,  2090,  1981,  1996,
     558,  2024,  2009,   570,  1991,  2031,   559,  1995,   560,  1998,
     607,   607,  1999,  2004,  2033,  2005,  1431,  2007,  2008,  2011,
    2034,  3202,  2012,   294,  2016,  2017,  2018,  2019,  2296,  2020,
    2021,  2022,  2023,  2025,  2026,  2040,   754,  2027,  2035,  2313,
    2314,  2315,  3175,  2032,  2041,  2320,  2042,  2749,  2039,  2044,
    2043,  2046,   295,  2047,   296,  2058,  2059,  2057,   754,   754,
     754,  2060,  2064,  2075,  2081,  2082,  1917,  2777,  2084,  2916,
    2099,  2100,  2783,  2343,  2101,  2106,  2788,  2108,   297,  2109,
     298,  2110,   299,  2114,  2112,  2125,  2121,  2124,  2819,  2134,
     404,  2143,  2822,  2189,  2826,  2827,  2190,  2830,  2191,  2193,
    2135,  2192,  2194,  2363,   507,   721,  2215,  2136,  3075,   621,
     622,   623,   624,   625,  3081,  2182,   281,  2199,  2188,  2204,
    2898,  2205,  2899,  2900,  2901, -1015, -1015, -1015,  2208,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
    2210,  2214,   637,  2217,  2218, -1015, -1015, -1015, -1015, -1015,
     631,   632,   633,   634,   635,   636,  2919,  2219,   637,  2924,
    2226,   300,   301,   302,  2934,   303,   304,  2228,  2248,  1432,
     621,   622,   623,   624,   625,  2255,  2249,  2223,  2224,  2227,
    2230,  2257,  2259,  2957,  2958,  2262,  2261,  2306,  2263,  2271,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,  2266,  2272,   637,   555,  2273,  2275,  2276,  2506,  2507,
    2277,  2278,  2297,  2316,  2321,  2978,  2323,  2322,  2329,  2330,
    2337,  2344,  2346,  2348,  2991,  2992,  2993,  2351,  2352,  2996,
    2364,  2999,  2366,  3002,  1774,  2372,  2378,  2379,  2380,  2381,
    3006,  2385,  2386,   195,  2389,  2411,  2403,   621,   622,   623,
     624,   625,  3008,  3009,  2416,  2421,  3010,  3011,   282,  2425,
     283,  2485,  2427,  2432,  2438,  3093,  2453,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,  2454,  3036,
     637,  2457,  2463,  2460,  3036,  2493,  2468,  2480,  2482,   284,
    3045,  2486,  2483,  2488,  2487,  2489,   285,  2491,  3060,  2494,
    2497,  2515,  2513,  2516,   198,   199,  3070,   200,   201,   202,
     203,   204,  2523,  2526,  2527,  2528,  2331,  2517,  2529,  1441,
    2532,  2559,  2576,  2536,   212,  2600,  2564,  2530,  2544,  2558,
    2549,  2612,  2553,  2531,  2588,   286,  2607,   287,  2555,  2579,
    1917,  2580,  2585,  2589,  2592,  2595,  2596,  2608,   288,  2614,
    3098,  3099,  3100,  3101,  3102,  2609,  2610,  2639,   289,   754,
     754,  2618,   754,   754,  3109,  3110,  2634,  2635,  2636,  2648,
    1465,  2651,  2652,  2688,  2700,  2512,  2552,  2703,  2704,   290,
    2706,  2709,  2711,  2556,  2712,  2727,  2759,  2760,  2725,  2762,
     621,   622,   623,   624,   625,  2763,  2765,  2766,  2773,  2782,
    2821,  2828,  3217,  3218,  2831,  2837,  2913,  3127,  3128,  3129,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,  3133,  3134,   637,  2907,  2925,  2904,  3137,  2905,  2906,
    2908,  2909,  2832,  2833,   555,  2910,  1542,  2917,  2920,  2918,
    3148,  2926,  2935,  3151,  3152,  3153,  2936,  2937,  2943,  2942,
    3157,  3158,  2944,  2955,  2956,  2959,  2961,  2964,  2980,  3166,
    2983,  2979,  2965,  2966,  2990,  2994,  3003,  2997,  2981,  3004,
    1923,  3012,  3005,   195,  3169,  3170,  3171,  3007,  3023,  3026,
    3025,  3020,  3029,  3031,  3028,  3172,  2620,   754,  3176,  3177,
    3178,   621,   622,   623,   624,   625,  3033,  3034,   291,  3027,
    3040,  2359,  3044,  3050,  3061,  3062,  3063,  3064,  3185,  3186,
    2172,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,  3065,  3066,   637,   621,   622,   623,   624,   625,
    2649,  3071,  3072,  3079,   198,   199,  2653,   200,   201,   202,
     203,   204,  3074,  3073,  3078,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,  3080,  3083,   637,  3084,
    3085,  3092,  3103,  3123,  3106,  3112,  3206,  3207,  3113,   621,
     622,   623,   624,   625,  3209,  3115,   292,  3116,  3211,  3139,
    3120,  3142,  3143,  3213,  3150,  3154,  3121,  3155,  3214,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
    3159,  3183,   637,   621,   622,   623,   624,   625,  3184,  3188,
    3189,  3187,  3221,  3204,  3216,  3222,  3224,   621,   622,   623,
     624,   625,  2731,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,  3225,  3226,   637,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,  3229,  2234,
     637,  1477,  2123,   293,  2115,  3227,  2761,  2696,  1478,  2697,
    1479,  2165,  2412,  2166,  2167,  2695,  2168,  2818,  2413,  2820,
    2414,  1007,  1749,  2447,  1444,  2209,  3088,   596,  1445,  3089,
     993,  2433,  1446,  2834,  2835,  2836,   621,   622,   623,   624,
     625,  2606,   491,   744,  1950,  1858,  1861,  2960,  2779,  2969,
    2173,  2730,  1106,  1966,  2615,  2474,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,  2476,  1653,   637,
    2490,  2524,  2539,  2656,  3149,  3038,  3014,  3161,  3163,  2373,
    3041,  1395,  3042,  2216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   180,  2377,   181,   182,   183,   184,   185,   186,  1170,
       0,  2174,   187,   188,     0,     0,     0,     0,     0,  1922,
       0,     0,   189,   190,  1023,     0,     0,   191,     0,     0,
     180,  2508,   181,   182,   183,   184,   185,   186,     0,   192,
       0,   187,   188,   193,   194,     0,     0,   195,     0,  2982,
       0,   189,   190,  1845,     0,     0,   191,     0,  2995,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   192,     0,
       0,     0,   193,   194,     0,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2175,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3024,
       0,     0,   196,   197,   592,   593,   594,   595,   198,   199,
       0,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,  3046,   210,  3049,   211,     0,     0,     0,   212,     0,
       0,   196,   197,   213,     0,     0,     0,   198,   199,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
       0,   210,     0,   211,     0,     0,     0,   212,     0,     0,
       0,     0,   213,     0,   214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3097,
     621,   622,   623,   624,   625,     0,     0,     0,     0,     0,
       0,     0,     0,   214,     0,     0,  3111,     0,     0,     0,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,     0,     0,   637,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,  2419,     0,  3122,     0,   180,     0,   181,   182,   183,
     184,   185,   186,     0,  3130,     0,   187,   188,  3132,     0,
       0,     0,     0,     0,  3135,  3136,   189,   190,  3138,     0,
       0,   191,     0,     0,     0,     0,   621,   622,   623,   624,
     625,     0,     0,   192,     0,     0,     0,   193,   194,  3156,
       0,   195,     0,  3160,     0,  3162,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,     0,     0,   637,
       0,  3167,  3168,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3174,     0,     0,     0,
       0,     0,     0,  3179,     0,  3180,  3181,  3182,     0,     0,
       0,     0,  2420,     0,     0,     0,   196,   197,   592,   593,
     594,   595,   198,   199,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,     0,   210,     0,   211,     0,
    3195,     0,   212,     0,     0,     0,  2577,   213,     0,     0,
       0,     0,     0,     0,   555,     0,     0,  3200,     0,  2863,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3205,     0,     0,     0,     0,   214,     0,
       0,     0,   621,   622,   623,   624,   625,     0,     0,  3212,
    2578,     0,     0,   195,     0,     0,   215,   216,     0,  3215,
       0,     0,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,     0,     0,   637,     0,     0,     0,     0,
       0,     0,     0,     0,  2729,   215,   216,     0,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,  2772,   333,
     334,   335,   336,   337,   338,   339,     0,     0,     0,     0,
       0,     0,     0,     0,   198,   199,     0,   200,   201,   202,
     203,   204,     0,     0,     0,     0,   180,     0,   181,   182,
     183,   184,   185,   186,   212,     0,     0,   187,   188,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,  1849,
       0,     0,   191,     0,     0,     0,     0,     0,     0,     0,
       0,   555,     0,     0,   192,     0,     0,  3190,   193,   194,
       0,     0,   195,     0,     0,     0,     0,     0,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,     0,     0,     0,     0,     0,
     195,     0,     0,     0,     0,     0,     0,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,     0,   234,     0,   196,   197,     0,
     341,   235,     0,   198,   199,     0,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,     0,   210,     0,   211,
       0,     0,     0,   212,   234,     0,     0,     0,   213,     0,
     235,   198,   199,     0,   200,   201,   202,   203,   204,     0,
       0,   180,     0,   181,   182,   183,   184,   185,   186,     0,
       0,     0,   187,   188,     0,     0,     0,     0,     0,   214,
     215,   216,   189,   190,  2423,     0,     0,   191,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   192,
       0,     0,     0,   193,   194,     0,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   180,     0,
     181,   182,   183,   184,   185,   186,     0,     0,     0,   187,
     188,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,  2428,     0,     0,   191,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   192,     0,     0,     0,
     193,   194,   196,   197,   195,     0,     0,     0,   198,   199,
       0,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,     0,   210,     0,   211,     0,     0,     0,   212,     0,
      91,    92,     0,   213,     0,     0,     0,     0,     0,  2439,
       0,     0,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   196,
     197,     0,     0,     0,   214,   198,   199,  1756,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,     0,   210,
       0,   211,     0,     0,     0,   212,     0,     0,     0,   234,
     213,     0,     0,     0,     0,   235,     0,   180,     0,   181,
     182,   183,   184,   185,   186,     0,     0,     0,   187,   188,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
    2430,   214,   394,   191,   395,  2605,     0,     0,   396,   397,
       0,     0,     0,  1757,     0,   192,     0,   399,     0,   193,
     194,     0,     0,   195,   104,   105,   106,   107,   108,   109,
       0,   110,     0,     0,     0,     0,     0,   400,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   215,   216,     0,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,     0,     0,   401,     0,     0,   402,     0,   196,   197,
       0,     0,     0,     0,   198,   199,     0,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,     0,   210,     0,
     211,  2508,     0,     0,   212,     0,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,   180,     0,   181,
     182,   183,   184,   185,   186,     0,     0,     0,   187,   188,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     214,  2726,     0,   191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   192,     0,     0,     0,   193,
     194,     0,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
       0,     0,     0,     0,     0,     0,   215,   216,     0,     0,
       0,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   196,   197,
     234,     0,     0,     0,   198,   199,   235,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,     0,   210,     0,
     211,     0,     0,     0,   212,     0,     0,     0,  2469,   213,
       0,     0,     0,   215,   216,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   394,
       0,   395,     0,     0,   500,   396,   397,     0,     0,     0,
     214,  1582,   502,     0,   399,     0,   503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   504,
       0,     0,     0,     0,   400,     0,     0,     0,   505,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,     0,     0,     0,     0,     0,
     401,     0,     0,   402,     4,     5,     6,     0,     0,     0,
       0,     0,     0,  1758,  1759,     0,  1760,     0,     0,     0,
       0,  1761,  1762,     0,     0,   234,     0,   186,     0,     0,
       0,   235,  2866,     0,     0,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   215,   216,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     7,     0,   195,     0,     0,  1590,
       0,     0,  1591,  1592,     0,     0,     0,     0,     0,     0,
       8,     0,   234,     0,     0,     0,     0,     0,   235,  1895,
    1896,  1897,  1898,  1899,  1900,  1901,     0,     0,     0,     0,
       0,     0,   404,     0,     0,     0,     0,     0,     9,    10,
       0,     0,     0,     0,  1902,     0,  1763,  1903,  1904,     0,
       0,     0,     0,     0,     0,     0,     0,   198,   199,     0,
     200,   201,   202,   203,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    11,     0,    12,  1905,    13,
    1906,     0,     0,    14,     0,     0,     0,     0,     0,     0,
      15,     0,     0,     0,     0,     0,   186,     0,     0,     0,
    2279,  2280,  2867,     0,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,     0,   215,   216,     0,    16,     0,     0,     0,    17,
    2282,     0,  2732,     0,     0,   195,    18,     0,     0,     0,
       0,     0,     0,  2733,     0,     0,     0,     0,  2734,  2868,
       0,   234,     0,     0,     0,     0,     0,   235,  1895,  1896,
    1897,  1898,  1899,  1900,  1901,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   186,   333,   334,   335,   336,
     337,   338,   339,  1902,     0,     0,  1903,  1904,     0,     0,
       0,     0,     0,     0,     0,     0,   198,   199,     0,   200,
     201,   202,   203,   204,   373,   374,  2869,     0,  2870,  2871,
       0,     0,  2872,     0,   195,     0,     0,  1905,  2873,  1906,
       0,     0,     0,     0,     0,     0,     0,     0,  2874,     0,
       0,  2875,     0,     0,   375,     0,     0,  1895,  1896,  1897,
    1898,  1899,  1900,  1901,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,  2735,  1902,     0,   376,  1903,  1904,     0,     0,     0,
    2279,  2280,     0,     0,     0,   198,   199,     0,   200,   201,
     202,   203,   204,  2876,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,     0,  1905,   235,  1906,   404,
    2282,     0,     0,     0,     0,     0,     0,   341,     0,     0,
       0,     0,     0,  1593,     0,     0,     0,     0,     0,  2736,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   377,     0,     0,     0,  1806,   915,   378,   479,   480,
       0,   379,     0,    91,    92,     0,   394,     0,   395,     0,
       0,     0,   396,   397,  2877,     0,     0,     0,     0,     0,
       0,   399,   380,  1807,     0,     0,     0,     0,     0,   394,
       0,   395,     0,     0,     0,   396,   397,  2878,  2737,  2738,
       0,   400,     0,     0,   399,     0,     0,     0,  2739,     0,
       0,     0,     0,     0,    19,     0,     0,     0,     0,  2740,
    2741,  2742,     0,     0,   400,     0,     0,     0,     0,     0,
       0,  2743,     0,  2744,     0,  2745,     0,   401,     0,     0,
     402,   417,     0,     0,     0,    91,    92,  2879,  2880,  2881,
    2882,  2883,     0,  2884,     0,   394,  2885,   395,     0,     0,
     401,   396,   397,   402,     0,     0,    20,    21,  1808,     0,
     399,     0,     0,     0,     0,     0,     0,   104,   105,   106,
     107,   108,   109,     0,   110,     0,     0,     0,     0,     0,
     400,     0,     0,     0,     0,     0,     0,     0,   381,     0,
       0,   382,     0,     0,     0,     0,     0,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,     0,     0,   401,     0,     0,   402,
       0,     0,     0,     0,  2886,     0,     0,   394,   525,   395,
       0,     0,   481,   396,   397,     0,   526,   383,     0,     0,
       0,     0,   399,     0,     0,     0,  2442,  1907,  2126,   104,
     105,   106,   107,   108,   109,     0,   110,   621,   622,   623,
     624,   625,   400,     0,     0,     0,     0,     0,     0,   384,
       0,   417,     0,   418,     0,   419,   420,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,     0,   482,
     637,     0,     0,     0,     0,     0,   385,     0,   401,   386,
       0,   402,     0,     0,     0,     0,   387,     0,   421,     0,
       0,     0,     0,     0,   532,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,   335,   336,
     337,   338,   339,     0,     0,     0,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   388,     0,     0,     0,     0,  2440,     0,
       0,     0,     0,     0,     0,     0,     0,   394,     0,   395,
       0,   533,     0,   396,   397,     0,   422,     0,   423,     0,
       0,     0,   399,   424,     0,     0,  1907,     0,     0,   425,
     426,   427,   428,     0,  2746,   534,     0,     0,     0,     0,
       0,     0,   400,   429,     0,     0,     0,   430,     0,   431,
       0,     0,     0,     0,     0,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,     0,     0,   483,   484,   485,   486,   401,     0,
       0,   402,     0,     0,     0,     0,     0,     0,  1809,  1810,
     432,     0,     0,     0,   433,     0,   434,   341,     0,     0,
       0,   435,   487,     0,     0,  1907,     0,   488,     0,     0,
       0,     0,   489,     0,   527,   528,   529,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
     335,   336,   337,   338,   339,     0,   404,   436,     0,     0,
     437,     0,     0,     0,   438,   439,     0,     0,     0,     0,
    1811,     0,     0,   440,     0,     0,   441,     0,     0,   404,
       0,   442,   443,     0,   444,   445,     0,     0,   446,     0,
       0,     0,     0,   530,     0,     0,     0,   417,     0,     0,
       0,    91,    92,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   447,     0,     0,     0,   448,     0,   449,   450,
       0,   451,   452,     0,     0,   453,     0,     0,     0,     0,
     454,   455,   456,     0,     0,     0,   457,   458,     0,  1720,
       0,     0,     0,     0,   459,   404,   460,     0,     0,   461,
     462,   417,   463,     0,   464,    91,    92,   465,   466,   490,
       0,     0,     0,     0,   340,     0,     0,     0,     0,     0,
       0,     0,     0,   467,     0,   468,     0,     0,     0,   341,
    1697,     0,     0,   469,     0,     0,     0,  1698,   535,   536,
       0,     0,     0,   394,     0,   395,     0,     0,     0,   396,
     397,     0,     0,     0,     0,  1721,  1722,     0,   399,     0,
       0,     0,     0,     0,     0,   104,   105,   106,   107,   108,
     109,     0,   110,     0,     0,    91,    92,   404,   400,     0,
       0,     0,   537,   538,   539,     0,     0,     0,     0,     0,
       0,   540,     0,     0,     0,     0,     0,   394,     0,   395,
       0,     0,     0,   396,   397,    91,    92,     0,  1699,     0,
       0,     0,   399,     0,   401,     0,     0,   402,     0,   104,
     105,   106,   107,   108,   109,     0,   110,  1723,     0,   500,
       0,  1581,   400,     0,     0,     0,  1700,  1701,     0,     0,
       0,   503,     0,     0,     0,     0,     0,  2790,     0,     0,
       0,     0,     0,     0,   504,     0,     0,     0,    91,    92,
       0,     0,     0,   505,     0,     0,     0,   394,   401,   395,
       0,   402,     0,   396,   397,     0,     0,     0,  1767,     0,
       0,   514,   399,     0,     0,     0,   515,     0,     0,   104,
     105,   106,   107,   108,   109,     0,   110,   394,     0,   395,
       0,     0,   400,   396,   397,     0,     0,  1702,   398,  1703,
       0,  1704,   399,     0,  1705,     0,     0,   404,  1706,   104,
     105,   106,   107,   108,   109,     0,   110,     0,     0,     0,
       0,   470,   400,     0,     0,     0,     0,     0,   401,     0,
       0,   402,     0,     0,     0,     0,     0,     0,     0,     0,
     394,     0,   395,     0,     0,     0,   396,   397,     0,     0,
       0,  1607,     0,     0,     0,   399,     0,     0,   401,  2279,
    2280,   402,   104,   105,   106,   107,   108,   109,     0,   110,
       0,     0,     0,     0,     0,   400,   403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2282,
       0,     0,  1055,     0,     0,  1707,  1056,  1057,     0,     0,
       0,  1708,     0,     0,     0,     0,   516,  2791,  2792,  2793,
       0,   401,     0,     0,   402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1709,     0,     0,     0,
       0,     0,     0,  1710,  1711,     0,     0,     0,     0,     0,
    1712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2794,     0,  1713,     0,     0,     0,     0,     0,  1714,     0,
       0,     0,     0,  1715,     0,  2795,     0,  2796,  2797,     0,
    1716,     0,     0,     0,     0,     0,     0,  2798,     0,     0,
    2799,     0,  1109,     0,     0,     0,     0,     0,     0,  2800,
       0,     0,     0,     0,  2801,     0,     0,   567,   568,   936,
     937,     0,     0,     0,     0,     0,  2802,     0,     0,     0,
    1058,  1059,  1060,  1061,  1062,  1063,     0,  1064,  1608,   620,
       0,     0,     0,     0,   621,   622,   623,   624,   625,     0,
       0,   192,     0,     0,     0,   193,   194,     0,   621,   622,
     623,     0,  2803,     0,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,     0,     0,   637,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,     0,
       0,   637,     0,   404,  1768,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1724,     0,     0,
       0,  1110,  1111,     0,     0,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,     0,     0,     0,     0,
    2804,     0,     0,  2805,  2806,  2807,  1112,   915,     0,     0,
       0,  2808,     0,  1769,     0,     0,  2809,   404,     0,     0,
    1113,     0,     0,     0,     0,  1114,  2810,     0,     0,  1115,
    1116,   517,  2811,     0,  1117,     0,     0,     0,     0,   621,
     622,   623,   624,   625,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,  1118,     0,     0,  1717,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
       0,     0,   637,     0,     0,     0,     0,     0,  1119,  1120,
    1121,     0,  1122,  1123,  1124,     0,     0,   404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1770,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   405,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2812,     0,     0,     0,     0,     0,     0,
     404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1609
};

static const yytype_int16 yycheck[] =
{
     111,   180,   235,   235,   115,   269,  1054,   185,     3,   483,
     443,   444,   272,   185,   493,   366,   367,  1535,   777,   185,
     502,    89,   164,   908,     7,    93,    94,   169,  1805,   156,
    2293,    96,   674,  1437,  1438,  1439,  1440,   580,   581,   840,
     150,  1112,     7,     7,   154,   305,   156,   590,   591,    25,
      50,   164,     9,    10,   164,    12,   169,   235,   168,   169,
     514,    18,     7,   235,   706,   554,   176,   556,   557,   235,
      77,   560,   561,     7,  2059,  2060,  2061,    16,     7,     7,
      18,    19,    21,    21,   844,   349,   350,   351,   291,   143,
    2688,   145,    92,   147,  1165,   149,    68,   151,    28,   153,
      11,    12,  1760,   157,     6,   159,    19,   161,    21,   163,
    2205,   165,    95,   167,    16,    17,    18,    19,    20,   156,
     174,   175,     8,     9,    10,    11,    12,    18,    19,    50,
      21,    11,    12,   397,    55,    16,    17,    18,    19,    20,
      21,   153,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    18,    19,    41,    21,    44,    16,   154,
       8,     9,    10,    21,    18,    19,    16,    21,    16,   189,
       3,    21,   153,    21,     8,     9,    10,    11,    12,    21,
      28,    29,    30,    25,   295,   296,   297,   298,   299,   300,
     301,  1127,   303,   304,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    16,    44,    41,   191,    39,
      21,     8,     9,    10,    11,    12,    53,    16,   414,    18,
     674,     4,    21,    16,    17,    18,    19,    20,    21,    35,
      36,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    16,    16,    41,   247,  1894,    21,    21,    16,
     318,   234,   363,    16,    21,     0,   674,    44,    21,    16,
      17,    18,    19,    20,    21,   188,   134,   115,   116,   156,
      43,    44,    45,    46,   342,     3,    43,    44,    45,    46,
      43,    44,    45,    46,   395,   162,   162,  1805,   399,    70,
     401,    16,   179,    16,   768,    89,    21,   132,    21,   300,
     368,    16,   370,    52,    52,  2230,    21,     8,     9,    10,
      11,    12,    28,  2494,  2598,   235,   273,   274,   156,   430,
      43,    44,    45,    46,   238,    41,   559,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    16,    16,
      41,    18,    25,    21,    21,   168,    52,  2332,    16,    17,
      18,    19,    20,    21,   191,    16,    17,    18,    19,    20,
      25,   157,  2598,    54,  2627,    43,    44,    45,    46,   156,
      66,   277,    52,   196,    16,   554,    53,   556,   557,    21,
      16,   560,   561,   306,    16,    21,   929,    50,   739,    21,
      52,  2316,    55,  2598,  1912,   170,   171,   311,   941,   224,
     211,    43,    44,    45,    46,   219,   602,    43,    44,    45,
      46,    16,    16,     3,   320,    16,    21,    21,   282,    16,
      21,   127,   162,     7,    21,  2688,   859,    18,    19,   780,
      21,   307,    16,   156,    25,    89,  1195,    21,    43,    44,
      45,    46,    43,    44,    45,    46,   352,    44,    36,   183,
     327,    35,    50,    37,   171,    21,   279,    55,    21,   913,
     366,   367,   235,   383,    18,    19,  1351,    21,   922,    21,
     235,   472,   736,   164,   304,   487,    60,   680,   681,   682,
     683,   684,   685,   495,   687,   688,   211,   690,   691,    16,
      17,    18,    19,    20,   329,   913,     8,     9,    10,    11,
      12,   155,   325,   992,   922,   286,  2601,  2602,    21,   162,
    2168,     3,    25,   946,   495,   948,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    16,   961,    41,
     380,     3,    21,   296,   297,    55,   442,   121,   122,  2161,
     124,   125,   126,   127,   128,  2167,   229,   200,   136,  1485,
    1486,   242,   336,   421,    43,    44,    45,    46,   530,     3,
     466,    21,   337,    50,   601,    25,    50,   307,    55,   247,
      53,    55,   237,   369,   487,   558,   390,   453,   580,   236,
     486,    54,   602,   694,    88,  2766,  2797,    16,   294,   572,
     156,   702,    21,  2241,   500,   602,  3011,   597,   304,   582,
     583,   584,   585,   586,   587,   588,   271,   159,   840,   305,
     435,   247,     3,  2598,    43,    44,    45,    46,   383,   602,
     600,   338,   602,  1166,   418,   601,  3224,  1387,   534,  2913,
    2914,   495,   381,   381,   599,   600,   600,   748,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   599,   720,    16,  1111,   597,   598,
    2871,    21,   840,  2440,   602,   599,   272,   597,   840,  2654,
     599,   599,   167,    36,   840,    16,   597,   660,  2914,   602,
      21,   194,   272,    43,    44,    45,    46,  2612,  2206,   600,
     347,   648,   649,  1111,   651,   652,   598,   481,   356,   377,
     602,   381,    43,    44,    45,    46,   274,   761,   191,  2914,
     381,   602,   156,   453,   601,   601,   784,   598,   829,   381,
     600,   284,   285,   282,   605,   192,   568,   279,   223,   335,
     409,   714,   574,  3148,   576,  1806,  3151,   602,   602,   597,
     598,   377,   384,   385,   402,   587,   729,   601,   598,   598,
     598,    18,    19,    21,    21,   409,  1398,     3,   936,    21,
      21,    22,   495,   601,   936,   599,   600,   296,   501,   242,
     936,     3,   377,   136,   445,    21,  2180,   602,  2182,   494,
     598,  2185,   598,  2187,  2188,   305,   604,   598,    16,   387,
     388,   497,   393,    21,   162,   601,    93,  1030,  1031,   598,
     453,  1033,   599,   600,     3,   598,   712,    70,    71,   276,
     162,   717,   605,   992,   601,    43,    44,    45,    46,   348,
      66,   602,    21,   169,   598,   598,   149,   459,   601,   349,
     350,   598,   200,   739,   601,   598,   515,   336,    21,    22,
     344,   598,   341,   749,   398,   751,   335,   176,   200,  1323,
     157,   457,   963,   964,   457,  1033,   460,   461,   362,   332,
     463,  1033,   335,   170,   171,   369,   163,  1033,   297,   602,
     523,   217,   526,   598,   780,   598,    38,  1137,  1138,  1139,
    1140,  1141,  1142,   598,  1366,  1145,   147,  1147,   156,  1149,
    1150,    53,   583,  1375,   156,    93,   802,   803,   589,   600,
     387,   388,   148,   387,   388,   137,   138,    21,   183,   277,
     575,    25,   464,   578,   579,   569,   570,   571,   572,   573,
     598,   598,  2440,   590,  1413,   477,   478,  1416,    16,  2914,
     598,   391,  1110,   165,   597,  2712,  2713,   598,  1110,  1740,
     600,  1144,   602,  1146,  2566,  2567,   196,   853,    70,    71,
     856,   165,  2574,  2575,    21,    22,   598,   166,   240,   191,
      21,  3224,   598,   226,    25,    38,   598,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   601,   194,   195,   284,    70,    71,
     335,   288,   238,   598,   598,   302,   602,   598,   904,   597,
      21,   598,    21,   212,    25,   911,    25,   598,   338,   601,
     185,    21,   918,   600,   598,    25,   283,   923,   605,   598,
     604,   927,   606,   221,     8,     9,    10,    11,    12,   279,
     534,   535,   536,   537,   538,    38,  1510,  1020,   600,  1022,
    1514,  1515,   156,   605,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,   231,  1167,    41,    21,   235,
     323,   270,    25,   600,   970,   602,   153,   973,   155,   297,
     396,   598,   136,   160,   161,    21,    22,   983,   165,   600,
     410,   411,  1193,    50,   605,   284,   285,    54,   600,    56,
      57,   178,    18,   291,   113,    21,   441,   162,    21,   345,
     187,  1212,    25,   164,   226,   431,  1089,    53,   468,   598,
     597,  1222,  1177,   597,   440,   582,   583,   584,   585,   586,
     600,   466,   602,  1191,  1251,   300,     8,     9,    10,    11,
      12,   600,   458,   198,   598,   156,   605,   156,  2915,   465,
    1253,  1251,  1252,  1253,   226,    16,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,   598,   484,    41,
     406,   487,   337,   489,    19,   148,    21,   150,  1601,   598,
     345,   154,   155,    21,     3,   601,   159,    25,  2063,  2583,
     163,   148,   597,   150,  2588,   600,  2590,   154,   155,  2593,
     113,   437,    21,   156,  2712,  2713,   163,   345,   188,   189,
     183,   323,   221,   170,   171,   172,   173,   174,   175,    77,
     177,   537,  1354,   539,   362,   363,   183,   284,   285,  1701,
     418,   414,   420,   469,   422,   601,  1294,   425,   218,    53,
     151,    18,    19,   156,  1413,  1218,   219,  1416,   598,   222,
     598,   323,   307,   308,  1354,   598,   236,  1895,  1896,  1728,
    2541,   600,   219,    82,   603,   222,  1516,   598,  1518,   597,
      21,    22,   600,    87,  1807,   598,  1914,  1380,  1381,  1382,
    1380,  1381,  1382,   198,   199,   242,   320,   321,   245,   598,
     205,   206,   207,   208,  1963,   153,   330,   155,  1398,    47,
      48,    49,   160,   161,  1973,  1473,   232,   165,   221,   598,
     493,  1473,  1566,   496,   497,   498,  2065,  1473,   137,   598,
     178,   232,   233,   234,   598,  1221,   306,  1581,  1578,   187,
    1498,   597,   151,   152,   600,   149,  1498,   597,   318,    16,
    2621,   601,  1498,    54,    50,    54,   165,    21,   305,   100,
     598,    25,    58,    59,    60,    61,   598,    63,    64,    65,
    1256,  1257,    68,   231,    70,    71,  1535,   235,    16,  1354,
      76,    77,  1268,    87,   230,   231,  2657,   191,  1274,  1275,
     598,   580,    93,   197,   341,   283,  1282,     3,  1284,   287,
     526,   527,    54,  1289,  1495,  1818,   532,  1370,    41,  1500,
    1296,  1297,   216,   329,     3,    21,   363,  2915,  2689,   435,
     436,   923,  1308,  1309,  2452,   927,   600,  1313,   602,   602,
    1316,  1317,  3189,  1319,   282,  2094,  1959,    37,    38,  2644,
     356,    41,    25,  2102,   148,    21,   150,  1333,   364,    25,
     154,   155,     3,  1779,  1417,   159,   149,  1783,   597,   163,
     599,  1424,  1425,   164,  1427,  1428,  1429,  1430,    18,    19,
    1356,    21,   442,   443,   444,  1361,   602,   783,     3,   183,
    1443,   339,    50,   308,   342,   310,  1531,  1532,  1536,   289,
      58,    59,    60,    61,     3,    63,    64,    65,    18,    19,
      68,    21,    70,    71,   197,  1391,   812,     3,    76,    77,
     415,   817,   818,  1399,    21,   219,  1349,  2040,   222,  1352,
     156,   827,  1408,  2907,  2047,  2909,    18,    19,  1740,    21,
    2404,   232,   314,  2407,  1293,   602,  1295,   238,  1586,  2413,
    2414,   242,    18,    19,   850,    21,   852,   291,   278,    25,
     156,   157,   858,   159,   860,    25,   862,   863,     3,   865,
     866,   867,   868,   869,   170,   171,   872,   873,     3,   875,
    2775,  2776,   878,   879,     3,  2780,  2781,   515,   884,   526,
     886,    28,  1740,    16,   531,    21,   533,    21,  1740,     3,
     896,   897,   898,   597,  1740,   901,   236,   301,   302,   303,
     597,   167,   168,   169,  1756,   309,   232,   311,  1760,   601,
    1756,   159,    21,  1944,  1760,   513,   164,    35,    36,    37,
      38,  2075,   928,    41,   601,   588,   192,   193,    42,    53,
     196,   594,   602,   149,   940,   247,   600,   238,    52,   602,
     333,   588,    56,    57,    18,    19,  1805,    21,   590,     8,
       9,    10,    11,    12,    25,   602,   400,   401,   402,   403,
     597,   967,   968,   200,   201,   202,   203,   204,    82,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
     349,   350,    41,     8,     9,    10,    11,    12,   504,   505,
     506,  3189,   354,   355,   300,   597,   302,   601,   304,  2112,
      48,    49,   597,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,   407,   601,    41,   601,  1809,   412,
     413,   414,   601,   137,   272,   139,   140,   601,  1614,   143,
     597,   145,    48,    49,   148,   597,   150,   151,   152,  1625,
     382,   155,   599,   600,   183,  1631,   601,     8,     9,    10,
      11,    12,   238,  1912,   602,   390,   170,   171,   172,   173,
     174,   175,   336,   177,   547,   548,   310,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    18,    19,
      41,   482,  2961,   484,   485,  2964,  2965,  2966,   489,   490,
    1948,   492,   249,   250,   137,   138,  1948,   408,   499,   500,
     432,   433,  1948,   339,  3188,   599,   600,   508,   222,    18,
      19,    20,    21,   156,   228,   247,     8,     9,    10,   162,
     234,   235,  1708,   599,   600,     8,     9,    10,    11,    12,
     150,   200,   201,   202,   203,   204,    28,    29,    30,   247,
     388,  3225,   426,   427,  1892,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    66,    67,    41,   359,
    1908,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   339,   101,   102,   103,   104,   105,   106,   107,  1842,
     300,  1844,   354,  1769,   588,   296,   297,   150,  1774,  2220,
    2221,   439,  2223,  2224,   316,  2308,   370,  1945,   602,    11,
      12,   602,   366,  1789,   316,   113,   602,   372,   456,   602,
     458,   231,   232,   316,   462,   235,   599,   600,   466,   467,
     395,   155,  1808,   115,   116,   599,   600,   161,   310,   137,
     138,  1817,  1895,  1896,   597,  1898,  3115,  3116,  1824,  1902,
    1903,  3120,  3121,   188,   189,   188,   189,   190,   156,   200,
     201,  1914,   200,   201,   162,  2286,  1262,  1263,     8,     9,
      10,    11,    12,    18,    19,    20,    21,  2701,  2702,  2382,
     597,   179,  1278,  1279,   597,   218,   601,   185,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,  1087,
    1088,    41,   235,   137,   138,  2060,  2061,    52,   232,   242,
     113,    56,    57,   232,  2162,   239,   240,   241,   601,   329,
     244,   601,   156,   601,   248,   476,  2168,   183,   162,   148,
     388,   113,  2168,   149,   137,   138,  1332,   123,   181,   182,
     183,   184,   381,  1339,   602,   179,   356,  1343,  1344,  1345,
     597,   185,   601,   156,   364,   137,   138,  2206,  1934,   162,
      21,   479,   295,  1939,   602,   298,   299,  1943,  1944,   117,
     118,   119,   120,   306,   156,   179,   179,  2480,  1374,   220,
     162,   165,   601,   165,     8,     9,    10,    11,    12,   399,
    2239,   177,    72,    73,    74,    75,  1392,   179,  1394,   597,
     601,  1977,   597,  1979,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,   238,   601,    41,    16,   165,
    1996,   601,   597,    21,   597,     8,     9,    10,    11,    12,
     597,   601,   177,   601,   322,   300,   300,    35,   601,    37,
    2461,   546,   183,   165,  2293,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,   597,   243,    41,   376,
     296,   597,    60,   597,   246,    15,   252,   247,  2203,   601,
     601,  2252,   247,   577,    16,    16,   597,   581,    35,    41,
     266,   267,   268,   269,   588,   589,    16,    36,     7,   600,
      16,  2067,  2068,   597,    53,    16,  2072,     3,     3,   227,
       3,    25,     3,  2079,     3,   597,  2082,     3,     3,     3,
    2248,     3,     3,  2251,     3,     3,     3,  2170,  2171,    21,
       3,    23,    24,   121,   122,     3,   124,   125,   126,   127,
     128,     3,  2108,  2109,     3,  2111,     3,  2113,  2191,   198,
     199,     3,   137,   138,  2120,     3,   205,   206,   207,   208,
       3,   600,   598,   600,   597,   600,    54,   597,    60,  2212,
     597,   156,   390,   188,   189,   190,    21,   162,   382,   183,
     165,   247,   247,   597,  1570,  1571,   597,   597,     8,     9,
      10,    11,    12,  2159,   179,   600,   382,   183,   597,  2165,
     185,  2440,   247,   218,   247,   245,   223,  2446,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,   232,
     235,    41,   247,  2634,  2635,  2636,   597,   242,   597,   121,
     122,   601,   124,   125,   126,   127,   128,   597,  1624,    39,
     409,   417,   597,   149,   247,   247,  2538,  2539,   247,   247,
     597,    55,   389,  1639,  2220,  2221,    55,  2223,  2224,   600,
     148,  2227,   150,  2229,  2230,   153,   154,   155,   597,  2235,
    2236,   597,   160,   161,   588,   163,   382,   165,   245,   602,
     295,   183,   223,   298,   299,   179,   232,    21,   602,   186,
     178,   306,   601,   597,   344,   183,   179,   113,   322,   187,
    2538,  2539,    16,  1689,   600,  2598,  2538,  2539,   599,   136,
      36,    16,  2538,  2539,   600,  2443,   599,   599,    55,   600,
    2286,  2287,    19,   600,    55,     3,  1712,  1713,  1714,  1715,
       3,   219,     3,    21,   222,   511,     3,   600,     8,     9,
      10,    11,    12,   165,   165,    21,     3,     3,     3,  1735,
    2316,  1737,   599,    13,   597,    21,  1742,   597,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    50,
     597,    41,   597,   601,    36,  2614,   597,   600,   283,  2872,
     597,   601,  1768,   383,   247,   597,   597,   597,  2627,     8,
       9,    10,    11,    12,   183,   597,   247,   597,  2364,   597,
    2366,   383,  2445,   291,     5,  2448,   247,   597,   245,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
     597,   235,    41,   180,   597,    52,  2469,   245,    52,   597,
     597,   597,    16,  2399,   597,   597,  1822,  1823,   597,  2405,
     445,   446,   447,   448,   449,   450,   451,   452,   597,  2688,
     597,   597,   597,   597,   597,     8,     9,    10,    11,    12,
      16,    25,   179,   597,   597,  2508,    36,    36,   597,   599,
     597,   597,   597,  2712,  2713,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,   597,   597,    41,     8,
       9,    10,    11,    12,   597,  2461,   597,   597,   597,   597,
     597,   597,   597,    16,    38,    16,     3,   601,   600,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
       3,    21,    41,     3,  2935,  2936,     3,  2938,  2939,     8,
       9,    10,    11,    12,     3,     3,     3,     3,    16,     3,
       3,     3,     3,   597,   599,  1931,    16,   600,   246,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
     245,  2527,    41,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     249,   246,   590,    25,  1970,   599,   597,   602,   597,    43,
     165,   293,   588,  2559,   310,   247,  2562,   312,  2564,   148,
     597,  3094,  3095,   597,   597,   600,   597,  2839,   597,   247,
     598,   183,   602,  2839,   597,    21,   604,   597,   606,   597,
    2913,  2914,   597,   597,   231,   597,   599,   597,   597,   597,
     324,  3124,   597,   137,   597,   597,   597,   597,  2024,   597,
     597,   597,   597,   597,   597,   165,  2612,   597,   376,  2035,
    2036,  2037,  3063,   597,   183,  2041,   305,  2623,   382,    61,
     231,   361,   166,   165,   168,    20,   432,   597,  2634,  2635,
    2636,   432,   597,   238,   597,   470,  2915,  2643,   597,  2722,
     168,   509,  2648,  2069,   597,   597,  2652,   518,   192,   518,
     194,   185,   196,    54,   300,    38,   597,   600,  2664,   132,
     588,    36,  2668,    16,  2670,  2671,    16,  2673,   598,     3,
     597,    19,     3,  2099,   602,   100,    16,   597,  2889,     8,
       9,    10,    11,    12,  2895,   600,    52,   598,   600,   598,
    2696,   598,  2698,  2699,  2700,     8,     9,    10,   602,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
     597,   597,    41,   597,   280,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,  2732,   597,    41,  2735,
     602,   275,   276,   277,  2740,   279,   280,   161,   590,   599,
       8,     9,    10,    11,    12,   313,   601,   247,   247,   247,
     247,   149,   597,  2759,  2760,   428,   179,   382,   424,   597,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,   423,   597,    41,    21,   597,   597,   601,    25,    26,
     597,   597,   597,   247,    61,  2791,   324,   382,   376,    61,
      20,   601,   601,   601,  2800,  2801,  2802,   601,   601,  2805,
      66,  2807,   179,  2809,    50,    70,    16,   346,   597,   597,
    2816,    36,    62,    60,    69,   597,    40,     8,     9,    10,
      11,    12,  2828,  2829,   597,    37,  2832,  2833,   194,    37,
     196,  2257,     7,   602,    21,  2918,   599,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,   597,  2855,
      41,   597,   246,   597,  2860,  2281,   597,   305,   296,   225,
    2866,   597,   601,   419,   597,   275,   232,   597,  2874,   601,
     297,   597,   601,   597,   121,   122,  2882,   124,   125,   126,
     127,   128,   406,   183,   247,   324,   598,   383,   383,   599,
     324,     7,    78,   601,   141,   113,   600,  2323,   601,   597,
     601,   247,   601,  2329,   598,   271,   597,   273,   601,   599,
    3189,   599,   599,   599,   599,   599,   599,   597,   284,   600,
    2926,  2927,  2928,  2929,  2930,   597,   597,   198,   294,  2935,
    2936,   302,  2938,  2939,  2940,  2941,   298,   298,   298,   247,
     599,   146,   247,   510,    38,  3224,  2372,    16,    37,   315,
      37,     7,   597,  2379,   110,   597,   149,   149,   602,   597,
       8,     9,    10,    11,    12,   597,   602,   597,    25,   602,
     597,   336,  3183,  3184,   597,   597,     7,  2983,  2984,  2985,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,  2997,  2998,    41,   600,   238,   599,  3003,   599,   599,
     599,   598,   495,   495,    21,   599,   599,   599,   324,   600,
    3016,   322,   298,  3019,  3020,  3021,   298,    61,   597,   334,
    3026,  3027,   597,   416,   597,   597,   597,   597,   473,  3035,
     322,   238,   597,   597,   447,   372,   127,   336,   601,   445,
     599,   481,   597,    60,  3050,  3051,  3052,   597,   481,   247,
     486,   488,   305,   305,   324,  3061,  2482,  3063,  3064,  3065,
    3066,     8,     9,    10,    11,    12,   509,   597,   434,   491,
     597,    25,   597,   322,   247,   372,   247,   127,  3084,  3085,
     599,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,   247,   247,    41,     8,     9,    10,    11,    12,
    2526,   520,   522,   529,   121,   122,  2532,   124,   125,   126,
     127,   128,   597,   525,   597,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,   528,   597,    41,    38,
      38,   597,   328,   474,   324,   597,  3142,  3143,   597,     8,
       9,    10,    11,    12,  3150,   597,   512,   597,  3154,   503,
     597,   298,   247,  3159,   247,   298,   597,   483,  3164,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
     179,   189,    41,     8,     9,    10,    11,    12,   189,   600,
     114,   599,   597,   459,   459,   454,   510,     8,     9,    10,
      11,    12,  2618,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,   600,   597,    41,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,   599,  1948,
      41,  1110,  1794,   589,  1781,  3224,  2627,  2563,  1110,  2564,
    1110,  1835,  2165,  1835,  1835,  2562,  1835,  2663,  2166,  2665,
    2167,   579,  1369,  2206,  1030,  1912,  2913,   234,  1031,  2914,
     559,  2191,  1033,  2679,  2680,  2681,     8,     9,    10,    11,
      12,  2452,   154,   362,  1579,  1455,  1463,  2766,  2645,  2782,
     599,  2614,   669,  1600,  2474,  2247,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,  2249,  1307,    41,
    2269,  2310,  2346,  2535,  3017,  2856,  2839,  3030,  3032,  2116,
    2859,   955,  2860,  1925,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,    14,  2124,    16,    17,    18,    19,    20,    21,   709,
      -1,   599,    25,    26,    -1,    -1,    -1,    -1,    -1,  1543,
      -1,    -1,    35,    36,    37,    -1,    -1,    40,    -1,    -1,
      14,   598,    16,    17,    18,    19,    20,    21,    -1,    52,
      -1,    25,    26,    56,    57,    -1,    -1,    60,    -1,  2795,
      -1,    35,    36,    37,    -1,    -1,    40,    -1,  2804,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    56,    57,    -1,    -1,    60,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   599,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2845,
      -1,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,  2867,   135,  2869,   137,    -1,    -1,    -1,   141,    -1,
      -1,   115,   116,   146,    -1,    -1,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
      -1,   135,    -1,   137,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,   146,    -1,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2925,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,    -1,    -1,  2942,    -1,    -1,    -1,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    -1,    41,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   599,    -1,  2979,    -1,    14,    -1,    16,    17,    18,
      19,    20,    21,    -1,  2990,    -1,    25,    26,  2994,    -1,
      -1,    -1,    -1,    -1,  3000,  3001,    35,    36,  3004,    -1,
      -1,    40,    -1,    -1,    -1,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    52,    -1,    -1,    -1,    56,    57,  3025,
      -1,    60,    -1,  3029,    -1,  3031,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    -1,    41,
      -1,  3047,  3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3062,    -1,    -1,    -1,
      -1,    -1,    -1,  3069,    -1,  3071,  3072,  3073,    -1,    -1,
      -1,    -1,   599,    -1,    -1,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,    -1,   135,    -1,   137,    -1,
    3106,    -1,   141,    -1,    -1,    -1,   599,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,    -1,  3123,    -1,    26,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3139,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,     8,     9,    10,    11,    12,    -1,    -1,  3155,
     599,    -1,    -1,    60,    -1,    -1,   429,   430,    -1,  3165,
      -1,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   599,   429,   430,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   599,   101,
     102,   103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,    -1,    -1,    -1,    14,    -1,    16,    17,
      18,    19,    20,    21,   141,    -1,    -1,    25,    26,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    37,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    -1,    -1,    52,    -1,    -1,   599,    56,    57,
      -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,    -1,    -1,    -1,    -1,    -1,
      60,    -1,    -1,    -1,    -1,    -1,    -1,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,    -1,   598,    -1,   115,   116,    -1,
     232,   604,    -1,   121,   122,    -1,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,    -1,   135,    -1,   137,
      -1,    -1,    -1,   141,   598,    -1,    -1,    -1,   146,    -1,
     604,   121,   122,    -1,   124,   125,   126,   127,   128,    -1,
      -1,    14,    -1,    16,    17,    18,    19,    20,    21,    -1,
      -1,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,   177,
     429,   430,    35,    36,    37,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    56,    57,    -1,    -1,    60,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    -1,
      16,    17,    18,    19,    20,    21,    -1,    -1,    -1,    25,
      26,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    37,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      56,    57,   115,   116,    60,    -1,    -1,    -1,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,    -1,   135,    -1,   137,    -1,    -1,    -1,   141,    -1,
      56,    57,    -1,   146,    -1,    -1,    -1,    -1,    -1,   597,
      -1,    -1,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   115,
     116,    -1,    -1,    -1,   177,   121,   122,    93,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
      -1,   137,    -1,    -1,    -1,   141,    -1,    -1,    -1,   598,
     146,    -1,    -1,    -1,    -1,   604,    -1,    14,    -1,    16,
      17,    18,    19,    20,    21,    -1,    -1,    -1,    25,    26,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      37,   177,   148,    40,   150,   597,    -1,    -1,   154,   155,
      -1,    -1,    -1,   159,    -1,    52,    -1,   163,    -1,    56,
      57,    -1,    -1,    60,   170,   171,   172,   173,   174,   175,
      -1,   177,    -1,    -1,    -1,    -1,    -1,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   429,   430,    -1,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,    -1,    -1,   219,    -1,    -1,   222,    -1,   115,   116,
      -1,    -1,    -1,    -1,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,    -1,
     137,   598,    -1,    -1,   141,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    -1,    16,
      17,    18,    19,    20,    21,    -1,    -1,    -1,    25,    26,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
     177,   597,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    56,
      57,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
      -1,    -1,    -1,    -1,    -1,    -1,   429,   430,    -1,    -1,
      -1,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   115,   116,
     598,    -1,    -1,    -1,   121,   122,   604,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,    -1,
     137,    -1,    -1,    -1,   141,    -1,    -1,    -1,   598,   146,
      -1,    -1,    -1,   429,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   150,    -1,    -1,   153,   154,   155,    -1,    -1,    -1,
     177,   160,   161,    -1,   163,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
      -1,    -1,    -1,    -1,   183,    -1,    -1,    -1,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,    -1,    -1,    -1,    -1,    -1,
     219,    -1,    -1,   222,    79,    80,    81,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,   502,    -1,    -1,    -1,
      -1,   507,   508,    -1,    -1,   598,    -1,    21,    -1,    -1,
      -1,   604,    50,    -1,    -1,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   429,   430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    60,    -1,    -1,   288,
      -1,    -1,   291,   292,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,   598,    -1,    -1,    -1,    -1,    -1,   604,    83,
      84,    85,    86,    87,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,   588,    -1,    -1,    -1,    -1,    -1,   183,   184,
      -1,    -1,    -1,    -1,   108,    -1,   602,   111,   112,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   121,   122,    -1,
     124,   125,   126,   127,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,    -1,   222,   142,   224,
     144,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,
     188,   189,   190,    -1,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,    -1,   429,   430,    -1,   270,    -1,    -1,    -1,   274,
     218,    -1,    50,    -1,    -1,    60,   281,    -1,    -1,    -1,
      -1,    -1,    -1,    61,    -1,    -1,    -1,    -1,    66,   237,
      -1,   598,    -1,    -1,    -1,    -1,    -1,   604,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,    21,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,    -1,   111,   112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   121,   122,    -1,   124,
     125,   126,   127,   128,   157,   158,   294,    -1,   296,   297,
      -1,    -1,   300,    -1,    60,    -1,    -1,   142,   306,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,    -1,
      -1,   319,    -1,    -1,   187,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   179,   108,    -1,   217,   111,   112,    -1,    -1,    -1,
     188,   189,    -1,    -1,    -1,   121,   122,    -1,   124,   125,
     126,   127,   128,   371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   598,    -1,    -1,    -1,    -1,   142,   604,   144,   588,
     218,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,
      -1,    -1,    -1,   602,    -1,    -1,    -1,    -1,    -1,   237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,    -1,    -1,    -1,   137,   138,   290,    51,    52,
      -1,   294,    -1,    56,    57,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   442,    -1,    -1,    -1,    -1,    -1,
      -1,   163,   315,   165,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   465,   296,   297,
      -1,   183,    -1,    -1,   163,    -1,    -1,    -1,   306,    -1,
      -1,    -1,    -1,    -1,   539,    -1,    -1,    -1,    -1,   317,
     318,   319,    -1,    -1,   183,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,   331,    -1,   333,    -1,   219,    -1,    -1,
     222,    52,    -1,    -1,    -1,    56,    57,   515,   516,   517,
     518,   519,    -1,   521,    -1,   148,   524,   150,    -1,    -1,
     219,   154,   155,   222,    -1,    -1,   591,   592,   250,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,   170,   171,   172,
     173,   174,   175,    -1,   177,    -1,    -1,    -1,    -1,    -1,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    -1,
      -1,   434,    -1,    -1,    -1,    -1,    -1,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,    -1,    -1,   219,    -1,    -1,   222,
      -1,    -1,    -1,    -1,   602,    -1,    -1,   148,   297,   150,
      -1,    -1,   235,   154,   155,    -1,   305,   480,    -1,    -1,
      -1,    -1,   163,    -1,    -1,    -1,    21,   601,   602,   170,
     171,   172,   173,   174,   175,    -1,   177,     8,     9,    10,
      11,    12,   183,    -1,    -1,    -1,    -1,    -1,    -1,   512,
      -1,    52,    -1,    54,    -1,    56,    57,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,   292,
      41,    -1,    -1,    -1,    -1,    -1,   539,    -1,   219,   542,
      -1,   222,    -1,    -1,    -1,    -1,   549,    -1,    89,    -1,
      -1,    -1,    -1,    -1,   235,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,   104,
     105,   106,   107,    -1,    -1,    -1,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   596,    -1,    -1,    -1,    -1,   109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,   150,
      -1,   292,    -1,   154,   155,    -1,   157,    -1,   159,    -1,
      -1,    -1,   163,   164,    -1,    -1,   601,    -1,    -1,   170,
     171,   172,   173,    -1,   602,   316,    -1,    -1,    -1,    -1,
      -1,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
      -1,    -1,    -1,    -1,    -1,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,    -1,    -1,   437,   438,   439,   440,   219,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,   540,   541,
     231,    -1,    -1,    -1,   235,    -1,   237,   232,    -1,    -1,
      -1,   242,   465,    -1,    -1,   601,    -1,   470,    -1,    -1,
      -1,    -1,   475,    -1,   543,   544,   545,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,    -1,   101,   102,
     103,   104,   105,   106,   107,    -1,   588,   278,    -1,    -1,
     281,    -1,    -1,    -1,   285,   286,    -1,    -1,    -1,    -1,
     602,    -1,    -1,   294,    -1,    -1,   297,    -1,    -1,   588,
      -1,   302,   303,    -1,   305,   306,    -1,    -1,   309,    -1,
      -1,    -1,    -1,   602,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,    -1,    -1,    -1,   337,    -1,   339,   340,
      -1,   342,   343,    -1,    -1,   346,    -1,    -1,    -1,    -1,
     351,   352,   353,    -1,    -1,    -1,   357,   358,    -1,    94,
      -1,    -1,    -1,    -1,   365,   588,   367,    -1,    -1,   370,
     371,    52,   373,    -1,   375,    56,    57,   378,   379,   602,
      -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,    -1,   396,    -1,    -1,    -1,   232,
      54,    -1,    -1,   404,    -1,    -1,    -1,    61,   549,   550,
      -1,    -1,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,    -1,    -1,    -1,    -1,   160,   161,    -1,   163,    -1,
      -1,    -1,    -1,    -1,    -1,   170,   171,   172,   173,   174,
     175,    -1,   177,    -1,    -1,    56,    57,   588,   183,    -1,
      -1,    -1,   593,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,   602,    -1,    -1,    -1,    -1,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,    56,    57,    -1,   132,    -1,
      -1,    -1,   163,    -1,   219,    -1,    -1,   222,    -1,   170,
     171,   172,   173,   174,   175,    -1,   177,   232,    -1,   153,
      -1,   155,   183,    -1,    -1,    -1,   160,   161,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,    56,    57,
      -1,    -1,    -1,   187,    -1,    -1,    -1,   148,   219,   150,
      -1,   222,    -1,   154,   155,    -1,    -1,    -1,   159,    -1,
      -1,   232,   163,    -1,    -1,    -1,   237,    -1,    -1,   170,
     171,   172,   173,   174,   175,    -1,   177,   148,    -1,   150,
      -1,    -1,   183,   154,   155,    -1,    -1,   231,   159,   233,
      -1,   235,   163,    -1,   238,    -1,    -1,   588,   242,   170,
     171,   172,   173,   174,   175,    -1,   177,    -1,    -1,    -1,
      -1,   602,   183,    -1,    -1,    -1,    -1,    -1,   219,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,    -1,    -1,
      -1,   159,    -1,    -1,    -1,   163,    -1,    -1,   219,   188,
     189,   222,   170,   171,   172,   173,   174,   175,    -1,   177,
      -1,    -1,    -1,    -1,    -1,   183,   237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,
      -1,    -1,    52,    -1,    -1,   329,    56,    57,    -1,    -1,
      -1,   335,    -1,    -1,    -1,    -1,   367,   236,   237,   238,
      -1,   219,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,    -1,    -1,
      -1,    -1,    -1,   367,   368,    -1,    -1,    -1,    -1,    -1,
     374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     279,    -1,   386,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,    -1,    -1,   397,    -1,   294,    -1,   296,   297,    -1,
     404,    -1,    -1,    -1,    -1,    -1,    -1,   306,    -1,    -1,
     309,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    18,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,
     170,   171,   172,   173,   174,   175,    -1,   177,   326,     3,
      -1,    -1,    -1,    -1,     8,     9,    10,    11,    12,    -1,
      -1,    52,    -1,    -1,    -1,    56,    57,    -1,     8,     9,
      10,    -1,   371,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    -1,    41,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      -1,    41,    -1,   588,   465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   602,    -1,    -1,
      -1,   112,   113,    -1,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,    -1,    -1,    -1,
     439,    -1,    -1,   442,   443,   444,   137,   138,    -1,    -1,
      -1,   450,    -1,   514,    -1,    -1,   455,   588,    -1,    -1,
     151,    -1,    -1,    -1,    -1,   156,   465,    -1,    -1,   160,
     161,   602,   471,    -1,   165,    -1,    -1,    -1,    -1,     8,
       9,    10,    11,    12,    -1,    -1,   177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,   602,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   602,    -1,    -1,    -1,    -1,    -1,    -1,
     588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   602
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   609,   610,    79,    80,    81,   139,   155,   183,
     184,   220,   222,   224,   228,   235,   270,   274,   281,   539,
     591,   592,   673,   674,   675,   676,   806,   807,   808,   809,
     811,   812,   813,   820,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   835,   836,   837,   838,
     839,   840,   841,   843,   844,   845,   869,   898,   910,   911,
     912,   913,   945,   946,   947,   991,   992,   993,   994,   995,
     996,   997,   998,  1050,  1051,  1084,  1089,  1118,  1119,  1120,
    1121,  1122,  1123,  1124,  1125,  1126,  1127,     0,     3,    42,
      52,    56,    57,    82,   137,   139,   140,   143,   145,   148,
     150,   151,   152,   155,   170,   171,   172,   173,   174,   175,
     177,   222,   228,   234,   235,   577,   581,   588,   589,   597,
     611,   612,   677,   679,   680,   681,   682,   695,   746,   748,
     749,   750,   751,   752,   753,   758,   772,   773,   785,   786,
     787,   848,   849,   870,   875,   878,   881,   900,   903,   914,
     922,   950,   953,   956,   957,  1000,  1002,  1003,  1008,  1039,
    1042,  1052,  1053,  1069,  1070,  1085,  1088,  1091,  1093,  1094,
    1098,  1107,  1108,  1114,  1130,  1135,  1136,     3,     3,     3,
      14,    16,    17,    18,    19,    20,    21,    25,    26,    35,
      36,    40,    52,    56,    57,    60,   115,   116,   121,   122,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     135,   137,   141,   146,   177,   429,   430,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   598,   604,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     670,   671,   672,   702,   720,   722,   723,   726,   727,   728,
     732,   733,   745,  1096,    21,    25,   156,   819,   842,   846,
      21,   846,   846,   169,   217,   846,     3,    25,   229,   775,
     183,    52,   194,   196,   225,   232,   271,   273,   284,   294,
     315,   434,   512,   589,   137,   166,   168,   192,   194,   196,
     275,   276,   277,   279,   280,   846,   274,    25,   237,   271,
     575,   578,   579,  1128,     3,    21,    22,   615,   282,   615,
     147,   615,   732,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   101,   102,   103,   104,   105,   106,   107,
     217,   232,   683,   598,   598,   149,    21,    25,   643,   166,
     194,   195,   212,   270,   580,   176,   194,   643,   151,   232,
     233,   234,   774,  1097,   183,   643,   409,   515,   590,    16,
     165,   240,   754,   157,   158,   187,   217,   284,   290,   294,
     315,   431,   434,   480,   512,   539,   542,   549,   596,   955,
    1038,    53,   615,   759,   148,   150,   154,   155,   159,   163,
     183,   219,   222,   237,   588,   602,   750,   760,   761,   767,
     789,   601,   852,   759,   759,   759,   759,    52,    54,    56,
      57,    89,   157,   159,   164,   170,   171,   172,   173,   184,
     188,   190,   231,   235,   237,   242,   278,   281,   285,   286,
     294,   297,   302,   303,   305,   306,   309,   333,   337,   339,
     340,   342,   343,   346,   351,   352,   353,   357,   358,   365,
     367,   370,   371,   373,   375,   378,   379,   394,   396,   404,
     602,   760,   860,   861,   925,   936,   944,   759,   759,    51,
      52,   235,   292,   437,   438,   439,   440,   465,   470,   475,
     602,   751,   760,   959,   960,   961,   962,   963,   601,    54,
     153,   160,   161,   165,   178,   187,   291,   602,   760,   762,
     759,   759,   759,   759,   232,   237,   367,   602,   760,   767,
     860,  1074,  1076,   759,   759,   297,   305,   543,   544,   545,
     602,   760,   235,   292,   316,   549,   550,   593,   594,   595,
     602,   760,   767,   860,  1095,  1133,  1134,   759,   759,   159,
     594,   602,   760,  1137,    16,    21,    35,    37,   598,   604,
     606,   719,   721,   745,    38,   619,    38,    18,    19,   620,
     621,   622,   598,   136,    36,   136,   732,    16,   601,   601,
     598,   598,   598,   598,   598,   598,   598,   598,   598,    16,
     598,   598,   117,   118,   119,   120,   708,   732,    16,    17,
      20,    21,   598,   605,   620,   622,   630,   702,   703,   704,
     707,   709,   710,   711,   714,   716,   717,    54,    16,    54,
       3,     8,     9,    10,    11,    12,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    41,    41,    44,
     156,   601,   790,     3,   790,    25,   644,   644,   113,   221,
     846,   113,   221,   846,    44,   156,   601,   793,    16,    21,
     598,   613,   230,   231,     3,     3,   289,    21,    25,   156,
     847,     3,   272,     3,   814,     3,   821,    21,   810,   314,
     168,   196,   279,   325,   159,   279,   464,   477,   478,   810,
     196,   279,     3,   156,   156,   643,   643,   643,   643,   643,
     643,   643,   278,   643,   643,   644,  1090,  1128,     3,  1128,
       3,     3,   515,  1129,    28,   615,   696,   613,   678,   684,
      16,   100,   615,    21,    21,    16,    18,    21,    53,   598,
     747,   597,   790,   790,   790,   613,   232,    44,   156,   179,
     601,  1115,   793,   597,   775,   568,   574,   576,   587,   643,
    1101,   236,  1109,  1110,   613,   614,   614,   615,   615,   601,
     757,  1001,   435,   436,   513,    21,    53,   601,   149,   643,
      43,    44,    45,    46,   613,   616,   790,   788,   164,   643,
     247,   643,   793,   238,   590,   597,   601,   765,   597,   597,
     851,   853,   601,   601,   601,   601,   231,   235,   236,   347,
     597,    25,   349,   350,    52,   381,    52,   381,    52,   381,
      52,   381,   296,   348,   643,   616,   382,   183,   238,   231,
     235,   339,   342,   601,   933,   232,   329,   356,   364,   390,
     336,   235,   616,   923,   408,   597,   613,    18,    19,    21,
     283,   617,   916,   398,   617,   915,   162,   200,   277,   920,
     310,   339,   359,   247,   336,   341,   247,   339,   316,   300,
     354,   355,   354,   150,   616,   366,   316,   316,   372,   370,
      55,   305,   349,   350,   616,   380,   613,   395,   310,   150,
     231,   232,   235,   329,   356,   364,   399,   597,   597,   601,
     865,   601,   942,   597,   601,   601,   476,   183,   388,   747,
     616,   148,   613,   616,   149,   616,   381,   958,   765,   597,
     601,   479,   613,   113,   137,   138,   156,   162,   179,   185,
     692,   769,   113,   179,   769,    21,   768,   179,   220,   165,
     597,   597,   601,   601,   601,   601,    20,    21,   633,   637,
     238,   165,   597,   597,   597,    88,   344,   362,   369,   534,
     535,   536,   537,   538,  1071,  1072,   601,  1082,   601,   601,
     322,   300,   300,   219,   390,   546,   597,   183,   376,   613,
     165,   296,   616,   247,   156,   616,  1131,   597,   597,   601,
     601,  1138,  1142,   247,   597,     7,   721,   721,   721,   732,
      18,    19,   605,   714,   721,   721,    15,    16,    16,   724,
     725,   732,    35,    36,   136,    36,   667,   667,   768,   768,
     732,   732,   732,   732,   732,   732,   732,   768,   768,    16,
     600,   599,   600,    37,   706,   708,   732,    35,    36,   601,
       7,   600,   605,   600,   605,    16,    53,    16,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   729,    52,    56,    57,   170,   171,
     172,   173,   174,   175,   177,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   818,   167,   168,   169,
     192,   193,   196,   791,   792,     3,     3,   846,   846,   227,
     834,   846,   846,     3,   167,   223,   794,   795,     3,   732,
      25,    48,    49,    48,    49,   868,   847,     3,     3,     3,
     112,   113,   137,   151,   156,   160,   161,   165,   186,   209,
     210,   211,   213,   214,   215,   637,   692,   817,     3,    21,
      82,   137,   151,   152,   165,     3,   899,   810,   810,   810,
     810,   810,   810,   999,   156,   810,   156,   810,     3,   810,
     810,     3,   643,     3,     3,     3,     3,     3,     3,     3,
     643,     3,     3,     3,     3,   137,   165,   191,   692,     3,
    1129,   613,     3,   732,   598,   686,   613,   687,   689,   694,
     123,   177,   243,   252,   266,   267,   268,   269,   417,   511,
     608,   683,   597,   600,   600,   782,   783,   732,   597,   790,
     614,   192,   276,   582,   583,   584,   585,   586,  1116,  1117,
     597,   597,   390,  1099,    18,    19,    21,    25,   598,   645,
    1102,   643,   613,  1100,   156,   601,  1104,   613,   597,   601,
      47,    48,    49,  1112,   756,   759,    21,   747,   776,   779,
     780,   614,   616,   615,   764,   766,    77,   602,   850,   854,
     855,   874,   880,   902,   382,   183,   247,   247,   597,   613,
     613,   616,    89,   418,   597,   597,   235,   383,   247,   377,
     616,   616,   382,   183,   247,   247,   934,   597,   245,   223,
     616,   232,   391,   643,   247,   597,   597,   601,   805,   409,
     597,    21,   630,   636,    39,   618,    50,    55,   387,   388,
     597,   291,   400,   401,   402,   403,   921,   618,    50,    55,
     597,   597,   616,   247,   616,   613,   247,   247,   613,   247,
     616,   617,   616,   149,   616,   616,   597,   616,   616,   616,
     616,   616,   389,    55,   616,   616,   597,   616,   597,    55,
     616,   616,   382,   245,   183,   223,   616,   232,   616,   864,
     866,   867,   941,   943,   952,   616,   247,   377,   616,   616,
     616,   179,   613,   766,   964,   613,   637,    21,   690,   691,
     693,    44,   613,   771,   186,   637,   771,   771,   616,   768,
    1007,  1041,  1054,  1075,   616,   768,    25,   617,   617,  1077,
      52,   127,   294,   304,   497,  1071,  1083,   597,  1087,   179,
     617,  1092,   643,   643,   113,   616,   616,   613,   322,   613,
     780,   781,   613,    16,   599,   721,   605,   600,   599,   136,
      36,   668,   669,   599,   600,   600,   599,   600,   600,   600,
     600,   599,   599,   599,   599,   732,   732,   600,     7,   600,
     600,   599,    16,   598,   704,   711,   716,    55,    19,    55,
      21,    23,    24,   727,   730,   600,   602,   834,   834,   732,
       3,     3,     3,   600,   602,   599,     3,    21,   284,   285,
       3,    18,    19,    20,    21,   620,   622,   623,   624,   625,
     815,   816,   637,   690,    21,   165,   165,    21,   156,    21,
     819,     3,    21,   156,   157,   159,   170,   171,   300,   302,
     304,   644,   644,   644,   644,   644,   644,     3,    21,    66,
     148,   238,   345,   406,   437,   469,   810,   644,   810,   644,
     644,   644,     3,     3,   690,    25,   768,   643,     3,   597,
     599,   685,    13,   688,   597,   601,   683,   615,   643,    21,
     780,   597,   599,   600,   602,   643,   732,    50,  1103,   613,
     643,    89,   155,   409,   526,   569,   570,   571,   572,   573,
    1105,  1106,   597,   597,  1111,   601,   155,   161,   232,   239,
     240,   241,   244,   248,   588,   602,   755,    36,   778,   600,
     597,   155,   160,   602,   762,   763,   283,   597,   601,   858,
     288,   291,   292,   602,   760,   762,   871,    87,   159,   301,
     302,   303,   309,   311,   602,   760,   879,   159,   326,   602,
     760,   767,   901,   383,   247,   613,   613,   597,   597,   597,
     616,   601,   616,   917,   183,   247,   613,   597,   597,   597,
     383,   247,   613,   613,   932,   935,   616,   616,   597,   245,
     613,   597,   613,     5,   896,   924,   613,   916,   615,   916,
     613,   613,   597,   915,   613,   613,   597,   613,   597,   597,
     613,   613,   597,   613,   597,   597,   597,   747,   597,   597,
     597,   597,   597,   597,   597,   616,   597,   613,   597,   597,
     597,   616,   597,   597,   235,   616,   616,   616,   597,   245,
     597,    77,   282,   602,   763,   863,   766,    54,    61,   132,
     160,   161,   231,   233,   235,   238,   242,   329,   335,   360,
     367,   368,   374,   386,   392,   397,   404,   602,   763,   940,
      94,   160,   161,   232,   602,   750,   760,   860,   948,   949,
     951,   613,   613,   159,   164,   272,   388,   439,   456,   458,
     462,   466,   467,   602,   965,   972,   975,   597,   769,   689,
     732,   180,   770,   616,   769,   597,    93,   159,   499,   500,
     502,   507,   508,   602,   760,   767,  1004,   159,   465,   514,
     602,   760,   767,  1040,    50,    54,   242,   245,   305,   341,
     363,   526,   531,   533,   602,   760,   767,  1055,  1057,    52,
    1073,   597,   597,   618,    52,    16,  1078,  1079,    16,   639,
     640,   613,   616,    25,   616,  1081,   137,   165,   250,   540,
     541,   602,   692,   760,  1086,   613,   597,    50,    92,   597,
     597,   597,   547,   548,   179,  1132,   613,   601,  1141,   721,
     721,   732,    36,    36,   665,   666,   732,   732,   732,   732,
     732,   732,   600,   599,   600,    37,   706,   732,   706,    37,
     706,   706,   600,   732,    16,    38,    16,   731,   792,     3,
       3,   795,    53,    18,    19,    21,   819,   819,   643,    18,
      19,    21,   620,   622,   638,   643,     3,     3,     3,     3,
       3,     3,    16,   747,   747,   747,   644,     3,   644,     3,
       3,     3,   683,   683,   697,    83,    84,    85,    86,    87,
      88,    89,   108,   111,   112,   142,   144,   601,   683,   698,
     699,   700,   701,   726,   734,   735,   737,   745,   615,   597,
     599,   600,  1117,   599,    16,   600,   602,   224,   435,   602,
      54,   164,   242,   583,   589,  1113,   790,   246,   245,   249,
     616,   616,   246,   249,   250,   590,   597,    25,   644,   777,
     779,   790,   597,   284,   285,   615,   857,   859,    43,   165,
     293,   597,   883,   884,   888,   588,   884,   889,   617,   893,
     310,   312,   597,   904,   909,   148,   597,   247,   613,   600,
     597,   597,    93,   221,   291,   418,   420,   422,   425,   918,
     919,   597,   377,   616,   613,   597,   247,   613,   597,   597,
     189,   602,   926,   931,   597,   597,   616,   597,   597,   602,
     895,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   183,   597,   597,   597,   616,   283,
     287,    21,   597,   231,   324,   376,   165,   165,   246,   382,
     165,   183,   305,   231,    61,   613,   361,   165,   157,   369,
     616,   616,   393,   616,   616,   132,   329,   597,    20,   432,
     432,   432,   433,   765,   597,   984,   990,   335,   441,   466,
     616,   967,   335,   616,   966,   238,   636,   968,   969,   468,
     616,   597,   470,   985,   597,   181,   182,   183,   184,    21,
     622,   635,  1018,  1023,  1009,  1017,  1005,  1006,   635,   168,
     509,   597,  1043,  1049,   616,   613,   597,   613,   518,   518,
     185,  1056,   300,  1056,    54,   645,  1058,    68,   530,  1059,
    1056,   597,   613,   640,   600,    38,   602,   737,  1080,   690,
      25,   768,   613,   643,   132,   597,   597,   613,   617,   616,
     616,   613,  1140,    36,    50,    58,    59,    60,    61,    63,
      64,    65,    68,    70,    71,    76,    77,   602,   651,   652,
     653,   654,   655,   663,   602,   652,   653,   654,   655,   664,
     600,   600,   599,   599,   599,   599,   732,   732,   599,   600,
       7,   599,   600,   599,   600,     7,   599,   600,   600,    16,
      16,   598,    19,     3,     3,   615,   694,   724,   724,   598,
     732,   732,   732,   740,   598,   598,   738,   615,   602,   700,
     597,   724,    28,    41,   597,    16,  1106,   597,   280,   597,
     247,   580,   616,   247,   247,   613,   602,   247,   161,   613,
     247,   613,   614,   615,   638,    70,   286,   602,   856,   872,
     768,   873,   157,   170,   171,   302,   882,   781,   590,   601,
     887,    39,   304,   890,   616,   313,   781,   149,   613,   597,
     613,   179,   428,   424,   134,   421,   423,   426,   427,   600,
     602,   597,   597,   597,   613,   597,   601,   597,   597,   188,
     189,   190,   218,   235,   242,   295,   298,   299,   306,   602,
     796,   797,   799,   800,   801,   894,   616,   597,    21,   284,
     285,    93,   163,   284,   288,   862,   382,   185,   300,   337,
     345,   296,   297,   616,   616,   616,   247,   235,   383,   768,
     616,    61,   382,   324,   345,   362,   363,   939,   768,   376,
      61,   598,   604,   709,   954,   954,   954,    20,   766,   780,
     986,   613,   613,   616,   601,   613,   601,   747,   601,   613,
     613,   601,   601,  1022,   781,   601,   617,  1024,  1029,    25,
     601,  1030,  1035,   616,    66,   781,   179,   613,   613,   613,
     617,   613,    70,  1057,  1060,  1065,   613,  1078,    16,   346,
     597,   597,   414,   602,  1139,    36,    62,    66,    67,    69,
       8,     9,    10,    28,    29,    30,   115,   116,   613,   649,
     656,   657,   658,    40,   659,   660,   660,   662,    21,   620,
     634,   597,   656,   659,   662,   635,   597,   732,   732,   599,
     599,    37,   706,    37,   706,    37,   706,     7,    37,   706,
      37,   706,   602,   725,   597,   599,   597,   597,    21,   597,
     109,   601,    21,   683,   736,   744,   744,   698,    28,   597,
     597,   732,   743,   599,   597,   614,   614,   597,   614,   614,
     597,   614,   642,   246,   613,   642,   613,   613,   597,   598,
     745,   876,   877,   694,   887,   615,   895,   885,   615,   643,
     305,   891,   296,   601,   908,   616,   597,   597,   419,   275,
     919,   597,   929,   616,   601,   296,   297,   297,   614,   613,
     162,   198,   307,   308,   886,   897,    25,    26,   598,   647,
     648,   733,   745,   601,   804,   597,   597,   383,   384,   385,
     616,   937,   617,   406,   937,   642,   183,   247,   324,   383,
     616,   616,   324,   709,   713,   987,   601,   989,   977,   977,
     970,   973,  1021,  1020,   601,  1016,  1025,  1031,   613,   601,
    1048,   613,   616,   601,  1061,   601,   616,   617,   597,     7,
     613,    11,    12,   650,   600,    12,   600,   650,   613,    72,
      73,    74,    75,   661,   600,   650,    78,   599,   599,   599,
     599,   599,   600,     7,   599,   599,   599,   600,   598,   599,
       7,   599,   599,     7,   599,   599,   599,   737,   718,   615,
     113,   732,   745,   739,   732,   597,   730,   597,   597,   597,
     597,   614,   247,   732,   600,   885,   602,   617,   302,   892,
     616,   907,   905,   149,   197,   333,   407,   412,   413,   414,
     602,   927,   798,   799,   298,   298,   298,   200,   201,   198,
     732,    53,    87,   149,   191,   197,   216,   802,   247,   616,
     613,   146,   247,   616,   600,   605,   985,   988,   602,   636,
     978,   979,   602,   272,   335,   457,   602,   971,   236,   306,
     318,   442,   443,   444,   602,   796,   974,   414,   493,   496,
     497,   498,   602,  1019,  1015,  1014,  1028,  1034,   510,  1047,
    1044,  1062,  1064,  1066,   613,   658,   649,   657,   660,   660,
      38,   660,   660,    16,    37,   706,    37,   706,   706,     7,
     706,   597,   110,     6,   602,   703,   705,   707,   709,   710,
     712,   715,   741,   744,   744,   602,   597,   597,   642,   599,
     877,   616,    50,    61,    66,   179,   237,   296,   297,   306,
     317,   318,   319,   329,   331,   333,   602,   796,   906,   613,
     198,   199,   205,   206,   207,   208,   415,   803,   928,   149,
     149,   647,   597,   597,   930,   602,   597,   614,   614,   614,
     200,   201,   599,    25,   641,    53,   191,   613,   641,   803,
      53,   191,   602,   613,   338,   410,   411,   938,   613,   709,
      66,   236,   237,   238,   279,   294,   296,   297,   306,   309,
     318,   323,   335,   371,   439,   442,   443,   444,   450,   455,
     465,   471,   602,   796,   976,   457,   463,   980,   616,   613,
     616,   597,   613,   162,   307,   453,   613,   613,   336,   211,
     613,   597,   495,   495,   616,   616,   616,   597,    54,    93,
     164,   232,   238,   242,   482,   484,   485,   489,   490,   492,
     499,   500,   508,   602,  1010,   495,   501,   602,  1026,   282,
     495,   602,  1032,    26,   646,   648,    50,   190,   237,   294,
     296,   297,   300,   306,   316,   319,   371,   442,   465,   515,
     516,   517,   518,   519,   521,   524,   602,   796,  1045,   188,
     306,   602,  1063,   526,   527,   532,   602,  1067,   613,   613,
     613,   613,   661,   661,   599,   599,   599,   600,   599,   598,
     599,   737,   737,     7,   600,   603,   732,   599,   600,   613,
     324,   320,   321,   330,   613,   238,   322,    70,    71,   226,
     323,   784,   162,   327,   613,   298,   298,    61,    54,   242,
     332,   335,   334,   597,   597,   200,   201,   202,   203,   204,
     200,   201,   202,   203,   204,   416,   597,   613,   613,   597,
     798,   597,   641,   641,   597,   597,   597,   641,   641,   804,
     445,   446,   447,   448,   449,   450,   451,   452,   613,   238,
     473,   601,   616,   322,    70,   323,   784,   162,   307,   453,
     447,   613,   613,   613,   372,   616,   613,   336,   211,   613,
     300,   472,   613,   127,   445,   597,   613,   597,   613,   613,
     613,   613,   481,   487,  1023,   153,   495,   153,   487,   495,
     488,   336,   481,   481,   616,   486,   247,   491,   324,   305,
    1011,   305,  1012,   509,   597,   494,   613,  1036,  1024,  1027,
     597,  1030,  1036,  1033,   597,   613,   616,   238,   311,   616,
     322,    70,   323,   784,   617,   162,   200,   453,   523,  1046,
     613,   247,   372,   247,   127,   247,   247,   381,   445,   459,
     613,   520,   522,   525,   597,   643,   162,   200,   597,   529,
     528,   643,  1068,   597,    38,    38,   706,   706,   705,   712,
     737,   742,   597,   732,   170,   171,   337,   616,   613,   613,
     613,   613,   613,   328,   614,   614,   324,   614,   614,   613,
     613,   616,   597,   597,   802,   597,   597,   802,   802,   802,
     597,   597,   616,   474,   981,   460,   461,   613,   613,   613,
     616,   297,   616,   613,   613,   616,   616,   613,   616,   503,
    1037,  1037,   298,   247,   504,   505,   506,  1013,   613,  1013,
     247,   613,   613,   613,   298,   483,   616,   613,   613,   179,
     616,  1029,   616,  1035,    66,   305,   613,   616,   616,   613,
     613,   613,   613,   297,   616,   614,   613,   613,   613,   616,
     616,   616,   616,   189,   189,   613,   613,   599,   600,   114,
     599,   617,   617,   171,   338,   616,   802,   802,   802,   802,
     616,   602,   617,   983,   459,   616,   613,   613,  1037,   613,
    1037,   613,   616,   613,   613,   616,   459,   643,   643,   706,
     737,   597,   454,   982,   510,   600,   597,   646,   706,   599
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   607,   608,   608,   608,   608,   608,   608,   608,   608,
     608,   608,   609,   609,   610,   610,   611,   611,   612,   613,
     613,   613,   614,   614,   614,   615,   615,   616,   616,   616,
     616,   616,   616,   617,   617,   617,   618,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     630,   631,   631,   632,   632,   633,   633,   633,   633,   633,
     633,   633,   634,   634,   635,   635,   636,   636,   637,   637,
     638,   638,   638,   638,   638,   639,   640,   640,   641,   642,
     643,   643,   644,   644,   645,   645,   645,   645,   645,   646,
     646,   647,   647,   647,   648,   648,   648,   649,   649,   649,
     649,   649,   649,   649,   649,   650,   650,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   652,   653,   654,
     655,   655,   656,   656,   656,   656,   657,   657,   658,   658,
     659,   659,   659,   660,   660,   661,   661,   661,   661,   662,
     662,   662,   663,   663,   663,   663,   664,   664,   664,   664,
     664,   665,   665,   666,   666,   667,   668,   669,   670,   671,
     672,   672,   673,   674,   673,   675,   673,   676,   611,   611,
     678,   677,   611,   679,   611,   680,   611,   681,   611,   682,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   683,   683,   684,   683,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   690,
     691,   690,   693,   692,   694,   611,   696,   697,   695,   698,
     698,   699,   699,   700,   701,   701,   702,   702,   703,   703,
     703,   703,   703,   704,   704,   705,   706,   707,   707,   707,
     707,   707,   707,   707,   707,   707,   707,   708,   708,   708,
     708,   709,   709,   709,   710,   710,   710,   710,   710,   710,
     710,   710,   711,   711,   711,   711,   711,   712,   712,   712,
     712,   712,   713,   713,   714,   714,   715,   715,   716,   716,
     716,   716,   717,   717,   718,   718,   718,   719,   719,   720,
     721,   721,   721,   721,   721,   721,   721,   721,   721,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   723,   723,   723,   723,   724,   724,   724,   725,   726,
     727,   727,   727,   727,   727,   727,   727,   727,   729,   728,
     730,   731,   730,   730,   730,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   733,   734,   734,   734,   735,   735,   736,   736,
     738,   739,   737,   737,   737,   740,   741,   742,   737,   737,
     737,   737,   737,   737,   737,   737,   737,   743,   737,   737,
     737,   744,   745,   745,   611,   746,   746,   747,   747,   747,
     747,   611,   748,   611,   749,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   751,   751,   611,   752,   753,
     754,   754,   755,   755,   755,   755,   755,   755,   755,   755,
     755,   755,   756,   756,   757,   757,   611,   758,   758,   759,
     759,   759,   759,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   761,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   763,   763,   764,   764,   765,
     765,   766,   767,   768,   769,   769,   769,   769,   770,   770,
     770,   770,   770,   771,   771,   611,   772,   772,   772,   772,
     772,   611,   773,   774,   774,   774,   774,   775,   775,   775,
     775,   775,   775,   775,   775,   776,   777,   777,   778,   778,
     779,   780,   780,   781,   782,   783,   784,   784,   785,   786,
     787,   787,   787,   787,   787,   788,   789,   790,   790,   790,
     791,   791,   792,   792,   792,   792,   792,   792,   793,   793,
     793,   794,   794,   795,   795,   796,   797,   797,   798,   798,
     799,   799,   800,   800,   801,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   803,   803,   803,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   804,   805,
     673,   806,   673,   807,   673,   808,   673,   809,   810,   810,
     673,   811,   673,   812,   673,   813,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   815,   815,   815,   815,   815,   815,
     815,   815,   816,   816,   816,   816,   817,   817,   817,   817,
     818,   818,   818,   818,   818,   818,   818,   818,   818,   818,
     818,   818,   818,   818,   818,   818,   818,   818,   818,   818,
     818,   819,   673,   820,   821,   821,   821,   821,   821,   821,
     821,   673,   822,   673,   823,   673,   824,   673,   825,   673,
     826,   673,   827,   673,   828,   673,   829,   673,   830,   673,
     831,   673,   832,   673,   833,   834,   834,   673,   835,   673,
     836,   673,   837,   673,   838,   673,   839,   673,   840,   673,
     841,   842,   842,   673,   843,   673,   844,   673,   845,   846,
     846,   846,   847,   847,   847,   611,   848,   849,   850,   851,
     851,   852,   852,   853,   854,   855,   855,   855,   856,   856,
     857,   857,   858,   858,   859,   860,   861,   862,   862,   862,
     862,   863,   863,   863,   863,   863,   863,   864,   864,   865,
     865,   867,   866,   868,   868,   868,   868,   673,   869,   785,
     870,   871,   871,   871,   872,   871,   873,   871,   874,   874,
     875,   876,   876,   877,   877,   785,   878,   879,   879,   879,
     879,   879,   879,   879,   879,   880,   880,   881,   882,   882,
     882,   882,   883,   883,   884,   885,   886,   886,   886,   886,
     886,   886,   887,   887,   888,   889,   890,   890,   890,   891,
     891,   892,   892,   893,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   895,   895,   896,   897,   805,   673,   898,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     785,   900,   901,   901,   901,   901,   902,   902,   903,   904,
     905,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   907,
     907,   908,   908,   909,   673,   910,   673,   911,   673,   912,
     673,   913,   785,   914,   915,   915,   915,   916,   916,   916,
     916,   916,   917,   917,   918,   918,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   920,   920,   920,   921,   921,
     921,   921,   921,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   923,   924,   922,   922,   922,   922,
     922,   922,   925,   925,   925,   925,   925,   925,   925,   925,
     925,   925,   925,   925,   926,   927,   927,   927,   927,   927,
     927,   927,   928,   928,   929,   929,   930,   931,   932,   932,
     934,   933,   935,   936,   937,   937,   937,   938,   938,   938,
     939,   939,   939,   940,   940,   940,   940,   940,   940,   940,
     940,   940,   940,   940,   940,   940,   940,   940,   940,   940,
     940,   940,   940,   940,   940,   940,   940,   940,   940,   940,
     940,   940,   940,   940,   941,   941,   942,   942,   943,   944,
     680,   673,   945,   673,   946,   673,   947,   732,   732,   785,
     948,   949,   950,   951,   951,   951,   951,   951,   951,   951,
     951,   952,   952,   953,   954,   954,   785,   955,   955,   955,
     956,   957,   957,   958,   958,   959,   960,   961,   961,   961,
     961,   961,   961,   961,   961,   961,   961,   961,   961,   961,
     961,   961,   962,   963,   964,   964,   965,   965,   965,   965,
     965,   965,   965,   965,   965,   966,   965,   967,   965,   965,
     965,   965,   968,   968,   969,   970,   970,   971,   971,   971,
     972,   972,   973,   973,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   975,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   977,   977,   978,   979,   980,
     980,   980,   981,   981,   982,   982,   983,   984,   985,   985,
     987,   986,   988,   988,   989,   989,   990,   673,   991,   673,
     992,   673,   993,   673,   994,   673,   995,   673,   996,   673,
     997,   673,   998,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   785,  1001,  1000,  1002,  1002,  1002,  1002,  1002,
    1002,   785,  1003,  1004,  1004,  1004,  1004,  1005,  1004,  1006,
    1004,  1004,  1004,  1004,  1007,  1007,  1008,  1009,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1011,  1010,  1012,  1010,  1010,
    1010,  1010,  1010,  1013,  1013,  1013,  1014,  1015,  1015,  1016,
    1016,  1017,  1018,  1019,  1019,  1019,  1019,  1019,  1020,  1021,
    1021,  1022,  1022,  1023,  1024,  1025,  1026,  1026,  1026,  1027,
    1028,  1028,  1029,  1029,  1030,  1031,  1032,  1032,  1032,  1033,
    1034,  1034,  1035,  1035,  1036,  1036,  1037,  1037,   785,  1038,
    1038,  1039,  1040,  1040,  1040,  1040,  1040,  1040,  1041,  1041,
    1042,  1043,  1044,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1046,  1046,  1046,  1046,  1047,  1047,  1048,  1048,  1049,   673,
    1050,   673,  1051,   785,  1052,  1053,  1054,  1054,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1056,  1056,  1057,  1058,  1059,  1059,  1060,  1061,  1061,
    1062,  1062,  1063,  1063,  1063,  1064,  1065,  1066,  1066,  1067,
    1067,  1067,  1068,   785,  1069,  1070,  1070,  1070,  1070,  1070,
    1070,  1070,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1072,
    1072,  1073,  1073,  1075,  1074,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1077,  1076,  1076,  1078,  1079,  1079,
    1080,  1081,  1081,  1082,  1083,  1082,   673,  1084,   785,  1085,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1087,  1087,
    1088,   673,  1089,  1090,  1090,  1090,  1090,  1090,  1090,   785,
    1091,  1092,  1092,  1092,  1093,  1093,  1093,  1093,  1093,  1093,
    1093,  1093,  1093,  1094,  1095,  1095,  1095,  1096,  1096,  1096,
    1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,  1096,
    1096,  1096,  1096,  1096,   745,   611,  1097,  1098,  1099,  1099,
    1100,  1100,  1101,  1101,  1101,  1101,  1101,  1102,  1103,  1103,
    1104,  1104,  1105,  1105,  1106,  1106,  1106,  1106,  1106,  1106,
    1106,  1106,  1106,   611,  1107,  1107,   611,  1108,  1109,  1109,
    1110,  1111,  1111,  1111,   611,  1112,   611,  1113,  1113,  1113,
    1113,  1113,  1113,   611,  1114,  1114,  1114,  1114,  1115,  1115,
    1115,  1116,  1116,  1117,  1117,  1117,  1117,  1117,  1117,  1117,
     673,  1118,   673,  1119,   673,  1120,   673,  1121,   673,  1122,
     673,  1123,   673,  1124,   673,  1125,   673,  1126,   673,  1127,
    1128,  1128,  1129,  1129,  1129,   785,  1130,  1094,  1094,  1131,
    1131,  1132,  1132,  1133,  1133,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,   785,  1135,  1136,  1136,  1137,  1137,  1137,  1138,
    1139,  1140,  1140,  1141,  1141,  1142
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       2,     2,     6,     2,     2,     5,     5,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     4,     1,     3,     1,     3,     1,     3,
       4,     6,     6,     0,     1,     1,     1,     1,     1,     2,
       4,     4,     2,     2,     2,     2,     2,     4,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     2,     1,     2,     1,     2,     5,     1,
       0,     4,     1,     2,     1,     4,     1,     6,     1,     8,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     3,
       0,     4,     2,     5,     0,     4,     0,     2,     1,     1,
       0,     2,     0,     3,     4,     1,     0,     0,     7,     0,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     5,     7,     5,
       7,     9,     7,     5,     7,     5,    11,     1,     1,     2,
       1,     7,     9,     7,     7,     9,     7,     9,     7,     9,
       7,    15,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     2,
       2,     6,     1,     3,     0,     4,     3,     1,     3,     3,
       2,     4,     3,     4,     2,     2,     2,     2,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       1,     5,     7,     7,     1,     0,     1,     3,     1,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     4,
       1,     0,     5,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     4,     1,     1,     1,     1,     3,     3,
       5,     7,     6,     6,     6,     6,     4,     8,     8,     4,
       1,     1,     4,     1,     1,     1,     5,     3,     2,     1,
       0,     0,     5,     4,     6,     0,     0,     0,     9,     4,
       3,     5,     3,     3,     3,     2,     5,     0,     5,     7,
       9,     0,     1,     1,     1,     4,     5,     1,     3,     1,
       1,     1,     3,     1,     5,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       0,     1,     2,     2,     2,     3,     3,     4,     4,     6,
       4,     3,     0,     3,     0,     3,     1,     1,     1,     0,
       1,     2,     3,     0,     2,     3,     2,     2,     3,     2,
       2,     2,     2,     3,     1,     2,     2,     4,     2,     3,
       3,     3,     2,     4,     3,     1,     2,     0,     3,     0,
       3,     0,     3,     1,     2,     1,     1,     1,     0,     2,
       2,     2,     2,     2,     1,     1,     3,     3,     3,     3,
       4,     1,     4,     1,     1,     1,     1,     1,     3,     2,
       3,     3,     2,     3,     3,     0,     1,     2,     0,     1,
       3,     1,     3,     1,     0,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     5,     0,     3,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     0,     3,
       5,     2,     1,     1,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     0,     3,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     3,     4,     4,     3,     2,     2,     2,     2,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     4,     1,     4,     1,     5,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     5,     1,     3,     2,     0,     1,     4,     1,
       4,     1,     4,     1,     5,     1,     6,     1,     6,     1,
       3,     2,     2,     1,     4,     1,     2,     1,     3,     1,
       1,     1,     1,     0,     1,     1,     3,     3,     1,     0,
       3,     0,     3,     0,     3,     3,     3,     3,     2,     2,
       0,     3,     0,     3,     0,     3,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     3,     3,     0,     3,     0,
       3,     0,     2,     0,     2,     2,     2,     1,     5,     1,
       2,     1,     1,     3,     0,     4,     0,     4,     0,     3,
       5,     1,     3,     3,     1,     1,     2,     1,     4,     2,
       2,     2,     2,     3,     5,     0,     3,     5,     1,     1,
       1,     1,     0,     2,     0,     0,     1,     1,     2,     2,
       3,     3,     0,     3,     4,     3,     0,     2,     2,     0,
       2,     0,     2,     4,     2,     4,     4,     4,     2,     2,
       1,     2,     1,     0,     3,     0,     0,     5,     1,     5,
       0,     2,     3,     3,     3,     2,     2,     2,     2,     2,
       1,     2,     1,     1,     2,     4,     0,     3,     5,     0,
       0,     0,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     3,     4,     4,     4,     4,     4,
       2,     2,     3,     3,     3,     3,     3,     3,     1,     0,
       3,     0,     3,     4,     1,     6,     1,     6,     1,     6,
       1,     6,     2,     2,     0,     3,     3,     0,     3,     3,
       2,     2,     1,     3,     1,     3,     1,     3,     2,     2,
       2,     2,     2,     2,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     4,     6,     4,
       6,     6,     4,     6,     5,     5,     4,     5,     5,     6,
       6,     3,     3,     4,     5,     6,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     6,     6,     6,     5,
       6,     6,     6,     8,     6,     6,     6,     7,     5,     6,
       5,     6,     7,     5,     6,     5,     6,     8,     4,     4,
       5,     4,     4,     4,     5,     5,     6,     5,     5,     6,
       5,     5,     6,     7,     7,     7,     7,     7,     8,     8,
       5,     5,     4,     4,     0,     0,     6,     6,     5,     5,
       5,     6,     1,     1,     2,     2,     2,     2,     2,     2,
       2,     2,     1,     1,     1,     3,     4,     4,     3,     3,
       2,     2,     1,     2,     0,     2,     0,     5,     0,     3,
       0,     4,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     4,     4,     4,     6,     2,
       3,     2,     2,     2,     2,     3,     5,     5,     6,     6,
       4,     5,     3,     3,     3,     4,     3,     3,     4,     2,
       2,     2,     3,     3,     0,     3,     0,     3,     0,     3,
       6,     1,     4,     1,     5,     1,     5,     4,     4,     1,
       1,     3,     2,     1,     1,     1,     2,     3,     3,     3,
       3,     0,     3,     5,     1,     3,     2,     1,     2,     2,
       2,     3,     3,     0,     1,     2,     3,     1,     1,     2,
       2,     3,     3,     3,     3,     4,     2,     4,     3,     2,
       3,     1,     2,     4,     0,     3,     2,     1,     2,     3,
       3,     3,     3,     2,     3,     0,     5,     0,     5,     2,
       2,     1,     4,     1,     1,     0,     3,     2,     2,     2,
       5,     2,     0,     3,     0,     2,     2,     3,     2,     2,
       3,     2,     2,     2,     1,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     2,     3,     2,     3,     3,
       4,     4,     2,     2,     2,     3,     3,     3,     2,     3,
       3,     3,     4,     2,     1,     0,     2,     3,     1,     0,
       1,     2,     0,     2,     0,     1,     3,     0,     0,     2,
       0,     3,     0,     3,     0,     3,     3,     1,     4,     1,
       6,     1,     6,     1,     6,     1,     7,     1,     6,     1,
       7,     1,     5,     0,     2,     3,     2,     3,     3,     2,
       3,     2,     2,     0,     4,     2,     3,     3,     6,     5,
       5,     1,     2,     1,     1,     2,     2,     0,     3,     0,
       3,     6,     2,     3,     0,     3,     5,     0,     4,     4,
       3,     4,     2,     3,     3,     3,     3,     4,     4,     4,
       3,     3,     4,     4,     2,     0,     3,     0,     3,     6,
       3,     3,     4,     1,     1,     1,     0,     0,     3,     0,
       3,     4,     1,     2,     2,     2,     4,     4,     0,     0,
       3,     0,     3,     3,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     2,     0,     2,     1,     1,
       2,     2,     1,     1,     2,     4,     2,     2,     0,     3,
       5,     0,     0,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     3,     3,     4,     3,     2,     2,     1,
       1,     1,     1,     1,     0,     3,     0,     3,     4,     1,
       6,     1,     6,     1,     2,     5,     0,     3,     1,     1,
       2,     3,     1,     3,     2,     3,     3,     3,     4,     3,
       3,     0,     1,     2,     1,     4,     6,     0,     0,     3,
       0,     3,     2,     2,     2,     0,     0,     0,     3,     4,
       4,     2,     0,     2,     2,     3,     3,     3,     3,     5,
       5,     4,     3,     2,     3,     3,     3,     3,     3,     1,
       2,     0,     2,     0,     4,     2,     3,     5,     1,     2,
       2,     2,     2,     2,     0,     4,     2,     1,     1,     3,
       1,     0,     2,     0,     0,     4,     1,     4,     1,     2,
       1,     2,     2,     2,     1,     2,     2,     4,     0,     3,
       5,     1,     4,     0,     3,     3,     3,     2,     3,     2,
       2,     0,     3,     3,     3,     3,     5,     5,     5,     5,
       7,     7,     6,     3,     3,     2,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     2,     0,
       0,     2,     2,     3,     2,     1,     3,     1,     0,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     3,     1,     3,     5,     2,
       0,     0,     3,     4,     2,     0,     7,     4,     4,     4,
       3,     4,     3,     1,     3,     4,     3,     3,     1,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     5,     1,     3,     1,     3,     1,     3,
       1,     4,     1,     2,     1,     3,     1,     3,     1,     4,
       0,     1,     0,     1,     2,     2,     2,     3,     3,     1,
       1,     0,     2,     1,     1,     1,     1,     2,     3,     2,
       3,     4,     2,     2,     3,     3,     1,     2,     3,     0,
       2,     0,     3,     0,     3,     3
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_NET_TYPE; }
#line 6255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RTS; }
#line 6261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 4:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_SCOPE; }
#line 6267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 5:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RTD; }
#line 6273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 6:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_ROA; }
#line 6279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 7:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_ASPA; }
#line 6285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_AF; }
#line 6291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 9:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_MPLS_POLICY; }
#line 6297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_BGP_ORIGIN; }
#line 6303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 57 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RA_PREFERENCE; }
#line 6309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 156 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 6315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 157 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 6321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 173 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 6330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 181 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 6336 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 182 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 6344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 188 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 6350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 189 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 6356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 190 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 6362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 198 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 6368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 199 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 6374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 200 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 6380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 201 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 202 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 6392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 203 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 6398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 33:
#line 210 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 34:
#line 211 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 35:
#line 212 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 36:
#line 219 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 6425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 37:
#line 220 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 38:
#line 227 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 39:
#line 234 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 40:
#line 244 "conf/confbase.Y" /* yacc.c:1646  */
    {
  this_sadr_from_hack_active = cf_maybe_exit_filters();
  (yyval.a) = (yyvsp[-1].ip6);
}
#line 6462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 41:
#line 250 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if (this_sadr_from_hack_active)
  {
    cf_enter_filters();
    this_sadr_from_hack_active = 0;
  }

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-1].a), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 42:
#line 269 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if (this_sadr_from_hack_active)
  {
    cf_enter_filters();
    this_sadr_from_hack_active = 0;
  }

  if (((yyvsp[-3].s)->class != SYM_KEYWORD) || ((yyvsp[-3].s)->keyword->value != FROM))
    cf_error("Expected FROM after %I6/%d", (yyvsp[-5].a), (yyvsp[-4].i));

  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-5].a), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 43:
#line 297 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 6524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 44:
#line 303 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 6533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 45:
#line 309 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6544 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 46:
#line 317 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 47:
#line 325 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 48:
#line 331 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_aspa));
  net_fill_aspa((yyval.net_ptr), (yyvsp[0].i));
}
#line 6573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 55:
#line 341 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 63:
#line 355 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 364 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 373 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 382 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 392 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 393 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6631 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 394 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 405 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.ad) = cfg_allocz(ADATA_SIZE(MPLS_MAX_LABEL_STACK * sizeof(u32)));
  (yyval.ad)->length = sizeof(u32);
  *((u32 *)(yyval.ad)->data) = (yyvsp[0].i);
}
#line 6654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 413 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].ad)->length >= MPLS_MAX_LABEL_STACK * sizeof(u32))
      cf_error("Too many labels in stack");

    *((u32 *)((yyval.ad)->data + (yyvsp[-2].ad)->length)) = (yyvsp[0].i);
    (yyvsp[-2].ad)->length += sizeof(u32);
    (yyval.ad) = (yyvsp[-2].ad);
  }
#line 6667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 424 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 432 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-1].time) > (yyvsp[0].time)) cf_error("Minimum settle time %t is bigger than maximum settle time %t", (yyvsp[-1].time), (yyvsp[0].time));
  (yyval.settle).min = (yyvsp[-1].time);
  (yyval.settle).max = (yyvsp[0].time);
}
#line 6687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 440 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 448 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 6702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 452 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 6708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 453 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 454 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 455 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 6732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 462 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = *cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_STRING) && ((yyval.v).type != T_IP))
       cf_error("String or IP value expected");
   }
#line 6742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 471 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING)->val.bs; }
#line 6748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 475 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 6754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 476 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 6760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 93:
#line 477 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = *cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 6770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 94:
#line 485 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.x) = f_lval_getter(&(yyvsp[0].flv)); }
#line 6776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 96:
#line 487 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 97:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 6788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 98:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 6794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 99:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 6800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 100:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 6806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 101:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 6812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 102:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 6818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 6824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 6830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 6836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 6842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 112:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 113:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 114:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 115:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 116:
#line 62 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 6902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 117:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 118:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 119:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 120:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 121:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 122:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 123:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 126:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 127:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 130:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 131:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 132:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 133:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 7003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 134:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 7009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 135:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 7015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 136:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 7021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 137:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 7027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 138:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 7033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 139:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 7041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 140:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 7049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 141:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 7057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 7066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 146:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 7075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 147:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 7086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 181 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 7097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 188 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 7103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 7109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 192 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 7118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 198 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 7127 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 403 "filter/config.Y" /* yacc.c:1646  */
    {
  if (((yyvsp[-2].i) < 16) || ((yyvsp[-1].i) < 16))
    /* Check for self-crippling values */
    cf_error("Filter stack values lesser than 16 not supported");
  new_config->filter_vstk = (yyvsp[-2].i);
  new_config->filter_estk = (yyvsp[-1].i);
 }
#line 7139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 414 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_enter_filters();
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 7150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 419 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
     cf_exit_filters();
   }
#line 7163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 173:
#line 431 "filter/config.Y" /* yacc.c:1646  */
    { cf_eval_int((yyvsp[0].x)); }
#line 7169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 435 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_enter_filters();
  struct ea_class *ac = ea_class_find_by_name((yyvsp[-1].s)->name);
  cf_exit_filters();
  if (ac && (ac->type == (yyvsp[-2].i)))
    ea_ref_class(new_config->pool, ac);
  else
    ac = ea_register_alloc(new_config->pool, (struct ea_class) {
	.name = (yyvsp[-1].s)->name,
	.type = (yyvsp[-2].i),
    })->class;

  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ac);
}
#line 7188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 452 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 7202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 465 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 7218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 479 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 7224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 480 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 7230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 481 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 7236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 482 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 7242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 184:
#line 483 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 7248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 185:
#line 484 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 7254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 485 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 7260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 486 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 7266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 188:
#line 487 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 7272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 488 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 7278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 489 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BYTESTRING; }
#line 7284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 490 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 7290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 491 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 7296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 492 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 7302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 493 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 7308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 494 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 7314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 495 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ROUTE; }
#line 7320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 496 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_ENUM:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 7346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 518 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = cf_maybe_exit_filters(); }
#line 7352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 520 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].i)) cf_enter_filters();
     (yyval.i) = (yyvsp[0].i);
   }
#line 7361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 527 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 7367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 528 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 537 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 7384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 538 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7394 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 546 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 547 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 7409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 206:
#line 554 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_VOID; }
#line 7415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 207:
#line 555 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 7421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 209:
#line 561 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 7430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 565 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_enter_filters();
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 7440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 569 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
     cf_exit_filters();
   }
#line 7453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 212:
#line 580 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_enter_filters();
   }
#line 7461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 213:
#line 582 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
     cf_exit_filters();
   }
#line 7471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 214:
#line 590 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 7480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 216:
#line 599 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_enter_filters();
     cf_push_scope(new_config, this_function);
   }
#line 7491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 217:
#line 604 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 7513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 218:
#line 620 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
     cf_exit_filters();
   }
#line 7526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 219:
#line 632 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 633 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 7538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 223:
#line 638 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 7549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 225:
#line 647 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 7565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 226:
#line 664 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 227:
#line 665 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 228:
#line 678 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 229:
#line 679 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 7589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 230:
#line 680 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.rd = (yyvsp[0].rd); }
#line 7595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 231:
#line 681 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 232:
#line 682 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval_tmp((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type))
       cf_error("Set-incompatible type (%s)", f_type_name((yyval.v).type));
   }
#line 7611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 234:
#line 691 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s))))
       cf_error("%s: Set-incompatible type (%s)", (yyvsp[0].s)->name, f_type_name(SYM_TYPE((yyvsp[0].s))));
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 7622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 236:
#line 704 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 7628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 237:
#line 707 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 238:
#line 708 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 239:
#line 709 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 710 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 241:
#line 711 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 712 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 243:
#line 713 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 714 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 715 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 7682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 717 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 7688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 721 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 7694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 722 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 7700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 723 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 7706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 724 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 7712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 728 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 729 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 253:
#line 730 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 734 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 735 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 736 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 738 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 739 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 740 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 742 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 265:
#line 749 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 750 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 757 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 758 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 763 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 768 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 773 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 777 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 778 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 779 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 780 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 788 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 789 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 792 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 7866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 800 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 810 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_lval_getter(&(yyvsp[0].flv)); }
#line 7896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 811 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 289:
#line 815 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 819 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 820 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 821 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 822 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 826 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 827 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 828 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 829 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 830 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 834 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 835 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 836 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 837 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 838 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 7995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 839 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 8001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 840 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.rd = (yyvsp[0].rd), }); }
#line 8007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 306:
#line 841 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 8013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 307:
#line 842 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 8019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 308:
#line 843 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 8029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 309:
#line 848 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 8035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 310:
#line 849 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 8041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 311:
#line 853 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 312:
#line 854 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 8053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 313:
#line 855 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 314:
#line 856 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 8065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 315:
#line 862 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 8071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 316:
#line 863 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 8077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 317:
#line 864 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 8083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 318:
#line 868 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 8100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 319:
#line 884 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 8111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 320:
#line 894 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 8117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 321:
#line 895 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 8123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 322:
#line 896 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 8129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 323:
#line 897 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 8135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 324:
#line 898 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 8141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 325:
#line 899 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 8147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 326:
#line 900 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 8153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 327:
#line 901 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 8159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 328:
#line 904 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_start((yyvsp[-1].x)); }
#line 8165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 329:
#line 904 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 8171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 330:
#line 906 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 8179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 331:
#line 909 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_args();
   }
#line 8187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 332:
#line 911 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 8195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 333:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 8205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 334:
#line 919 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != SYM_ATTRIBUTE)
       cf_error("Not a method of %s: %s", f_type_name(FM.object->type), (yyvsp[0].s)->name);
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].s)->attribute);
   }
#line 8217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 335:
#line 929 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 8223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 336:
#line 930 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 337:
#line 931 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 338:
#line 932 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 339:
#line 933 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 340:
#line 934 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_BITAND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 341:
#line 935 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_BITOR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 342:
#line 936 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 343:
#line 937 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 344:
#line 938 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 345:
#line 939 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 346:
#line 940 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 347:
#line 941 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 348:
#line 942 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 349:
#line 943 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 944 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 945 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 946 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 8325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 353:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 8331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 949 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 8337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 950 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 8343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 952 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_lval_getter(&(yyvsp[0].flv)); }
#line 8349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 358:
#line 956 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_PATH)); }
#line 8355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 359:
#line 957 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_CLIST)); }
#line 8361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 360:
#line 958 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_ECLIST)); }
#line 8367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 959 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_LCLIST)); }
#line 8373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 961 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 962 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 364:
#line 963 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 964 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 366:
#line 966 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_implicit_roa_check((yyvsp[-1].r)); }
#line 8403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 967 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 968 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ASPA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 369:
#line 970 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 8421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 372:
#line 977 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 8427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 373:
#line 981 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 8433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 982 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 8439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 375:
#line 983 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 8445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 987 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 8454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 991 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 8463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 378:
#line 998 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 8469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 999 "filter/config.Y" /* yacc.c:1646  */
    { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 8475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 380:
#line 1003 "filter/config.Y" /* yacc.c:1646  */
    { cf_push_soft_scope(new_config); }
#line 8481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 381:
#line 1003 "filter/config.Y" /* yacc.c:1646  */
    { cf_pop_soft_scope(new_config); }
#line 8487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 382:
#line 1003 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-2].x); }
#line 8493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 383:
#line 1004 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 8501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 384:
#line 1007 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 8509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 385:
#line 1010 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 8519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 386:
#line 1016 "filter/config.Y" /* yacc.c:1646  */
    { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 8525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 387:
#line 1018 "filter/config.Y" /* yacc.c:1646  */
    { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 8531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 388:
#line 1019 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 8540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 389:
#line 1023 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_lval_setter(&(yyvsp[-3].flv), (yyvsp[-1].x));
   }
#line 8548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 390:
#line 1026 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 8569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 1042 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-2].s)->class != SYM_ATTRIBUTE)
       cf_error("Can't unset %s", (yyvsp[-2].s)->name);
     if ((yyvsp[-2].s)->attribute->readonly)
       cf_error("Attribute %s is read-only", (yyvsp[-2].s)->attribute->name);
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].s)->attribute);
   }
#line 8581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 392:
#line 1049 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 8589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 393:
#line 1052 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 8597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 394:
#line 1055 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 8605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 1058 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 8611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 396:
#line 1059 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 8619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 397:
#line 1062 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 8627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 398:
#line 1064 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 8636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 399:
#line 1068 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 8642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 400:
#line 1069 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 8648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 401:
#line 1073 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 8656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 402:
#line 1078 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_CONSTANT_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_CONSTANT, .sym = (yyvsp[0].s), };
	 break;
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].s)->attribute, .rte = f_new_inst(FI_CURRENT_ROUTE), };
	 break;
       default:
	 cf_error("Variable name or attribute name required");
     }
   }
#line 8677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 1094 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_new_inst(FI_CURRENT_ROUTE), }; }
#line 8683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 8689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 210 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 8695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 407:
#line 214 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 8701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 408:
#line 215 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 8707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 409:
#line 216 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 410:
#line 217 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 412:
#line 229 "nest/config.Y" /* yacc.c:1646  */
    { new_config->hostname = (yyvsp[-1].t); }
#line 8732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 414:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 8738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 415:
#line 239 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 8744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 416:
#line 240 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 8750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 417:
#line 241 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 8756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 418:
#line 242 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 8762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 419:
#line 243 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 8768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 420:
#line 244 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 8774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 421:
#line 245 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 8780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 422:
#line 246 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 8786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 423:
#line 247 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 8792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 424:
#line 248 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ASPA; }
#line 8798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 426:
#line 253 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 8804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 429:
#line 263 "nest/config.Y" /* yacc.c:1646  */
    {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 8812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 431:
#line 270 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = 1; }
#line 8818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 432:
#line 274 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = (yyvsp[0].i); }
#line 8824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 433:
#line 275 "nest/config.Y" /* yacc.c:1646  */
    { this_table->debug = (yyvsp[0].i); }
#line 8830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 434:
#line 276 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 8840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 435:
#line 281 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_threshold = (yyvsp[0].i); }
#line 8846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 436:
#line 282 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 8852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 283 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].i) > (yyvsp[0].i)) cf_error("Cork low threshold must be lower than the high threshold.");
     this_table->cork_threshold.low = (yyvsp[-1].i);
     this_table->cork_threshold.high = (yyvsp[0].i); }
#line 8861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 438:
#line 287 "nest/config.Y" /* yacc.c:1646  */
    { this_table->export_settle = (yyvsp[0].settle); }
#line 8867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 439:
#line 288 "nest/config.Y" /* yacc.c:1646  */
    { this_table->export_rr_settle = (yyvsp[0].settle); }
#line 8873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 440:
#line 289 "nest/config.Y" /* yacc.c:1646  */
    { this_table->digest_settle = (yyvsp[0].settle); }
#line 8879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 441:
#line 290 "nest/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[0].s)->class != SYM_THREAD_GROUP)
      cf_error("Unexpected symbol %s as a thread group name", (yyvsp[0].s)->name);
    this_table->thread_group = (yyvsp[0].s)->thread_group;
 }
#line 8889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 446:
#line 310 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 8895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 447:
#line 313 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 8901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 448:
#line 314 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 8907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 449:
#line 318 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 450:
#line 324 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 451:
#line 328 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 452:
#line 338 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 454:
#line 350 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 8961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 455:
#line 351 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->restart_limit = (yyvsp[0].time); }
#line 8967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 456:
#line 352 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 8973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 457:
#line 353 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 8979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 458:
#line 354 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 8985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 459:
#line 355 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->hostname = (yyvsp[0].t); }
#line 8991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 460:
#line 356 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 8997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 461:
#line 357 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); }
#line 9003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 462:
#line 358 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = &default_vrf; }
#line 9009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 463:
#line 359 "nest/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[0].s)->class != SYM_THREAD_GROUP)
      cf_error("Unexpected symbol %s as a thread group name", (yyvsp[0].s)->name);
    this_proto->thread_group = (yyvsp[0].s)->thread_group;
 }
#line 9019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 464:
#line 368 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 9027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 465:
#line 373 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 9037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 466:
#line 378 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 9043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 467:
#line 379 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[-1].net_ptr)->type != this_channel->net_type))
       cf_error("Incompatible export prefilter type");
     this_channel->out_subprefix = (yyvsp[-1].net_ptr);
     this_channel->out_filter = (yyvsp[0].f);
   }
#line 9054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 9060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 469:
#line 386 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 9066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 470:
#line 387 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 9072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 471:
#line 388 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 9078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 389 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 9084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 473:
#line 390 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i))
       this_channel->in_keep |= RIK_REJECTED;
     else if ((this_channel->in_keep & RIK_PREFILTER) == RIK_PREFILTER)
       cf_error("Import keep filtered is implied by the import table.");
     else
       this_channel->in_keep &= ~RIK_REJECTED;
   }
#line 9097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 474:
#line 398 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 9103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 476:
#line 404 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->debug = (yyvsp[0].i); }
#line 9109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 481:
#line 418 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 9120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 428 "nest/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
  if (!(yyvsp[0].s)->table) rt_new_default_table((yyvsp[0].s));
  (yyval.r) = (yyvsp[0].s)->table;
}
#line 9130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 484:
#line 435 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 9136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 486:
#line 437 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 9142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 487:
#line 438 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 9148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 488:
#line 442 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 9154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 489:
#line 443 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 9160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 490:
#line 444 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 9166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 491:
#line 445 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 9172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 492:
#line 446 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 9178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 493:
#line 450 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 9184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 494:
#line 451 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 9190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 496:
#line 458 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 9196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 497:
#line 459 "nest/config.Y" /* yacc.c:1646  */
    { new_config->channel_default_debug = (yyvsp[0].i); }
#line 9202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 498:
#line 460 "nest/config.Y" /* yacc.c:1646  */
    { new_config->table_default_debug = (yyvsp[0].i); }
#line 9208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 499:
#line 461 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 9214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 500:
#line 462 "nest/config.Y" /* yacc.c:1646  */
    { new_config->show_route_debug = (yyvsp[0].i); }
#line 9220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 502:
#line 470 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tfp) = (yyvsp[-1].tf); }
#line 9226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 503:
#line 474 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_route; }
#line 9232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 504:
#line 475 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_proto; }
#line 9238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 505:
#line 476 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_base; }
#line 9244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 506:
#line 477 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_log; }
#line 9250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 481 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 9256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 508:
#line 482 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 9262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 509:
#line 483 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_S; }
#line 9268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 510:
#line 484 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_MS; }
#line 9274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 485 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_US; }
#line 9280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 512:
#line 486 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_S; }
#line 9286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 513:
#line 487 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_MS; }
#line 9292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 514:
#line 488 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_US; }
#line 9298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 515:
#line 494 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 9308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 516:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 9314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 517:
#line 503 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 9320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 518:
#line 507 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 9326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 519:
#line 508 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 9332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 522 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 9338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 524:
#line 524 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 9348 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 526:
#line 536 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 9354 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 537 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 9360 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 529:
#line 544 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
     this_proto->late_if_feed = 1;
   }
#line 9370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 534:
#line 556 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 9376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 535:
#line 560 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 9386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 574 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 9392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 575 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 576 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 541:
#line 581 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 585 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 9416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 586 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 9422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 587 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 9428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 588 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 9434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 546:
#line 589 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 9440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 590 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 9446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 596 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 9452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 597 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 9458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 598 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 603 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 553:
#line 607 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 9476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 608 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 9482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 635 "nest/config.Y" /* yacc.c:1646  */
    {
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 9495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 645 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 9501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 646 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 9507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 647 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 9513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 648 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 9519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 649 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 9525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 650 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 9531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 651 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 9537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 652 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 9543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 653 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 9549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 657 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 9555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 658 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 9561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 576:
#line 659 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 9567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 660 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 9573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 661 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 9579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 579:
#line 662 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 9585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 663 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 9591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 664 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 9597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 665 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 9603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 666 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 9609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 667 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_128; }
#line 9615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 585:
#line 668 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_256; }
#line 9621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 586:
#line 669 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_256; }
#line 9627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 587:
#line 670 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_512; }
#line 9633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 588:
#line 674 "nest/config.Y" /* yacc.c:1646  */
    {
  password_validate_length(this_p_item);
}
#line 9641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 687 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 9647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 690 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 9653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 693 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 9659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 696 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 9665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 699 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 9671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 700 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 9677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 704 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 9683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 707 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 9689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 711 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 9695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 731 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->cli = this_cli;
     (yyval.ra)->tf_route = this_cli->main_config->tf_route;
   }
#line 9707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 738 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = TE_ADDR_EQUAL;
   }
#line 9718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 744 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = TE_ADDR_FOR;
   }
#line 9729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 750 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = TE_ADDR_IN;
   }
#line 9741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 757 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     if (!(yyvsp[0].s)->table) cf_error("Table %s not configured", (yyvsp[0].s)->name);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 611:
#line 764 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, this_cli->main_config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 9765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 771 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!((yyvsp[0].c)->in_keep & RIK_PREFILTER)) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     struct rt_show_data_rtable *rsdr = rt_show_add_table((yyval.ra), (yyvsp[0].c)->table);
     rsdr->name = "import";
     rsdr->prefilter = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 778 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!((yyvsp[0].c)->out_table)) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     struct rt_show_data_rtable *rsdr = rt_show_add_exporter((yyval.ra), (yyvsp[0].c)->out_table);
     rsdr->name = "export";
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 784 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 615:
#line 789 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 794 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 9817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 617:
#line 798 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 9826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 802 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 9835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 619:
#line 806 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 620:
#line 816 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 823 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 832 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 836 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 843 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 850 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 9912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 854 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 9921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 858 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 631:
#line 862 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 878 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 879 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 882 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 9964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 883 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 9970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 884 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 9976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 885 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORTED; }
#line 9982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 890 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 9988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 891 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 9994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 892 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 10000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 893 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 10006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 894 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 10012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 645:
#line 895 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 10018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 896 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 10024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 647:
#line 897 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 10030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 898 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 10036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 649:
#line 899 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 10042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 900 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 10048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 901 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 10054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 902 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 10060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 653:
#line 903 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 10066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 654:
#line 904 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 10072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 655:
#line 905 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 10078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 906 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 10084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 907 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 10090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 908 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "aspa"; }
#line 10096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 909 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 10102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 910 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 10108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 914 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 10120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 925 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 10126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 934 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
     (yyval.sd)->config = this_cli->main_config;
   }
#line 10135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 938 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 10141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 939 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 10147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 940 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 10153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 941 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 10159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 669:
#line 942 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 10165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 943 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 10171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 948 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "resources", resource_dump); }
#line 10177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 950 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "sockets", sk_dump_all); }
#line 10183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 952 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "AO keys", sk_dump_ao_all); }
#line 10189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 954 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "event log", io_log_dump); }
#line 10195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 956 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "interfaces", if_dump_all); }
#line 10201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 958 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "neighbor cache", neigh_dump_all); }
#line 10207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 684:
#line 960 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "attribute cache", ea_dump_all); }
#line 10213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 962 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "routing tables", rt_dump_all); }
#line 10219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 688:
#line 964 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "table connections", rt_dump_hooks_all); }
#line 10225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 966 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "protocols", protos_dump_all); }
#line 10231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 968 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "filter bytecode", filters_dump_all); }
#line 10237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 971 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 10243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 974 "nest/config.Y" /* yacc.c:1646  */
    {
    struct f_val val;
    if (f_eval(f_linearize((yyvsp[0].x), 1), &val) > F_RETURN) cf_error("Runtime error");
    if (val.type != T_PREFIX_SET) cf_error("Partial spec must be prefix set");
    (yyval.const_trie) = val.val.ti;
  }
#line 10254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 980 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.const_trie) = NULL; }
#line 10260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 984 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 986 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 988 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 990 "nest/config.Y" /* yacc.c:1646  */
    { proto_call_cmd_reload((yyvsp[-2].ps), CMD_RELOAD, (yyvsp[-1].const_trie)); }
#line 10284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 992 "nest/config.Y" /* yacc.c:1646  */
    { proto_call_cmd_reload((yyvsp[-2].ps), CMD_RELOAD_IN, (yyvsp[-1].const_trie)); }
#line 10290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 994 "nest/config.Y" /* yacc.c:1646  */
    { proto_call_cmd_reload((yyvsp[-2].ps), CMD_RELOAD_OUT, (yyvsp[-1].const_trie)); }
#line 10296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 710:
#line 998 "nest/config.Y" /* yacc.c:1646  */
    { /* Done in debug_args */  }
#line 10302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 711:
#line 1010 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 10308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 712:
#line 1011 "nest/config.Y" /* yacc.c:1646  */
    { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 10314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 1016 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 10320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 1019 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 10326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 1023 "nest/config.Y" /* yacc.c:1646  */
    { cli_set_timeformat(this_cli, (yyvsp[-1].tf)); }
#line 10332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 1032 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 1033 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 1034 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 1038 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 723:
#line 1039 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 1040 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 35 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 10374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 733:
#line 51 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 10380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 56 "nest/mpls.Y" /* yacc.c:1646  */
    {
    this_mpls_range = this_mpls_domain->static_range;
}
#line 10388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 60 "nest/mpls.Y" /* yacc.c:1646  */
    {
    this_mpls_range = this_mpls_domain->dynamic_range;
}
#line 10396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 64 "nest/mpls.Y" /* yacc.c:1646  */
    {
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 10404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 69 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 10410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 70 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 10416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 84 "nest/mpls.Y" /* yacc.c:1646  */
    {
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 10432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 100 "nest/mpls.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 10454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 119 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_STATIC; }
#line 10460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 120 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 10466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 121 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 10472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 122 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_VRF; }
#line 10478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 127 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 10484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 128 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 10490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 129 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 10496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 130 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 10502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 131 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 10508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 144 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_channel_postconfig(this_channel); }
#line 10514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 149 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if (EMPTY_LIST(this_cli->main_config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 10525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 156 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 10552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 179 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(this_cli->main_config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 10564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 187 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(this_cli->main_config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 10576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 197 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_show_ranges((yyvsp[-1].msrc)); }
#line 10582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 31 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 10594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 42 "proto/aggregator/config.Y" /* yacc.c:1646  */
    { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 10600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 43 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    cf_enter_filters();
    cf_push_block_scope(new_config);
 }
#line 10612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 49 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    int count = new_config->current_scope->slots;
    cf_pop_block_scope(new_config);
    cf_exit_filters();

    if (!AGGREGATOR_CFG->aggr_on_net)
      cf_error("aggregate on must be always include 'net'.");

   struct f_inst *rot = NULL;
   while ((yyvsp[0].xp).begin)
   {
     struct f_inst *tmp = (yyvsp[0].xp).begin->next;
     (yyvsp[0].xp).begin->next = rot;
     rot = (yyvsp[0].xp).begin;
     (yyvsp[0].xp).begin = tmp;
   }

   AGGREGATOR_CFG->aggr_on_count = count;
   AGGREGATOR_CFG->aggr_on = f_linearize(rot, count);

   struct f_line *premerge = f_linearize((yyvsp[0].xp).end, 0);
   premerge->args = count;
   AGGREGATOR_CFG->premerge = premerge;
 }
#line 10641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 73 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_enter_filters();
   cf_push_block_scope(new_config);
   f_predefined_variable(new_config, "routes", T_ROUTES_BLOCK);
 }
#line 10651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 77 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_pop_block_scope(new_config);
   cf_exit_filters();
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 10662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 91 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    if ((yyval.xp).begin = (yyvsp[0].xp).begin)
      (yyval.xp).begin->next = (yyvsp[-2].xp).begin;
    else
      (yyval.xp).begin = (yyvsp[-2].xp).begin;

    if ((yyval.xp).end = (yyvsp[0].xp).end)
      (yyval.xp).end->next = (yyvsp[-2].xp).end;
    else
      (yyval.xp).end = (yyvsp[-2].xp).end;
 }
#line 10678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 105 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-1].x)->type) {
       case T_INT:
       case T_BOOL:
       case T_PAIR:
       case T_QUAD:
       case T_ENUM:
       case T_IP:
       case T_EC:
       case T_LC:
       case T_RD:
	 /* Fits, OK */
	 break;

       default:
	 cf_error("Expression evaluated to type %s unsupported by aggregator. Store this value as a custom attribute instead", f_type_name((yyvsp[-1].x)->type));
     }

     (yyval.xp).begin = (yyvsp[-1].x);
     (yyval.xp).end = NULL;
     f_new_var(new_config->current_scope);
   }
#line 10705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 127 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    (yyval.xp).begin = f_lval_getter(&(yyvsp[0].flv));
    int vari = f_new_var(new_config->current_scope);

    if ((yyvsp[0].flv).type == F_LVAL_SA && (yyvsp[0].flv).sa.sa_code == SA_NET)
      AGGREGATOR_CFG->aggr_on_net = 1;
    if (((yyvsp[0].flv).type == F_LVAL_CONSTANT) || 
	((yyvsp[0].flv).type == F_LVAL_SA && (yyvsp[0].flv).sa.readonly))
      (yyval.xp).end = NULL;
    else
    {
      char varname[12];
      bsnprintf(varname, 12, "!aggr%d", vari);
      (yyval.xp).end = f_lval_setter(&(yyvsp[0].flv),
	  f_new_inst(FI_VAR_GET, cf_define_symbol(
	      new_config, cf_get_symbol(new_config, varname),
	      SYM_VARIABLE | (yyval.xp).begin->type, offset, vari
	      )));
    }
  }
#line 10730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 39 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
  if (new_config->thread_group_simple)
    BFD_CFG->express_thread_group = TTAIL(thread_group, &new_config->thread_group);
  else
  {
    struct symbol *sym = cf_find_symbol(new_config, "express");
    if (sym && sym->class == SYM_THREAD_GROUP)
      BFD_CFG->express_thread_group = sym->thread_group;
    else
      BFD_CFG->express_thread_group = NULL;
  }

  init_list(&BFD_CFG->patt_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 10753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 60 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[0].s)->class != SYM_THREAD_GROUP)
      cf_error("Unexpected symbol %s as a thread group name", (yyvsp[0].s)->name);
    BFD_CFG->express_thread_group = (yyvsp[0].s)->thread_group;
 }
#line 10763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 69 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 10769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 794:
#line 70 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->zero_udp6_checksum_rx = (yyvsp[0].i); }
#line 10775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 79 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  if (!BFD_CFG->express_thread_group)
    cf_error("Express thread group not configured and \"express\" not found.");
}
#line 10784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 86 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 10790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 87 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 10796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 88 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 10802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 89 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 10808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 93 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 10817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 101 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  this_bfd_opts = &BFD_IFACE->opts;

  this_bfd_opts->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  this_bfd_opts->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  this_bfd_opts->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  this_bfd_opts->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 10836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 117 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }

  this_bfd_opts = NULL;
}
#line 10861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 139 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 10867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 140 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 10873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 141 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 10879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 142 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 10885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 143 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 10891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 144 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 10897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 157 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 10903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 161 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 10909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 162 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 10915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 163 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 10921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 167 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 10927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 168 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 10933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 172 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 822:
#line 173 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 10945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 177 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  bfd_neighbor_add_tail(&BFD_CFG->neigh_list, this_bfd_neighbor);

  callback_init(&BFD_NEIGHBOR->notify, bfd_neighbor_notify, &main_birdloop);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 10967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 199 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 10973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 200 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 10979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 201 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 10985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 202 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 10991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 203 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 10997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 204 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->passive = (yyvsp[0].i) ? BFD_OPT_PASSIVE : BFD_OPT_NOT_PASSIVE; }
#line 11003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 205 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 11009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 206 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->auth_type = (yyvsp[0].i); }
#line 11015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 207 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 11021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 216 "proto/bfd/config.Y" /* yacc.c:1646  */
    { reset_passwords(); }
#line 11027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 219 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }
}
#line 11050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 246 "proto/bfd/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 11056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 258 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 11062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 259 "proto/bfd/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 11068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 260 "proto/bfd/config.Y" /* yacc.c:1646  */
    { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 11074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 261 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 11080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 262 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 11086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 263 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->verbose = 1; }
#line 11092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 264 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 11098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 265 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 11104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 266 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 11110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 267 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 11116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 37 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 11126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 47 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 11132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 60 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 11155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 81 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 11223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 147 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 148 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 11235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 149 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 11241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 150 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 11247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 151 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 11253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 152 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 11259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 153 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 11265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 154 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 11271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 155 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 11277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 156 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 11283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 157 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 11289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 158 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 11295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 159 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 11301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 160 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 11307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 161 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 11313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 162 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_prefer = BABEL_NHP_NATIVE; }
#line 11319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 163 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_prefer = BABEL_NHP_IP6; }
#line 11325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 164 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 11331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 165 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 11337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 166 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 11343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 167 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 11349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 168 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 11355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 169 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 11361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 170 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 11367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 171 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 11373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 172 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 11379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 193 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 11385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 196 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 11391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 199 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 11397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 202 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 11403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 58 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     this_proto->loop_order = DOMAIN_ORDER(proto);
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->min_gr_time = 0;
     BGP_CFG->max_gr_time = ~0U;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->min_llgr_time = 0;
     BGP_CFG->max_llgr_time = ~0U;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
     BGP_CFG->tx_size_warning = 0;
   }
#line 11446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 100 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 101 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 11458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 106 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 107 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 11470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 108 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 11476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 109 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 11482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 114 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 11488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 115 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 11494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 120 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 124 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 11506 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 125 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 11512 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 126 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 11518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 127 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 11524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 128 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 11530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 129 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 11536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 130 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 11542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 923:
#line 131 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 11548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 132 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 11554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 136 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_AUTH_NONE; }
#line 11560 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 137 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_AUTH_MD5; }
#line 11566 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 138 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_AUTH_AO; }
#line 11572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 142 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PEER; }
#line 11578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 143 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 11584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 144 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 11590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 145 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 11596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 146 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 11602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 11611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 11622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 166 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 11634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 11640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 11646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 11652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 11658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 11664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 11670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 11676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 11682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 11688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 11694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 11700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 11706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 11716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 11722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 11728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 192 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 11734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 11740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 194 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 11746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 11752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 11758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 11764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 11770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 964:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 11776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 11782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 11788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 11794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 11800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 11806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 11812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 971:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 11818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 972:
#line 207 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 11824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 208 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 11830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 209 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 11836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 11842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 211 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 11848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 212 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 11854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 213 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 11860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 214 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 11866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 215 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 11872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 981:
#line 216 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 11878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 217 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 11884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 983:
#line 218 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 11890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 219 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 11896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 220 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 11902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 221 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 11908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 222 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 11914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 11920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 224 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->auth_type = (yyvsp[-1].i); }
#line 11926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 226 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 11932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 227 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 11938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 993:
#line 228 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 11944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 994:
#line 229 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 11950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 230 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 11956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 231 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 11962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 232 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 11968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 998:
#line 233 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 11974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 234 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 11980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 235 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 11986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 236 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 11992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 237 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Graceful restart time must be less than 4096"); }
#line 11998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 238 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Min graceful restart time must be less than 4096"); }
#line 12004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 239 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->max_gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Max graceful restart time must be less than 4096"); }
#line 12010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 240 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 12016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 241 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 12022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 242 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Long-lived stale time must be less than 2^24"); }
#line 12028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 243 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Min long-lived stale time must be less than 2^24"); }
#line 12034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 244 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->max_llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Max long-lived stale time must be less than 2^24"); }
#line 12040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 245 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 12046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 246 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 12052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 247 "proto/bgp/config.Y" /* yacc.c:1646  */
    { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 12058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 248 "proto/bgp/config.Y" /* yacc.c:1646  */
    { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 12064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 249 "proto/bgp/config.Y" /* yacc.c:1646  */
    { open_bfd_opts(&BGP_CFG->bfd); }
#line 12070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 249 "proto/bgp/config.Y" /* yacc.c:1646  */
    { close_bfd_opts(); }
#line 12076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 250 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 12082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 251 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 12088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 252 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 12094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 253 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 12100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 254 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->tx_size_warning = (yyvsp[-1].i); }
#line 12106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 258 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 12112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 259 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 12118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 260 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 12124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 261 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 12130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 262 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 12136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 263 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 12142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 264 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 12148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 265 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 12154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 266 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 12160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 267 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 12166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 268 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 12172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 269 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 12178 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 272 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  this_ao_key = cfg_allocz(sizeof(struct ao_config));
  *next_ao_key = this_ao_key;
  next_ao_key = &(this_ao_key->next);

  this_ao_key->key.send_id = -1;
  this_ao_key->key.recv_id = -1;
  this_ao_key->key.algorithm = ALG_HMAC_SHA1;
}
#line 12192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].i) > 255)
       cf_error("Key ID must be in range 0-255");
     this_ao_key->key.send_id = (yyvsp[-1].i);
     this_ao_key->key.recv_id = (yyvsp[-1].i);
   }
#line 12203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 289 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].i) > 255)
       cf_error("Send ID must be in range 0-255");
     this_ao_key->key.send_id = (yyvsp[-1].i);
   }
#line 12213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 294 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].i) > 255)
       cf_error("Recv ID must be in range 0-255");
     this_ao_key->key.recv_id = (yyvsp[-1].i);
   }
#line 12223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 299 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (!tcp_ao_alg_known((yyvsp[-1].i)))
       cf_error("Unknown algorithm for TCP-AO");
     this_ao_key->key.algorithm = (yyvsp[-1].i);
   }
#line 12233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 304 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].v).type == T_BYTESTRING)
     {
       this_ao_key->key.key = (yyvsp[-1].v).val.bs->data;
       this_ao_key->key.keylen = (yyvsp[-1].v).val.bs->length;
     }
     else if ((yyvsp[-1].v).type == T_STRING)
     {
       this_ao_key->key.key = (yyvsp[-1].v).val.s;
       this_ao_key->key.keylen = strlen((yyvsp[-1].v).val.s);
     }
     else bug("Bad bytestring_text");

     if (this_ao_key->key.keylen > AO_MAX_KEY_LENGTH)
       cf_error("TCP-AO secret too long");
   }
#line 12254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 320 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (this_ao_key->key.preference > 0)
       cf_error("Key cannot be both preferred and deprecated");
     this_ao_key->key.preference = -1;
   }
#line 12264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 325 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (this_ao_key->key.preference < 0)
       cf_error("Key cannot be both preferred and deprecated");
     this_ao_key->key.preference = 1;
   }
#line 12274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 333 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 334 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_CMAC_AES128_AO; }
#line 12286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 342 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  struct ao_config *key = this_ao_key;
  this_ao_key = NULL;

  if (key->key.send_id == -1)
    cf_error("No key Send ID");
  if (key->key.recv_id == -1)
    cf_error("No key Recv ID");
  if (!key->key.key || !key->key.keylen)
    cf_error("No secret defined for key %i/%i", key->key.send_id, key->key.recv_id);
}
#line 12302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 358 "proto/bgp/config.Y" /* yacc.c:1646  */
    { }
#line 12308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 362 "proto/bgp/config.Y" /* yacc.c:1646  */
    { next_ao_key = &(BGP_CFG->ao_keys); }
#line 12314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 362 "proto/bgp/config.Y" /* yacc.c:1646  */
    { next_ao_key = NULL; }
#line 12320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 366 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  char used_aos_id_send[256];
  char used_aos_id_recv[256];
  memset(used_aos_id_send, 0, sizeof(char)*256);
  memset(used_aos_id_recv, 0, sizeof(char)*256);

  for (struct ao_config *key = BGP_CFG->ao_keys; key; key = key->next)
  {
    if (used_aos_id_send[key->key.send_id])
      cf_error("Multiple keys with Send ID %i", key->key.send_id);
    used_aos_id_send[key->key.send_id] = 1;

    if (used_aos_id_recv[key->key.recv_id])
      cf_error("Multiple keys with Recv ID %i", key->key.recv_id);
    used_aos_id_recv[key->key.recv_id] = 1;
  }
}
#line 12342 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 385 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->min_llgr_time = ~0U; /* undefined */
    BGP_CC->max_llgr_time = ~0U; /* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
    BGP_CC->ptx_exporter_settle = (struct settle_config) { 10 MS_, 100 MS_ };
  }
}
#line 12373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 413 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 414 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 12385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 415 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 12391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 419 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = LLNH_NATIVE; }
#line 12397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 420 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = LLNH_SINGLE; }
#line 12403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 421 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = LLNH_DOUBLE; }
#line 12409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 428 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 12415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 429 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 12421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 430 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 12427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 431 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 12433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 432 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llnh_format = (yyvsp[0].i); }
#line 12439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 433 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 12445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 434 "proto/bgp/config.Y" /* yacc.c:1646  */
    { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 12451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 435 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 12457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 436 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 12463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 437 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 12469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 438 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 12479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 443 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 12485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 444 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 12491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 445 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Long-lived stale time must be less than 2^24"); }
#line 12497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 446 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->min_llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Min long-lived stale time must be less than 2^24"); }
#line 12503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 447 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->max_llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Max long-lived stale time must be less than 2^24"); }
#line 12509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 448 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 12515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 449 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 12521 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 450 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 12527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 451 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 12533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 452 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 12539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 453 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 12545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 454 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 12551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 455 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 12557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 456 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ptx_exporter_settle = (yyvsp[0].settle); }
#line 12563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 457 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 12569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 458 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 12575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 459 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 12581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 460 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 12597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 471 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 12612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 494 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  if (BGP_CC->import_table)
    this_channel->in_keep |= RIK_PREFILTER;

  this_channel = NULL;
}
#line 12626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 506 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number. (Given %i, must be 1-255.)", (yyvsp[-3].i));

  struct ea_class *ac = bgp_find_ea_class_by_id((yyvsp[-3].i));
  ASSERT_DIE(ac);
  if ((yyvsp[-2].i) != ac->type)
    cf_error("Attribute %d type must be %s, not %s.", (yyvsp[-3].i), f_type_name(ac->type), f_type_name((yyvsp[-2].i)));

  ea_ref_class(new_config->pool, ac);
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ac);
}
#line 12643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 520 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_in, 1, 0);
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_out, 1, 0);
}
#line 12652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 526 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_in, 1, 0);
}
#line 12660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 531 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_out, 1, 0);
}
#line 12668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 536 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CURRENT_ROUTE),
	ea_class_find_by_name("bgp_path")
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }),
      (yyvsp[-1].r)
  );
}
#line 12683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 547 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CURRENT_ROUTE),
	ea_class_find_by_name("bgp_path")
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }),
      (yyvsp[-1].r)
  );
}
#line 12698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 53 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 12714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 68 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 12722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 77 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 12728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 78 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 12734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 79 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 12740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 80 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 12746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 81 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 12752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 94 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 12758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 95 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 12764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 211 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 12770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 214 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 220 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 12806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 240 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 12818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 246 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 12830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 258 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 12842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 12848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 12854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 12860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 12866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 12872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 12878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 12884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 12896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 12902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 12908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 274 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 12926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 289 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 12932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 298 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 12938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 12944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 12950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 12956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 12962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 12968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 12974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 12980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 12986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 12992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 12998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 320 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 13009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 334 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 13015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 13021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 13027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 340 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 13033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 13039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 350 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 13045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 13051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 13057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 13063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 13069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 13075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 13081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 13087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 13093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 363 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 13113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 381 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 13119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 13125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 13131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 13137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 13143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 13149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 13155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 13161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 13167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 13173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 13179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 13185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 13191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 13197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 13203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 13209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 13215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 13221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 13227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 13233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 13239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 13245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 13251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 13263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 407 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 13269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 13275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 13281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 13287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 13293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 13299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 13305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 13311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 13317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 13323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 13329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 430 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 13345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 439 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 13351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 13357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 449 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 454 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 13380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 463 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 13405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 487 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 13411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 491 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 13417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 505 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 13423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 13429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 513 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 13435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 516 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 13441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 521 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 13447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 524 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 13453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 529 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 13459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 532 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 13465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 536 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 13476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 552 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 13484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 555 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 13490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 556 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 13496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 557 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 13502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 13508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 559 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 13514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 560 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 13520 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 561 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 13526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 562 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 13532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 13538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
  PIPE_CFG->max_generation = 16;
}
#line 13548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 32 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 13561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 45 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
    if (this_channel->net_type && ((yyvsp[-2].net_ptr)->type != this_channel->net_type))
      cf_error("Incompatible export prefilter type");
    PIPE_CFG->in_subprefix = (yyvsp[-2].net_ptr);
    this_channel->in_filter = (yyvsp[-1].f);
  }
#line 13572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 51 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 13578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 52 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
    if (((yyvsp[-1].i) < 1) || ((yyvsp[-1].i) > 254)) cf_error("Max generation must be in range 1..254, got %u", (yyvsp[-1].i));
    PIPE_CFG->max_generation = (yyvsp[-1].i);
  }
#line 13587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 56 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 13602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 71 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 13608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 13614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 13620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 13626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 13632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 74 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 13638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 75 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 13644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 76 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 13650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 89 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 13677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 113 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 13683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 114 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 13689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 115 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 13695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 13701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 117 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 13707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 118 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 13713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 13719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 13725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 13731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 13737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 13762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 13768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 134 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 13774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 135 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 13780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 136 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 13786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 13792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 13798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 13804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 13810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 139 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 13816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 140 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 13822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 141 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 13828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 142 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 13834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 146 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 13840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 147 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 13846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 148 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 13852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 151 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 13893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 13907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 215 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 13913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 216 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 13919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 217 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 13925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 218 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 222 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 229 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 13955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 253 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 262 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 269 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 13982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 273 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 13998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 297 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 14013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 309 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 316 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 14028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 320 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 14044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 344 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 14050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 345 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 14056 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 349 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 14062 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 350 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 14068 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 49 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 50 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 54 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 14096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 69 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 14102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 71 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 14114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 85 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 14142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 110 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 14175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 140 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 14181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 14187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 14193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 14199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 14205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 145 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 14211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 146 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 14220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 150 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 14226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 14232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 14238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 14244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 14250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 14256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 14262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 14268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 14274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 14286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 14292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 14298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 14304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 14310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 14316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 166 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 14322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 167 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 168 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 14334 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 14340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 173 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 14346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 174 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 14352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 175 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 14358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 176 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 14364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 196 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 14370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 199 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 14376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 45 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
  RPKI_CFG->min_version = 0;
  RPKI_CFG->max_version = RPKI_MAX_VERSION;
}
#line 14390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 55 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 14396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 68 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 14402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 70 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 14413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 76 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 14424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 82 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 14435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 88 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 14441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 89 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, min version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->min_version = (yyvsp[0].i);
   }
#line 14450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 93 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, max version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->max_version = (yyvsp[0].i);
   }
#line 14459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 100 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 101 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 104 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 14477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 107 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 14497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 129 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 14507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 146 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_NONE; }
#line 14513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 147 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_MD5; }
#line 14519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 148 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->password = (yyvsp[0].t); }
#line 14525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 152 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (!RPKI_TR_TCP_CFG->auth_type != !RPKI_TR_TCP_CFG->password)
    cf_error("Authentication and password options should be used together");
}
#line 14534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 158 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 14548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 174 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 14554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 175 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 14560 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 176 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 14566 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 180 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 14575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 59 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 14584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 14590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 69 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 14596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 70 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 14609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 78 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 14615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 82 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 14625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 87 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 14635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 92 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 14643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 95 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].ad);
  }
#line 14651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 98 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 14661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 103 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 14670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 107 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 14680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 121 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 14686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 124 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 14701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 138 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 14710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 142 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].ad);
   }
#line 14720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 147 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 14726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 148 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 14732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 149 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 14738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 150 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 14744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 151 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 14750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 152 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 14756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 153 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if (this_srt->net->type != NET_ASPA) cf_error("Provider settings available only for ASPA");
    this_srt->aspa = cfg_alloc(sizeof (adata) + (this_srt_aspa_max = 8) * sizeof (u32));
    this_srt->aspa->length = 0;
   }
#line 14766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 158 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if (this_srt->net->type != NET_ASPA) cf_error("Transit settings available only for ASPA");
    /* Allocate an explicit zero */
    this_srt->aspa = cfg_alloc(sizeof (adata) + sizeof (u32));
    this_srt->aspa->length = sizeof(u32);
    ((u32 *) this_srt->aspa->data)[0] = 0;
   }
#line 14778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 167 "proto/static/config.Y" /* yacc.c:1646  */
    {
  if (this_srt->aspa->length == this_srt_aspa_max * sizeof(u32))
  {
    adata *new = cfg_alloc(sizeof (adata) + (this_srt_aspa_max * 2) * sizeof (u32));
    memcpy(new, this_srt->aspa, this_srt->aspa->length + sizeof(adata));
    this_srt->aspa = new;
    this_srt_aspa_max *= 2;
  }

  ((u32 *) this_srt->aspa->data)[this_srt->aspa->length / sizeof(u32)] = (yyvsp[0].i);
  this_srt->aspa->length += sizeof(u32);
}
#line 14795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 183 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 14807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 199 "proto/static/config.Y" /* yacc.c:1646  */
    { cf_enter_filters(); }
#line 14813 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 199 "proto/static/config.Y" /* yacc.c:1646  */
    { cf_exit_filters(); }
#line 14819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 204 "proto/static/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 14825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
}
#line 14834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 14852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 14858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 14864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 14870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 42 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 14876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 51 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 14882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 55 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 14888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 63 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 14894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 64 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 14900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 65 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 14906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 66 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 67 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 68 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 14924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 26 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bmp, (yyvsp[-1].i));
     this_proto->loop_order = DOMAIN_ORDER(proto);
     BMP_CFG->sys_descr = "Not defined";
     BMP_CFG->sys_name = "Not defined";
     BMP_CFG->tx_pending_limit = (1 << 30) / page_size;
   }
#line 14936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 37 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_zero((yyvsp[0].a)))
       cf_error("Invalid BMP monitoring station IP address");
     BMP_CFG->station_ip = (yyvsp[0].a);
   }
#line 14946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 42 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 65535))
       cf_error("Invalid BMP monitoring station port number");
     BMP_CFG->station_port = (yyvsp[0].i);
   }
#line 14956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 52 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     BMP_CFG->local_addr = (yyvsp[-1].a);
   }
#line 14964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 56 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[-1].t) || (strlen((yyvsp[-1].t)) == 0))
       cf_error("String is empty");
     else if (strlen((yyvsp[-1].t)) > 255)
       cf_error("Invalid string length");
     BMP_CFG->sys_descr = (yyvsp[-1].t);
   }
#line 14976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 63 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[-1].t) || (strlen((yyvsp[-1].t)) == 0))
       cf_error("String is empty");
     else if (strlen((yyvsp[-1].t)) > 255)
       cf_error("Invalid string length");
     BMP_CFG->sys_name = (yyvsp[-1].t);
   }
#line 14988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 70 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     BMP_CFG->monitoring_rib_in_pre_policy = (yyvsp[-1].i);
   }
#line 14996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 73 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     BMP_CFG->monitoring_rib_in_post_policy = (yyvsp[-1].i);
   }
#line 15004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 76 "proto/bmp/config.Y" /* yacc.c:1646  */
    {
     BMP_CFG->tx_pending_limit = (yyvsp[-1].i) * (u64) (1 << 20) / page_size;
     if ((yyvsp[-1].i) < 1) cf_error("BMP TX buffer limit must be at least 1 megabyte");
   }
#line 15013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 29 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 15019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 30 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 15025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 15031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(2, "krt_lock"); }
#line 15037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(3, "krt_lock"); }
#line 15043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(4, "krt_lock"); }
#line 15049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(5, "krt_lock"); }
#line 15055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(6, "krt_lock"); }
#line 15061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(7, "krt_lock"); }
#line 15067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(8, "krt_lock"); }
#line 15073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(9, "krt_lock"); }
#line 15079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(10, "krt_lock"); }
#line 15085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(11, "krt_lock"); }
#line 15091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 46 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(13, "krt_lock"); }
#line 15097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(14, "krt_lock"); }
#line 15103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 48 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(15, "krt_lock"); }
#line 15109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 49 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(16, "krt_lock"); }
#line 15115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(17, "krt_lock"); }
#line 15121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(0, "krt_features"); }
#line 15127 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fab) = f_new_dynamic_attr_bit(3, "krt_features"); }
#line 15133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_ATTR_BIT, .fab = (yyvsp[0].fab), .rte = f_new_inst(FI_CURRENT_ROUTE), }; }
#line 15139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 36 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 15145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 38 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 15154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 45 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 15160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 46 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 15166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 51 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 15172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 55 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), RF_APPEND, this_log->limit);
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     }
     this_log->filename = (yyvsp[-1].t);
   }
#line 15185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 63 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), RF_FIXED, this_log->limit = (yyvsp[0].i));
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     }
     this_log->filename = (yyvsp[-1].t);
   }
#line 15198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 71 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->rf = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 15204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 72 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->rf = &rf_stderr; this_log->terminal_flag = 1; }
#line 15210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 73 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->rf = NULL; }
#line 15216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].v).type == T_STRING)
    this_log->udp_host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->udp_ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 15228 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 86 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->udp_port = 514; }
#line 15234 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 87 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); this_log->udp_port = (yyvsp[0].i); }
#line 15240 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 91 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 15246 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 92 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 15252 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 96 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 15258 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 97 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 15264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 15270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 15276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 15282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 104 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 15288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 105 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 15294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 106 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 15300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 107 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 15306 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 108 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 15312 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 109 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 15318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 116 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 15324 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 117 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), RF_APPEND, 0);
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = f;
     }
   }
#line 15337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 129 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  this_cli_config->name = (yyvsp[-1].t);
  cli_config_add_tail(&new_config->cli, this_cli_config);
  this_cli_config = NULL;
}
#line 15347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 137 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  this_cli_config = cfg_alloc(sizeof *this_cli_config);
  *this_cli_config = (typeof (*this_cli_config)) {
    .config = new_config,
    .mode = 0660,
  };
}
#line 15359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 147 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_cli_config->restricted = 1; }
#line 15365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 148 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_cli_config->v2attributes = 1; }
#line 15371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 151 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) < 1) cf_error("Number of threads must be at least one.");
  if (!new_config->thread_group_simple &&
      !EMPTY_TLIST(thread_group_config, &new_config->thread_group))
    cf_error("Mixing of `threads NUM` and `threads worker {}` is not allowed.");

  if (new_config->thread_group_simple == -1)
    THEAD(thread_group_config, &new_config->thread_group)->thread_count = (yyvsp[0].i);

  new_config->thread_group_simple = (yyvsp[0].i);
}
#line 15387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 163 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  switch (new_config->thread_group_simple) {
    case -1: cf_error("Put `threads` block before any protocol or table definition.");
    case 0: break;
    default: cf_error("Mixing of `threads NUM` and `threads worker {}` is not allowed.");
  }

  this_thread_group = cfg_alloc(sizeof *this_thread_group);
  *this_thread_group = strcmp((yyvsp[0].s)->name, "express") ?
    thread_group_config_default_worker :
    thread_group_config_default_express;
}
#line 15404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 174 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  if (this_thread_group->params.max_time > 60 S_)
    cf_error("Loop time maximum is 60 seconds, got %t", this_thread_group->params.max_time);
  if (this_thread_group->params.max_latency < this_thread_group->params.max_time)
    cf_error("Loop time maximum can't be higher than its latency limit");
  if (this_thread_group->params.min_time > this_thread_group->params.max_time)
    cf_error("Loop time minimm can't be higher than maximum");
  if (this_thread_group->params.wakeup_time < 1 S_)
    cf_error("Too low idle wakeup time, expected at least 1 second");

  this_thread_group->symbol = cf_define_symbol(new_config, (yyvsp[-4].s), SYM_THREAD_GROUP, thread_group, this_thread_group);
  thread_group_config_add_tail(&new_config->thread_group, this_thread_group);
  this_thread_group = NULL;
}
#line 15423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 189 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_thread_group->params.max_time = (yyvsp[-1].time); }
#line 15429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 190 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_thread_group->params.min_time = (yyvsp[-1].time); }
#line 15435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 191 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_thread_group->params.max_latency = (yyvsp[-1].time); }
#line 15441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 192 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_thread_group->thread_count = (yyvsp[-1].i); }
#line 15447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 193 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_thread_group->params.wakeup_time = (yyvsp[-1].time); }
#line 15453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 194 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-1].i)) {
    if (new_config->default_thread_group &&
	new_config->default_thread_group != this_thread_group)
      cf_error("Too many default thread groups, already have %s",
	  new_config->default_thread_group->symbol->name);
    new_config->default_thread_group = this_thread_group;
  }
}
#line 15467 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 208 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 15473 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 209 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 15479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 210 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 15485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 211 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 15491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 215 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 15497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 216 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 217 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 15509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 220 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 15515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 223 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = DL_PING; }
#line 15521 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 224 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = DL_WAKEUP; }
#line 15527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 225 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = DL_SOCKETS; }
#line 15533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 226 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = DL_SCHEDULING; }
#line 15539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 227 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = DL_ALLOCATOR; }
#line 15545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 228 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = DL_EVENTS; }
#line 15551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 229 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = DL_TIMERS; }
#line 15557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 238 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 15563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 241 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 15569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 248 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 15575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 251 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 15581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 254 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 15587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 257 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 15593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 260 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 15599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 265 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 15605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 268 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_show_threads(0); }
#line 15611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 271 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_show_threads(1); }
#line 15617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 274 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 15623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 279 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 280 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 15635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 281 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 15641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 45 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 15649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 54 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 15655 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 55 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_LEARN_ALL; }
#line 15661 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 15667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 15673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 15679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 15685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 73 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 15694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 77 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 15706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 84 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 15712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 15724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 98 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 15730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 107 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 15739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 114 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 15749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 121 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 15755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 15759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 57 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 491 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 1043 "nest/config.Y"
/* C Code from nest/config.Y */

#line 200 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 149 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 271 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 204 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 558 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 565 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 58 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 353 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 202 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 185 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 206 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 72 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 82 "proto/bmp/config.Y"
/* C Code from proto/bmp/config.Y */

#line 59 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 284 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 138 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

